<?php

namespace App\Exports;

use App\Models\Service;
use App\Models\OrderProduct;
use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Events\AfterSheet;
use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\FromQuery;
use Maatwebsite\Excel\Concerns\Exportable;
use Maatwebsite\Excel\Concerns\WithEvents;
use Maatwebsite\Excel\Concerns\WithStyles;

use Illuminate\Contracts\Queue\ShouldQueue;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use PhpOffice\PhpSpreadsheet\Worksheet\Worksheet;
use Maatwebsite\Excel\Concerns\WithStrictNullComparison;

class ExportBestSellingProducts implements FromArray, WithHeadings, ShouldAutoSize, WithStrictNullComparison, WithEvents
{
    use Exportable;

    public function __construct()
    {
        $this->zeros_count= '000';
    }

    public function array(): array
    {
        $ones=OrderProduct::has('product')->filter();
        $ones->whereHas('order',function($q){
            $q->where('payment_status',1);
         });

       $ones=$ones->select('product_id',DB::raw('sum(quantity) as count_saled_quantity'))
   
        ->groupBy('product_id')
        ->orderByRaw('COUNT(*) DESC')
        ->take(50)
        ->with('product')
        ->orderBy('count_saled_quantity','desc')
        ->get();


        $items_arr=[];
        foreach ($ones as $one) {
            $items_arr[] = [
                @$one->product->id,
                @$one->product->name,
                @$one->count_saled_quantity,
            ];
        }

        return $items_arr;
    }

    public function headings(): array
    {
        return ["ID" ,__('cp.name') , '# ' .__('cp.orders')];
    }


    public function registerEvents(): array
    {
        return [
                AfterSheet::class=> function (AfterSheet $event) {
                    $event->sheet->getDelegate()->getStyle('E')->getNumberFormat()->setFormatCode('###,###.'.$this->zeros_count);
                },
            ];
    }
}
