<?php

namespace App\Exports;

use App\Models\Order;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\Exportable;
use Maatwebsite\Excel\Concerns\FromQuery;
use Illuminate\Contracts\Queue\ShouldQueue;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\WithStrictNullComparison;

use Maatwebsite\Excel\Concerns\WithStyles;
use PhpOffice\PhpSpreadsheet\Worksheet\Worksheet;
use Maatwebsite\Excel\Concerns\WithEvents;
use Maatwebsite\Excel\Events\AfterSheet;

class ExportOrders implements FromArray, WithHeadings, ShouldAutoSize, WithStrictNullComparison, WithEvents
{
    use Exportable;

    public function __construct()
    {
        $this->zeros_count= '000';
    }

    public function array(): array
    {
       $ones= Order::query()->filter()->where('payment_status',1)->orderBy('id','desc')->withCount('products')->get();
        
        $items_arr=[];
        foreach ($ones as $one) {
            if($one->payment_method == 1) $payment_method=  __('cp.Knet'); elseif($one->payment_method == 2)$payment_method=  __('cp.VISA / Mastercard');
            else $payment_method=  __('cp.Cod');
            $items_arr[] = [
                $one->id,
                @$one->user->name,
                @$one->user->email,
                @$one->user->mobile,
                @$one->area->name,
                @$one->products_count,
                ''.number_format(@$one->total, 3, '.', ',') ,
                $payment_method ,
                $one->transaction_id,
                $one->refund_reference,
                $one->status_name,
                $one->created_at,
            ];
        }

        return $items_arr;
    }

    public function headings(): array
    {
        return ["ID",__('cp.name'),__('cp.email'),__('cp.mobile'),__('cp.area') ,'# '.__('cp.products'),__('cp.total'),__('cp.payment_method')
          ,__('cp.Invoice Reference'),__('cp.Refund Reference') ,__('cp.status'),__('cp.created')];
    }


    public function registerEvents(): array
    {
        return [
                AfterSheet::class=> function (AfterSheet $event) {
                    $event->sheet->getDelegate()->getStyle('F')->getNumberFormat()->setFormatCode('###,###.'.$this->zeros_count);
                },
            ];
    }
}
