<?php

namespace App\Exports;

use App\Models\Order;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\Exportable;
use Maatwebsite\Excel\Concerns\FromQuery;
use Illuminate\Contracts\Queue\ShouldQueue;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\WithStrictNullComparison;

use Maatwebsite\Excel\Concerns\WithStyles;
use PhpOffice\PhpSpreadsheet\Worksheet\Worksheet;
use Maatwebsite\Excel\Concerns\WithEvents;
use Maatwebsite\Excel\Events\AfterSheet;

class OrdersReport implements FromArray, WithHeadings, ShouldAutoSize, WithStrictNullComparison, WithEvents
{
    use Exportable;

    public function __construct()
    {
        $this->zeros_count= '000';
    }

    public function array(): array
    {
       $ones= Order::query()->filter()->where('payment_status',1)->orderBy('id', 'desc')->get();
       


        $items_arr=[];
        foreach ($ones as $one) {
            $items_arr[] = [
                $one->id,
                ''.number_format(@$one->total, 3, '.', ','),

            ];
        }

        return $items_arr;
    }

    public function headings(): array
    {
        return ["ID" ,__('cp.total')];
    }


    public function registerEvents(): array
    {
        return [
                AfterSheet::class=> function (AfterSheet $event) {
                    $event->sheet->getDelegate()->getStyle('B')->getNumberFormat()->setFormatCode('###,###.'.$this->zeros_count);
                },
            ];
    }
}
