<?php

namespace App\Exports;

use App\Models\User;
 
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\Exportable;
use Maatwebsite\Excel\Concerns\FromQuery;
use Illuminate\Contracts\Queue\ShouldQueue;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\WithStrictNullComparison;

use Maatwebsite\Excel\Concerns\WithStyles;
use PhpOffice\PhpSpreadsheet\Worksheet\Worksheet;
use Maatwebsite\Excel\Concerns\WithEvents;
use Maatwebsite\Excel\Events\AfterSheet;
use DB;

class UsersReport implements FromArray, WithHeadings, ShouldAutoSize, WithStrictNullComparison
{
    use Exportable;

    public function __construct($request,$report_data)
    {
        $this->request= $request;
        $this->report_data= $report_data;
    }

    public function array(): array
    {
         
        $ones = User::query()->where('type',2)->filter()->orderBy('id','desc')->get();
        foreach ($ones as $one) {
            if(@$one->gender==1) $gender= __('cp.Male') ; elseif(@$one->gender==2) $gender= __('cp.Female') ; else $gender =__('cp.Rather not to Say');
            if(@$one->total_donations ==0) $activity= __('cp.Idle') ; else $activity =__('cp.active');

            $items_arr[] = [
                @$one->id,
                @$one->name,
                @$one->email,
                @$one->mobile,
                $gender,
                (@$one->nationality_type==1) ? __('cp.Kuwaiti')  : __('cp.Non-Kuwaiti') ,
                $one->birth_date,
                \Carbon\Carbon::parse($one->birth_date)->age,
                $one->total_donations,
                $one->bags_count,
                $one->gallons_count,
                __('cp.level').' '.$one->level,
                $one->last_donation,
                $one->top_collection_bin,
                $activity,
                __('cp.'.$one->status),
                $one->created_at,
            ];
        
        }

        $items_arr[] = ['','','','','','','','','','','','','','','','',''];
        $items_arr[] = ['','','','','','','','','','','','','','','','',''];
        $items_arr[] = [__('cp.Total of Users'),count($ones)];
        $items_arr[] = [__('cp.Total of Donations'),$this->report_data['total_donations']];
        $items_arr[] = [__('cp.Total Bags Donations'),$this->report_data['total_bags_donations']];
        $items_arr[] = [__('cp.Total of Gallons Donations'),$this->report_data['total_gallons_donations']];
        $items_arr[] = [__('cp.Total Female Donators'),$this->report_data['total_female_donators']];
        $items_arr[] = [__('cp.Total Male Donators'),$this->report_data['total_male_donators']];
        $items_arr[] = [__('cp.Total “Rather Not to Say” Donators'),$this->report_data['Total_rather_not_say_donators']];
        $items_arr[] = [__('cp.Total Kuwaiti Donators'),$this->report_data['Total_kuwaiti_donators']];
        $items_arr[] = [__('cp.Total Non-Kuwaiti Donators'),$this->report_data['Total_non_kuwaiti_donators']];
        $items_arr[] = [__('cp.Total Level 1 Donators'),$this->report_data['total_level1_donators']];
        $items_arr[] = [__('cp.Total Level 2 Donators'),$this->report_data['total_level2_donators']];
        $items_arr[] = [__('cp.Total Level 3 Donators'),$this->report_data['total_level3_donators']];
        $items_arr[] = [__('cp.Total Level 4 Donators'),$this->report_data['total_level4_donators']];
        $items_arr[] = [__('cp.Total Level 5 Donators'),$this->report_data['total_level5_donators']];
        return $items_arr;
    }

    public function headings(): array
    {
        return ['ID',__('cp.name'),__('cp.email'),__('cp.mobile'),__('cp.gender'),__('cp.nationality')
        ,__('cp.birth_date'),__('cp.age') , __('cp.total_donations'),__('cp.total_bags'),__('cp.total_gallons')
        ,__('cp.level'),__('cp.last_donation'),__('cp.Top Location'),__('cp.Activity') ,__('cp.status'),__('cp.created')
    ];
    }

 
}
