<?php

namespace App\Http\Controllers\API\v1;

use App\Models\Setting;

use App\Models\Order;
use App\Models\OrderProduct;

use App\Models\Cart;
use App\Models\Product;


use App\Models\PromotionCode;
use App\Models\Notifiy;
use App\Models\UserAddress;
use App\Models\ProductQuantity;
use App\Models\ProductColor;
use App\Models\ProductSize;
use App\Models\Area;
use Carbon\Carbon;
use Illuminate\Support\Facades\Password;
use App\Models\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use App\Models\Token;
use App\Models\NotificationMessage;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Validator;
use DB;

class CartController extends Controller
{
    public function image_extensions()
    {
        return array('jpg', 'png', 'jpeg', 'gif', 'bmp');
    }


    public function addProductToCart(Request $request, $id)
    {
        $product=Product::findOrFail($id);
        
 
        
        $myCartProduct = Cart::where(function ($q) use ($request) {
            $q->where('user_id', auth('api')->id())->orWhere('fcm_token', $request->header('fcmToken'));
        })
          ->where('color_id', $request->color_id)->where('size_id', $request->size_id)->where('product_id', $id)->first();
          
        if ($myCartProduct) {
            if ($myCartProduct->color_id == $request->color_id && $myCartProduct->size_id == $request->size_id) {
                
                $myCartProduct->quantity=$request->quantity;
                $myCartProduct->save();
 
            } else {
                $myCart = new Cart();
                $myCart->user_id = (auth('api')->check()) ? @auth('api')->id() : 0;
                $myCart->fcm_token = $request->header('fcmToken');
                $myCart->product_id = $id;
                $myCart->quantity =($request->quantity) ? $request->quantity : 1;
                $myCart->max_quantity =($request->max_quantity) ? $request->max_quantity : 1;
                $myCart->color_id = $request->color_id;
                $myCart->size_id = $request->size_id;
                $myCart->save();
            }
        } else {
            $myCart = new Cart();
            $myCart->user_id = (auth('api')->check()) ? @auth('api')->id() : 0;
            $myCart->fcm_token = $request->header('fcmToken');
            $myCart->product_id = $id;
            $myCart->quantity = ($request->quantity) ? $request->quantity : 1;
            $myCart->max_quantity =($request->max_quantity) ? $request->max_quantity : 1;
            $myCart->color_id = $request->color_id;
            $myCart->size_id = $request->size_id;
            $myCart->save();
        }

        $myNewCart = Cart::where(function ($q) use ($request) {
            $q->where('user_id', auth('api')->id())->orWhere('fcm_token', $request->header('fcmToken'));
        })->with('product')->get();
        $count_products = count($myNewCart);

        $total_cart = 0;

        foreach ($myNewCart as $one) {
            $price_val =  (@$one->product->discount_price >0) ? @$one->product->discount_price : @$one->product->price;
            $total_cart +=$price_val * $one->quantity;
        }

        if($myCartProduct){
            $cart_item=$myCartProduct = Cart::findOrFail($myCartProduct->id) ;
            $message = __('api.Product allredy in cart');
        }else{
            $cart_item=Cart::findOrFail($myCart->id);
            $message = __('api.addedToCart');
        }

        $item['cart_item'] = $cart_item;
        $item['count_products']= $count_products;
        $item['total_cart']= $total_cart;

        
        return response()->json(['status' => true, 'code' => 200, 'message' => $message , 'item'=>$item]);
    }


    public function getMyCart(Request $request)
    {
        $myCart = Cart::where(function ($q) use ($request) {
            $q->where('user_id', auth('api')->id())->orWhere('fcm_token', $request->header('fcmToken'));
        })->with('product', 'color', 'size')->get();
        if ($myCart) {
            $count_products = count($myCart);
            $total_cart = 0;
            foreach ($myCart as $one) {
                $price_val =  ($one->product->discount_price >0 ) ? $one->product->discount_price : $one->product->price;
                $total_cart +=$price_val * $one->quantity;
            }


            $item['myCart'] =$myCart;
            $item['count_products'] =$count_products;
            $item['total_cart'] =$total_cart;

            $message = __('api.ok');
            return response()->json(['status' => true, 'code' => 200, 'message' => $message  ,'item'=>$item]);
        }
        $message = __('api.cartEmpty');
        return response()->json(['status' => true, 'code' => 200, 'message' => $message, 'MyCart' => $myCart]);
    }

    public function changeQuantity(Request $request, $id)
    {
        $myCart = Cart::where(function ($q) use ($request) {
            $q->where('user_id', auth('api')->id())->orWhere('fcm_token', $request->header('fcmToken'));
        })->findOrFail($id);

        if ($request->type==1) {
            $newValue = $myCart->quantity +1 ;
        } else {
            $newValue = $myCart->quantity -1 ;
        }
        $myCart->update(['quantity'=>$newValue]);
        $myNewCart = Cart::where(function ($q) use ($request) {
            $q->where('user_id', auth('api')->id())->orWhere('fcm_token', $request->header('fcmToken'));
        })->with('product')->get();
        $total_cart = 0;

        foreach ($myNewCart as $one) {
            $price_val =  ($one->product->discount_price >0 ) ? $one->product->discount_price : $one->product->price;
            $total_cart +=$price_val * $one->quantity;
        }
        $message = __('api.ok');
        return response()->json(['status' => true, 'code' => 200, 'message' => $message, 'quantity' => $newValue ,'total_cart'=>$total_cart ]);
    }

    public function deleteProductCart(Request $request, $id)
    {
        $myCart = Cart::where(function ($q) use ($request) {
            $q->where('user_id', auth('api')->id())->orWhere('fcm_token', $request->header('fcmToken'));
        })->where('id', $id)->delete();

        if ($myCart) {
            $myNewCart = Cart::where(function ($q) use ($request) {
                $q->where('user_id', auth('api')->id())->orWhere('fcm_token', $request->header('fcmToken'));
            })->with('product')->get();

            $count_products=count($myNewCart);
            $total_cart = 0;

            foreach ($myNewCart as $one) {
                $price_val =  ($one->product->discount_price >0 ) ? $one->product->discount_price : $one->product->price;
                $total_cart +=$price_val * $one->quantity;
            }

            $item['count_products']= $count_products;
            $item['total_cart']= $total_cart;

            $message = __('api.ok');
            return response()->json(['status' => true, 'code' => 200, 'message' => $message, 'item'=>$item]);
        } else {
            $message = __('api.not_found');
            return response()->json(['status' => true, 'code' => 200, 'message' => $message]);
        }
    }




    public function checkOut(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'address_id' => (auth('api')->check()) ? 'required' : '',
            'name' => (!auth('api')->check()) ? 'required' : '',
            'mobile' => (!auth('api')->check()) ? 'required' : '',
            'governorate_id' => (!auth('api')->check()) ? 'required' : '',
            'area_id' => (!auth('api')->check()) ? 'required' : '',
            'block' => (!auth('api')->check()) ? 'required' : '',
            'street' => (!auth('api')->check()) ? 'required' : '',
            'building_number' => (!auth('api')->check()) ? 'required' : '',
            // 'payment_type' => 'required|in:1,2',
        ]);

        if ($validator->fails()) {
            return response()->json(['status' => false, 'code' => 201,
                'message' => implode("\n", $validator->messages()->all())]);
        }
        

        $myNewCart = Cart::where(function ($q) use ($request) {
            $q->where('user_id', auth('api')->id())->orWhere('fcm_token', $request->header('fcmToken'));
        })->with('product')->get();
    

 
        if ($myNewCart->isEmpty()) {
            $message = __('api.cartEmpty');
            return response()->json(['status' => false, 'code' => 202, 'message' => $message]);
        }

        if(!auth('api')->check()){
            $address= new UserAddress();
            $address->fcm_token =$request->header('fcmToken');
            $address->address_name =$request->address_name;
            $address->governorate_id =$request->governorate_id;
            $address->area_id =$request->area_id;
            $address->block =$request->block;
            $address->street =$request->street;
            $address->building_number =$request->building_number;
            $address->floor_number =$request->floor_number;
            $address->notes =$request->notes;
            $address->save();
            $address=UserAddress::findOrFail($address->id);
        }else{
            $address=UserAddress::findOrFail($request->address_id);
        }
           
            
            $deliveryCost=0;
            $total_cart = 0;
            $discount = 0;
            $deliveryCost= (isset($address->area->delivery_charges)) ? $address->area->delivery_charges : 0;
 
            foreach ($myNewCart as $one) {
                     $ProductColor=  ProductColor::where('color_id',$one->color_id)->where('product_id',$one->product_id)->first();
                     $ProductSize=  ProductSize::where('size_id',$one->size_id)->where('product_id',$one->product_id)->first();
                     $product_color_id=($ProductColor) ? $ProductColor->id : '';
                     $product_size_id=($ProductSize) ? $ProductSize->id : '';
                     $quantity_message='';   
                   
                    if(@$one->product->has_attributes == 1){
                        $element= ProductQuantity::where('product_id', $one->product_id)->where('color_id', $product_color_id)
                            ->where('size_id', $product_size_id)->first();
                            if($one->quantity  >  $element->qty){  
                                $message1 = __('api.top_quantity from').$one->product->name.' : '.$element->qty;
                                $quantity_message .=$message1."\n";
                            }
                    }else{
                        $element =Product::where('id', $one->product_id)->first();
                        if($one->quantity  >  $element->quantity){  
                            $message1 = __('api.top_quantity from').$one->product->name.' : '.$element->element;
                            $quantity_message .=$message1."\n";
                        }
                    }
                    
                   
                  if($quantity_message !=''){
                        return response()->json(['status' => false, 'code' => 202, 'message' => $quantity_message]);  
                   }
     
                $price_val =  ($one->product->discount_price >0) ? $one->product->discount_price : $one->product->price;
                $total_cart +=$price_val * $one->quantity;
            }


            $promoCode=PromotionCode::where('code',$request->get('code_name'))->whereDate('end_date','>=', date('Y-m-d'))->whereDate('start_date','<=',date('Y-m-d'))->where('status','active')->first();
            if($promoCode){
                if($promoCode->type==1){
                    $discount =$promoCode->discount;
                }else{
                    $discount = ($total_cart * $promoCode->discount)/100;
                }
            }

            $area_cost = Area::query()->findOrFail($address->area_id);
            $delivery_charges = $area_cost->delivery_charges;

            $sub_total= $total_cart;
            $total= $total_cart + $deliveryCost - $discount;

            $payment_token= str_random(15) . "" . rand(1000000, 9999999) . "" . time() . "_" . rand(1000000, 9999999);
            $order= new Order();
            $order->user_id = (auth('api')->check()) ? auth('api')->id() : null;
            $order->name= (auth('api')->check()) ? auth('api')->user()->name : $request->name ;
            $order->email=(auth('api')->check()) ? auth('api')->user()->email : $request->email ;
            $order->mobile=(auth('api')->check()) ? auth('api')->user()->mobile : $request->mobile ;
            $order->fcm_token =$request->header('fcmToken');
            $order->address_id = $address->id;
            $order->payment_method =1;  //  1=online, 2= cod
            $order->sub_total = $total_cart;
            $order->delivery_cost = $delivery_charges;
            $order->discount = $discount;
            $order->total = $total ;
            $order->discount_code = ($promoCode) ? $promoCode->code : ''  ;
            $order->promotion_code_id = ($promoCode) ? $promoCode->id : ''  ;
            
            $order->payment_token =$payment_token;
            if ($request->payment_type == 2) {
                $order->payment_status=1;
            }
            $order->save();


            if ($order) {
                foreach ($myNewCart as $one) {
                    if ($one->product->discount_price > 0) {
                        $price_offer = $one->product->discount_price;
                    } else {
                        $price_offer = 0;
                    }
                     $ProductColor=  ProductColor::where('color_id',$one->color_id)->where('product_id',$one->product_id)->first();
                     $ProductSize=  ProductSize::where('size_id',$one->size_id)->where('product_id',$one->product_id)->first();
                     $product_color_id=($ProductColor) ? $ProductColor->id : '';
                     $product_size_id=($ProductSize) ? $ProductSize->id : '';
                    $data[] = [
                        'order_id' => $order->id,
                        'product_id' => $one->product_id,
                        'quantity' => $one->quantity,
                        'color_id' => $one->color_id,
                        'size_id' => $one->size_id,
                        'discount' =>  $one->product->price - $price_offer,
                        'price' => $one->product->price,
                        'offer_price' => $price_offer,
                        'product_color_id' => $product_color_id,
                        'product_size_id' => $product_size_id,
                    ];
                    
                    $ProductName[]= $one->product->name ;
                    $ProductQty[]= $one->quantity ;
                    $ProductPrice[]= $one->product->price ;
                }
                 OrderProduct::insert($data);
            }
            

            $url='';
            // if ($request->payment_type != 2) {
                    $payment=payment($order->total, $order->id, route('checkPayment', ['order_id'=>$order->id]) ,$order, $request->payment_type= "knet");
 
                    if(@$payment['response']['data']['link']){
                         $url =@$payment['response']['data']['link'];
                    }
                 
             if ($url) {
                // $order->transaction_id = @$payment->response->Data->InvoiceId;
                $order->trackId = @$payment['response']['data']['trackId'];
                $order->payment_json =  json_encode(@$payment->response);
                $order->save();
             }
  
            // }

            $order=  Order::with('products.product','products.color', 'products.size','address.area')->findOrFail($order->id);
            $message = __('api.ok');
            return response()->json(['status' => true, 'code' => 200, 'message' => $message, 'order' => $order ,'url'=>$url]);
        
    }



    public function checkPayment(Request $request, $order_id)
    {
        if ($order_id == "") {
            return redirect(route('failPayment'));
        }
        if ($request->has('payment_id')) {
           
               $check = validatePayment($request->track_id);
             
            if (isset($check->response->data->transaction)) {
                if ($check->response->data->transaction && $check->response->data->transaction->result ==="CAPTURED") {
                    $order = Order::findOrFail($order_id);

                    if ($order) {
                        $order->payment_status = 1;
                        $order->payment_check_response =  json_encode($check->response);
                        $order->payment_id = $request->payment_id;
                        $order->transaction_id = $request->tran_id;
                        $order->refund_order_id = $request->refund_order_id;
                        $order->refund_reference = $request->refund_order_id;
                        if($request->payment_type=='knet'){
                            $order->payment_type = 1;
                        }elseif($request->payment_type=='card'){
                            $order->payment_type = 1;
                        }
                       
                        $order->save();
                        updateFirebaseNotification('increment' , 1);
                        dispatch(function () use ($request, $order) {
                            $settings= Setting::query()->first();
                            $email_data = array(
                                'from' => env('MAIL_FROM_ADDRESS'),
                                'fromName' => env('MAIL_FROM_NAME'),
                                'to' => [@$order->email]); //
                            try {
                                $subject ='شكرا لطلبك الجديد';
                                $blade_data = array(
                                    'subject'=> $subject,
                                    'settings'=>$settings,
                                    'order'=>$order,
                                );
                                if (@$order->email !='') {
                                    Mail::send(['html' => 'emails.order_to_user'], $blade_data, function ($message) use ($email_data, $subject ,$settings) {
                                        $message->to($email_data['to'])
                                        ->bcc($settings->info_email,'101 Toys')
                                                ->subject($subject)
                                                ->replyTo($email_data['from'], $email_data['fromName'])
                                                ->from($email_data['from'], $email_data['fromName']);
                                    });
                                }
                                 
                            } catch (\Exception $e) {
                                return 66;
                            }
                        })->afterResponse();

                     
                        Cart::Where('user_id', $order->user_id)->delete();
                        Cart::Where('fcm_token', $order->fcm_token)->delete();
                    
                    
                        $products= OrderProduct::where('order_id',$order->id)->get();
                        foreach($products as $product){
                            Product::where('id',$product->product_id)->decrement('quantity',$product->quantity); 
                        }
                        return redirect()->route('successPayment', $order->id);
                    }
                    return redirect()->route('failPayment');
                }
                return redirect()->route('failPayment');
            }
            return redirect()->route('failPayment');
        }
        return redirect()->route('failPayment');
    }






    public function checkPromo(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'name' => 'required',
        ]);
        if ($validator->fails()) {
            return response()->json(['status' => false, 'code' => 200, 'validator' => implode("\n", $validator->messages()->all())]);
        }
        $promo = PromotionCode::where('code',$request->get('name'))->whereDate('end_date','>=', date('Y-m-d'))->whereDate('start_date','<=',date('Y-m-d'))->where('status','active')->first();
        $myNewCart = Cart::where(function ($q) use ($request) {
            $q->where('user_id', auth('api')->id())->orWhere('fcm_token', $request->header('fcmToken'));
        })->with('product')->get();
        if ($promo) {
            $total=0;
            foreach ($myNewCart as $one) {
                $price_val =  ($one->product->discount_price >0 ) ? $one->product->discount_price : $one->product->price;
                $total +=$price_val * $one->quantity;
            }

            if($promo->type==1){
                $discount =$promo->discount;
            }else{
                $discount = ($total * $promo->discount)/100;
            }
            $total_cart= $total-$discount;

            $item['total_cart_after_discount']=$total_cart;
            $item['PromotionCode']=$promo;
            $message = __('api.ok');
            return response()->json(['status' => true, 'code' => 200, 'message' => $message ,'item'=>$item]);
        } else {
            $message = __('api.coupon_error');
            return response()->json(['status' => false, 'code' => 200, 'message' => $message ]);
            
        }

    }
 

    public function calculateDeliveryCost(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'area_id' => 'required',
        ]);

        if ($validator->fails()) {
            return response()->json(['status' => false, 'code' => 201,
                'message' => implode("\n", $validator->messages()->all())]);
        }

        $area=Area::findOrFail($request->area_id);
        $deliveryCost =$area->delivery_charges;
        $message = __('api.ok');
        return response()->json(['status' => true, 'code' => 200, 'message' => $message ,'deliveryCost'=>$deliveryCost ]);
    }


    public function reOrder(Request $request,$id){
          
        $order=Order::findOrFail($id);
          
     
        $products= OrderProduct::where('order_id',$order->id)->with('product')->get();
         foreach($products as $new_prod){
             if($new_prod->product){
                
                   if($new_prod->product->status == 'active' && $new_prod->product->is_out_stock ==0){
                    $check =Cart::where('user_id', $order->user_id)->where('product_id', $new_prod->product_id)
                    ->where('color_id', $new_prod->color_id)->where('size_id', $new_prod->size_id)->first();
                  
                    if ($check) {
                        $check->update(['quantity'=>$new_prod->product_id]);
                        }else{
                            $myCart = new Cart();
                            $myCart->user_id = (auth('api')->check()) ? @auth('api')->id() : 0;
                            $myCart->fcm_token = $request->header('fcmToken');
                            $myCart->product_id = $new_prod->product_id;
                            $myCart->quantity = $new_prod->quantity;
                            $myCart->max_quantity =1;
                            $myCart->color_id = $new_prod->color_id;
                            $myCart->size_id = $new_prod->size_id;
                            $myCart->save();
                        }
                        
                        
                        // $message = __('api.allproduct addedtocart');
                        // return response()->json(['status' => true, 'code' => 200, 'message' => $message]);
                   }else{
                        $message = __('api.The product quantity is not available');
                        return response()->json(['status' => false, 'code' => 200, 'message' => $message]);
                   }
             }else{
                $message = __('api.The product is not available');
                return response()->json(['status' => false, 'code' => 200, 'message' => $message]);
             }


         }

          $message = __('api.allproduct addedtocart');
         return response()->json(['status' => true, 'code' => 200, 'message' => $message]);
       
   }



    public function cancelOrder(Request $request ,$id)
    {
        $order = Order::where('user_id',auth('api')->user()->id)->where('status','<>',4)->findOrFail($id);
     
        if($order->created_at->addMinutes(2) <= now()){
            $message = __('api.You can cancel order only befor 2 minutes from submission');
            return response()->json(['status' => false, 'code' => 200, 'message' => $message]);
        }
      
        $amount = $order->total_price;
        $payment_id = $order->payment_id;
        if($order->payment_method==1){
            if($order->payment_status){
                $data = refund($amount,$payment_id);
                $refundId   = @$data->response->Data->RefundId;
                $refundReference = @$data->response->Data->RefundReference;
                
                $order->refund_id = $refundId;
                $order->refund_reference =  $refundReference;
            }

        }

	    $order->cancel_type =  2;
	    $order->status =  4;
		$order->save();
		
        $order_id = $id;
        $action_type = 1;
        $object_id = $order->id;
        
        $ar_message ='تم الغاء طلبك'; 
        $en_message ='Your order on Cancelled';
        
            //   dispatch(function () use ($en_message,$action_type,$object_id,$ar_message,$order) {
                    $en_title ='Your order status has changed'; 
                    $ar_title ='تم تغيير حالة طلبك'; 
                        $en_tokens = Token::where('user_id',$order->user_id)->where('lang','en')->pluck('fcm_token')->toArray();
                        $ar_tokens = Token::where('user_id',$order->user_id)->where('lang','ar')->pluck('fcm_token')->toArray();
                         sendNotificationToUsers( $en_tokens, $object_id, $en_message, $en_title, $action_type);
                         sendNotificationToUsers( $ar_tokens, $object_id, $ar_message,$ar_title , $action_type ); 



                    $notifiy= New Notifiy();
                    $notifiy->translateOrNew('en')->title = $en_title;
                    $notifiy->translateOrNew('ar')->title = $ar_title;
                    $notifiy->translateOrNew('en')->message = $en_message;
                    $notifiy->translateOrNew('ar')->message = $ar_message;
                    $notifiy->order_id = $order->id;
                    $notifiy->messag_type = 1;
                    $notifiy->user_id = $order->user_id;
                    $notifiy->save();

                    $message = __('api.ok');
                    return response()->json(['status' => true, 'code' => 200, 'message' => $message]);
    }

}
