<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\ResetsPasswords;
use Illuminate\Http\Request;
use App\Models\LandingPage;
use App\Models\Setting;
use App\Models\Subadmin;
use Illuminate\Support\Facades\Validator;
use DB;
use App\Models\User;
use Illuminate\Support\Facades\Hash;
use Auth;
class ResetPasswordController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Password Reset Controller
    |--------------------------------------------------------------------------
    |
    | This controller is responsible for handling password reset requests
    | and uses a simple trait to include this behavior. You're free to
    | explore this trait and override any methods you wish to tweak.
    |
    */

    use ResetsPasswords;


    /**
     * Where to redirect users after resetting their password.
     *
     * @var string
     */
    protected $redirectTo = '/';


    protected function showResetFormss()
    {
        return 55;
        return view('website.user.forgotPassword');
    }


    public function resetPassword(Request $request)
    {
 
        $validator = Validator::make($request->all(), [
            'password' => 'required|min:6',
            'confirm_password' => 'required|min:6|same:password',
            'token' => 'required'    
            
        ]);
        if ($validator->fails()) {
            return response()->json([
                'validator' =>implode("\n",$validator-> messages()-> all()) ,'code'=>400 ]);
        }

        
        $tokenData = DB::table('password_resets')
        ->where('token', $request->token)->first();// Redirect the user back to the password reset request form if the token is invalid
        if (!$tokenData) {
            $message = __('website.Incorrect email');
            return response()->json(['status' => false, 'code' => 403 ,'message'=>$message]);
        }
    
        $user = User::where('email', $tokenData->email)->first();
    // Redirect the user back if the email is invalid
        if (!$user)  //Hash and update the new password
        {
            $message = __('website.Incorrect email');
            return response()->json(['status' => false, 'code' => 403 ,'message'=>$message]);
        }
        
        $password = \Hash::make($request->password);
        $user->password = $password;
        $user->update(); //or $user->save();

        DB::table('password_resets')->where('email', $user->email)
        ->delete();
    
        return response()->json(['status' => true, 'code' => 200]);
    
    }


    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->settings = Setting::query()->first();
        $this->landing_page = LandingPage::first();
        view()->share([
            'settings' => $this->settings,
            'landing_page' => $this->landing_page,
        ]);
        $this->middleware('guest');
    }
}
