<?php

namespace App\Http\Controllers\WEB\Admin;

use App\Models\Category;
use App\Models\CategoryTranslation;
use App\Models\Contact;
use App\Models\Careers;
use App\Models\Language;
use App\Models\Setting;
use Carbon\Carbon;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Route;
use DataTables;
class ContactController extends Controller
{
    public function __construct()
    {
        $this->settings = Setting::query()->first();
        view()->share([
            'settings' => $this->settings,
        ]);
        
              $this->middleware(function ($request, $next) {
         if(!can('contacts') || !can('feedbackAndSuggestions')){
            return abort(403);
        }
        return $next($request);
        });
    }

    public function index(Request $request)
    {
        $items = Contact::query()->filter()->orderBy('id','desc')->paginate(30);

        return view('admin.contacts.home', [
             'items' => $items,
        ]);

    }

 
 
    public function viewMessage($id)
    {
        Contact::query()->where('id', $id)->update(['read' => 1]);
        $item = Contact::query()->findOrFail($id);
        return view('admin.contacts.message', [
            'item' => $item,
        ]);
    }

 

    public function destroy($id)
    {
        $item = Contact::query()->findOrFail($id);
        if ($item) {
            Contact::query()->where('id', $id)->delete();
            return "success";
        }
        return "fail";
    }


}
