<?php

namespace App\Http\Controllers\WEB\Admin;

use DB;
use Response;
use Carbon\Carbon;
use App\Models\User;
use App\Models\Admin;
use App\Models\Order;

use App\Models\Contact;
use App\Models\Product;

use App\Models\Setting;
use App\Models\Category;
 

use App\Models\Donation;
use App\Models\UserPoint;
use App\Models\Permission;
use Illuminate\Http\Request;
use App\Models\CollectionBin;
use App\Models\PromotionCode;
use App\Models\ServiceRequest;
use App\Http\Controllers\Controller;

class HomeController extends Controller
{

    public function index()
    {
 
      $users_count = User::count();

      $today_orders_count = Order::where('payment_status',1)->whereDate('created_at', Carbon::today())->count();
      $orders_count = Order::where('payment_status',1)->count();
      $in_process_orders_count = Order::where('payment_status',1)->where('status',1)->count();
      $on_way_orders_count = Order::where('payment_status',1)->where('status',2)->count();
      $delivered_orders_count = Order::where('payment_status',1)->where('status',3)->count();
      $canceled_orders_count = Order::where('payment_status',1)->where('status',4)->count();
      $total_sales = Order::where('payment_status',1)->sum('total');
      $products_count = Product::count();
      $categories_count = Category::count();



        return view('admin.home.dashboard',[

             'users_count'=>$users_count,
 

             'today_orders_count' =>$today_orders_count ,
            'orders_count'=>$orders_count,
            'in_process_orders_count'=>$in_process_orders_count,
            'on_way_orders_count'=>$on_way_orders_count,
            'delivered_orders_count'=>$delivered_orders_count,
            'canceled_orders_count'=>$canceled_orders_count ,
            'total_sales'=>$total_sales ,
            'products_count'=>$products_count,
            'categories_count'=>$categories_count ,
 
            ]);
    }



    public function changeStatus($model,Request $request)
    {
        $role = "";
        if($model == "admins") $role = 'App\Models\Admin';
        if($model == "users") $role = 'App\Models\User';
        if($model == "groups") $role = 'App\Models\User';
        if($model == "drivers") $role = 'App\Models\User';
        if($model == "websiteUsers") $role = 'App\Models\User';
        if($model == "banners") $role = 'App\Models\Banner';
        if($model == "advertisements") $role = 'App\Models\Advertisement';
        if($model == "categories") $role = 'App\Models\Category';
        if($model == "subCategories") $role = 'App\Models\SubCategory';
        if($model == "coupons") $role = 'App\Models\Coupon';
        if($model == "news") $role = 'App\Models\News';
        if($model == "events") $role = 'App\Models\Event';
        if($model == "tips") $role = 'App\Models\Tip';
        if($model == "contact") $role = 'App\Models\Contact';
        if($model == "governorates") $role = 'App\Models\Governorate';
        if($model == "areas") $role = 'App\Models\Area';
        if($model == "groupCategories") $role = 'App\Models\GroupCategory';
        if($model == "notifications") $role = 'App\Models\Notifiy';
        if($model == "feedbackAndSuggestions") $role = 'App\Models\Contact';
        if($model == "driverContact") $role = 'App\Models\Contact';
        if($model == "collectionBins") $role = 'App\Models\CollectionBin';
        if($model == "services") $role = 'App\Models\Service';

        if($model == "products") $role = 'App\Models\Product';
        if($model == "promotions") $role = 'App\Models\PromotionCode';
        

        if($model == "webBanners") $role = 'App\Models\WebBanner';
  
        if($model == "services") $role = 'App\Models\Service';
        
 
 
        

        

        if($role !=""){
             if ($request->action == 'delete') {
                $role::query()->whereIn('id', $request->IDsArray)->delete();
            }
            else {
                if($request->action) {
                    $role::query()->whereIn('id', $request->IDsArray)->update(['status' => $request->action]);
                }
            }

            return $request->action;
        }
        return false;


    }




}
