<?php
namespace App\Http\Controllers\WEB\Admin;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Response;

use Image;
use App\Models\Setting;
use App\Models\Language;
use App\Models\LandingPage;




class LandingPageController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
   public function __construct()
    {
        $this->locales = Language::all();
        $this->settings = Setting::query()->first();
        view()->share([
            'locales' => $this->locales,
            'settings' => $this->settings,

        ]);
        
      $this->middleware(function ($request, $next) {
         if(!can('landingPage')){
             return redirect()->back()->with('status', __('cp.no_permission'));
        }
        return $next($request);
        });
    }
     
    public function index()
    { 
        $item = LandingPage::query()->first();
        
        return view('admin.landingPages.edit', [
            'item' => $item ,
        ]);
    }
 

    public function edit($id)
    {
        $item = LandingPage::findOrFail($id);
        return view('admin.landingPages.edit', [
            'item' => $item,
        ]);

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
     
        $roles = [
 
        ];
        $locales = Language::all()->pluck('lang');
        foreach ($locales as $locale) {
             $roles['home_buy_products_text_' . $locale] = 'required';
             $roles['home_who_is_omniya_text_' . $locale] = 'required';
             $roles['home_our_mission_text_' . $locale] = 'required';
             $roles['home_our_vision_text_' . $locale] = 'required';
             $roles['home_collection_system_image_text1_' . $locale] = 'required';
             $roles['home_collection_system_image_text2_' . $locale] = 'required';
             $roles['home_collection_system_image_text3_' . $locale] = 'required';
             $roles['home_circular_conomy_text1_' . $locale] = 'required';
             $roles['home_circular_conomy_text2_' . $locale] = 'required';
             $roles['home_circular_conomy_text3_' . $locale] = 'required';
             $roles['home_circular_conomy_text4_' . $locale] = 'required';
             $roles['home_circular_conomy_text5_' . $locale] = 'required';
             $roles['home_circular_conomy_text6_' . $locale] = 'required';
             $roles['home_circular_conomy_text7_' . $locale] = 'required';
             $roles['home_omniya_history_text_' . $locale] = 'required';
             $roles['home_omniya_history_video1_text_' . $locale] = 'required';
             $roles['home_omniya_history_video2_text_' . $locale] = 'required';
             $roles['home_meet_omniya_text_' . $locale] = 'required';
             $roles['home_board_members_text_' . $locale] = 'required';
   

        }
        $this->validate($request, $roles);


        $item = LandingPage::query()->findOrFail(1);
        $item->home_who_is_omniya_video_link = $request->home_who_is_omniya_video_link;
        $item->home_collection_system_video_link = $request->home_collection_system_video_link;
        $item->home_omniya_history_video1 = $request->home_omniya_history_video1;
        $item->home_omniya_history_video2 = $request->home_omniya_history_video2;
        foreach ($locales as $locale)
        {
            $item->translateOrNew($locale)->home_buy_products_text = $request->get('home_buy_products_text_' . $locale);
            $item->translateOrNew($locale)->home_who_is_omniya_text = $request->get('home_who_is_omniya_text_' . $locale);
            $item->translateOrNew($locale)->home_our_mission_text = $request->get('home_our_mission_text_' . $locale);
            $item->translateOrNew($locale)->home_our_vision_text = $request->get('home_our_vision_text_' . $locale);
            $item->translateOrNew($locale)->home_collection_system_image_text1 = $request->get('home_collection_system_image_text1_' . $locale);
            $item->translateOrNew($locale)->home_collection_system_image_text2 = $request->get('home_collection_system_image_text2_' . $locale);
            $item->translateOrNew($locale)->home_collection_system_image_text3 = $request->get('home_collection_system_image_text3_' . $locale);
            $item->translateOrNew($locale)->home_circular_conomy_text1 = $request->get('home_circular_conomy_text1_' . $locale);
            $item->translateOrNew($locale)->home_circular_conomy_text2 = $request->get('home_circular_conomy_text2_' . $locale);
            $item->translateOrNew($locale)->home_circular_conomy_text3 = $request->get('home_circular_conomy_text3_' . $locale);
            $item->translateOrNew($locale)->home_circular_conomy_text4 = $request->get('home_circular_conomy_text4_' . $locale);
            $item->translateOrNew($locale)->home_circular_conomy_text5 = $request->get('home_circular_conomy_text5_' . $locale);
            $item->translateOrNew($locale)->home_circular_conomy_text6 = $request->get('home_circular_conomy_text6_' . $locale);
            $item->translateOrNew($locale)->home_circular_conomy_text7 = $request->get('home_circular_conomy_text7_' . $locale);
            $item->translateOrNew($locale)->home_omniya_history_text = $request->get('home_omniya_history_text_' . $locale);
            $item->translateOrNew($locale)->home_omniya_history_video1_text = $request->get('home_omniya_history_video1_text_' . $locale);
            $item->translateOrNew($locale)->home_omniya_history_video2_text = $request->get('home_omniya_history_video2_text_' . $locale);
            $item->translateOrNew($locale)->download_app_text = $request->get('download_app_text_' . $locale);
            $item->translateOrNew($locale)->home_meet_omniya_text = $request->get('home_meet_omniya_text_' . $locale);
            $item->translateOrNew($locale)->home_board_members_text = $request->get('home_board_members_text_' . $locale);
            $item->translateOrNew($locale)->gallery_no_images_text = $request->get('gallery_no_images_text_' . $locale);
            $item->translateOrNew($locale)->gallery_no_videos_text = $request->get('gallery_no_videos_text_' . $locale);
            $item->translateOrNew($locale)->coming_soon_text = $request->get('coming_soon_text_' . $locale);
            $item->translateOrNew($locale)->loyalty_program_text_ = $request->get('loyalty_program_text_' . $locale);
            $item->translateOrNew($locale)->loyalty_program_form_text = $request->get('loyalty_program_form_text_' . $locale);
            $item->translateOrNew($locale)->ambassadors_text = $request->get('ambassadors_text_' . $locale);
            $item->translateOrNew($locale)->become_ambassador_text1 = $request->get('become_ambassador_text1_' . $locale);
            $item->translateOrNew($locale)->become_ambassador_text2 = $request->get('become_ambassador_text2_' . $locale);
            $item->translateOrNew($locale)->become_ambassador_text3 = $request->get('become_ambassador_text3_' . $locale);
            $item->translateOrNew($locale)->become_ambassador_form_text = $request->get('become_ambassador_form_text_' . $locale);
            $item->translateOrNew($locale)->blue_bottle_description = $request->get('blue_bottle_description_' . $locale);
            $item->translateOrNew($locale)->blue_bottle_small_bottle_text = $request->get('blue_bottle_small_bottle_text_' . $locale);
            $item->translateOrNew($locale)->blue_bottle_bbs_text = $request->get('blue_bottle_bbs_text_' . $locale);
            $item->translateOrNew($locale)->blue_bottle_red_text = $request->get('blue_bottle_red_text_' . $locale);
            $item->translateOrNew($locale)->blue_bottle_form_text = $request->get('blue_bottle_form_text_' . $locale);
            $item->translateOrNew($locale)->where_contribute_description = $request->get('where_contribute_description_' . $locale);
            $item->translateOrNew($locale)->where_contribute_acceptable_text = $request->get('where_contribute_acceptable_text_' . $locale);
            $item->translateOrNew($locale)->where_contribute_not_acceptable_text = $request->get('where_contribute_not_acceptable_text_' . $locale);
            $item->translateOrNew($locale)->where_contribute_governorates_text = $request->get('where_contribute_governorates_text_' . $locale);
            $item->translateOrNew($locale)->where_contribute_find_nearest_text_ = $request->get('where_contribute_find_nearest_text__' . $locale);
 

        }

        if ($request->hasFile('home_buy_products_image')) {
            $item->home_buy_products_image =  $this->storeImage($resize_image=0,$request->file('home_buy_products_image'), 'LandingPage' );;
        }
        if ($request->hasFile('home_who_is_omniya_video_image')) {
            $item->home_who_is_omniya_video_image =  $this->storeImage($resize_image=0,$request->file('home_who_is_omniya_video_image'), 'LandingPage' );;
        }
        if ($request->hasFile('home_collection_system_image')) {
            $item->home_collection_system_image =  $this->storeImage($resize_image=0,$request->file('home_collection_system_image'), 'LandingPage' );;
        }
        if ($request->hasFile('home_collection_system_video_image')) {
            $item->home_collection_system_video_image =  $this->storeImage($resize_image=0,$request->file('home_collection_system_video_image'), 'LandingPage' );;
        }
        if ($request->hasFile('home_circular_conomy_image')) {
            $item->home_circular_conomy_image =  $this->storeImage($resize_image=0,$request->file('home_circular_conomy_image'), 'LandingPage' );;
        }
        if ($request->hasFile('home_meet_omniya_image')) {
            $item->home_meet_omniya_image =  $this->storeImage($resize_image=0,$request->file('home_meet_omniya_image'), 'LandingPage' );;
        }
        if ($request->hasFile('home_bottom_image1')) {
            $item->home_bottom_image1 =  $this->storeImage($resize_image=0,$request->file('home_bottom_image1'), 'LandingPage' );;
        }
        if ($request->hasFile('home_bottom_image2')) {
            $item->home_bottom_image2 =  $this->storeImage($resize_image=0,$request->file('home_bottom_image2'), 'LandingPage' );;
        }
        if ($request->hasFile('home_bottom_image3')) {
            $item->home_bottom_image3 =  $this->storeImage($resize_image=0,$request->file('home_bottom_image3'), 'LandingPage' );;
        }
        if ($request->hasFile('loyalty_program_image')) {
            $item->loyalty_program_image =  $this->storeImage($resize_image=0,$request->file('loyalty_program_image'), 'LandingPage' );;
        }
        if ($request->hasFile('become_ambassador_image')) {
            $item->become_ambassador_image =  $this->storeImage($resize_image=0,$request->file('become_ambassador_image'), 'LandingPage' );;
        }
        if ($request->hasFile('blue_bottle_image')) {
            $item->blue_bottle_image =  $this->storeImage($resize_image=0,$request->file('blue_bottle_image'), 'LandingPage' );;
        }
        if ($request->hasFile('where_contribute_our_location_image')) {
            $item->where_contribute_our_location_image =  $this->storeImage($resize_image=0,$request->file('where_contribute_our_location_image'), 'LandingPage' );;
        }
        if ($request->hasFile('where_contribute_acceptable_image')) {
            $item->where_contribute_acceptable_image =  $this->storeImage($resize_image=0,$request->file('where_contribute_acceptable_image'), 'LandingPage' );;
        }
        if ($request->hasFile('where_contribute_not_acceptable_image')) {
            $item->where_contribute_not_acceptable_image =  $this->storeImage($resize_image=0,$request->file('where_contribute_not_acceptable_image'), 'LandingPage' );;
        }
        


        $item->save();
        return redirect()->back()->with('status', __('cp.update'));
    }


}
