<?php

namespace App\Http\Controllers\WEB\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Validation\Rule;
use Mockery\Exception;
use Illuminate\Support\Facades\Validator;
use App\Notifications\NewPostNotification;
use App\Models\Setting;
use App\Models\User;
use App\Models\Notification;
use App\Models\Notifiy;
use App\Models\Token;
use App\Models\Country;
use Mail;
use Illuminate\Support\Facades\Route;
use DataTables;
use Carbon\Carbon;

class NotificationMessageController extends Controller
{


    public function __construct()
    {

        
      $route=Route::currentRouteAction();
         $route_name = substr($route, strpos($route, "@") + 1);   
         $this->middleware(function ($request, $next) use($route_name){
         if(can('notifications')){
            return $next($request);  
         }
          return redirect()->back()->withErrors(__('cp.you_dont_have_premession'));
        });
    }

    


    public function index(Request $request)
    {
        $items = Notifiy::orderBy('id','desc')->where('user_id',0)->paginate(30);


        return view('admin.notifications.home', [
            'items' => $items,
        ]);
    }


    public function create()
    {
       
         return view('admin.notifications.create',[
            ]);
    }

     public function store(Request $request)
    { 
 
        
  
               
             
  
                
                //  $ids = User::where('status','active')->pluck('id')->toArray();

                 $message_ar = $request->message_ar;
                 $message_en = $request->message_en;
                 $title_en = $request->title_en;
                 $title_ar = $request->title_ar;
               dispatch(function () use ( $message_ar , $message_en, $title_en ,$title_ar) {
                    $ids = User::pluck('id')->toArray();
                    $en_tokens = Token::where('lang','en')->whereIn('user_id' , $ids)->pluck('fcm_token')->toArray();
                    $ar_tokens = Token::where('lang','ar')->whereIn('user_id' , $ids)->pluck('fcm_token')->toArray();
                   
                   
                    sendNotificationToUsers($en_tokens,55,$title_en ,$message_en,55);
                    sendNotificationToUsers($ar_tokens,55,$title_ar ,$message_ar,55);

                    $notifiy= New Notifiy();
                    $notifiy->translateOrNew('en')->title = $title_en;
                    $notifiy->translateOrNew('ar')->title = $title_ar;
                    $notifiy->translateOrNew('en')->message = $message_en;
                    $notifiy->translateOrNew('ar')->message = $message_en;
                    $notifiy->user_id = 0;
          
 
              $notifiy->save(); 
        
          
         })->afterResponse();
  
        
        return redirect()->back()->with('status', __('cp.create'));
    }

    public function destroy($id)
    {
        $notifications = Notifiy::query()->findOrFail($id);
        if ($notifications->delete()) {
            return 'success';
        }
        return 'fail';
    }

 

    function fcmPush($tokens,$title ,$message)

{ 

    try {
        $headers = [
            'Authorization: key='.env("FireBaseKey"),
            'Content-Type: application/json'
        ];
        $notification= [
           // "to"=> '/topics/for_user',
            "registration_ids" => $tokens,
            "notification"=>[
                'type' => "notify",
                'title' => $title,
                 'target_id' => '55', // order_id or user_id
                    'msgType' => '55',//1=>order , 2=>msg
                'body' => $message,
                'icon' => 'myicon',//Default Icon
                'sound' => 'mySound',//Default sound
                 'badge' => 1,
                    "click_action" => 'FLUTTER_NOTIFICATION_CLICK',
                    
                
            ]
        ];
        //return $notification;
       // return json_encode($data);
       
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send');
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($notification));
        
        
        
        $result = curl_exec($ch);
        curl_close($ch);
        //return json_decode($result, true);
      //  return back()->with('success','Edit SuccessFully');
    } catch (\Exception $ex) {
     //   return $ex->getMessage();
}
}


}
