<?php

namespace App\Http\Controllers\WEB\Admin;

use App\Http\Controllers\Controller;


use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Language;
use App\Models\Order;
use App\Models\OrderProduct;
use App\Models\Token;
use App\Models\Notifiy;
use App\Models\Area;
use App\Models\Product;
use App\Models\ProductQuantity;
use App\Models\Subadmin;
use DB ;
use Illuminate\Support\Facades\Validator;
 use Illuminate\Support\Facades\Route;
use DataTables;
use Carbon\Carbon;
use Maatwebsite\Excel\Facades\Excel;
use App\Exports\ExportOrders;
class OrderController extends Controller
{
    
      public function __construct()
    {
        
    $route=Route::currentRouteAction();
         $route_name = substr($route, strpos($route, "@") + 1);   
         $this->middleware(function ($request, $next) use($route_name){
         if(can(['orders'])){
                 return $next($request);  
          }
          return redirect()->back()->withErrors(__('cp.you_dont_have_premession'));
        });
    }


    public function index(Request $request)
    {
        dispatch(function () use ($request) {
            updateFirebaseNotification('reset' , 1);
        })->afterResponse();
        
        $items = Order::query()->filter()->where('payment_status',1)->orderBy('id','desc')->withCount('products')->paginate(30);
        $areas =Area::get();

        return view('admin.orders.home', [
            'items' => $items,
            'areas' => $areas,
        ]);
    }



    public function show($id)
    {
       $order = Order::with('user','address')->findOrFail($id);
       $products =OrderProduct::where('order_id',$id)->get();
        return view('admin.orders.show', [
            'order' => $order ,
           'products' => $products,
            ]);
    }
    
 

    public function exportOrders(Request $request)  {
        return Excel::download(new ExportOrders(), 'Orders.xlsx');
    }

    public function update(Request $request, $id)
    {
        $order = Order::findOrFail($id);
        if($order->status ==4){
           return redirect()->back()->with('status', __('cp.update'));  
        }
        $order->status = $request->status;

        $order->save();
 
             
            if($request->status == 2){
                $ar_message ='طلبك في الطريق اليك'; 
                $en_message ='Your order is being Delivered'; 
            }
            elseif($request->status == 3){
                $en_message ='Your order completed'; 
                $ar_message ='تم تسليم طلبك'; 
            }else{
                $en_message ='Your order completed'; 
                $ar_message ='تم تسليم طلبك'; 
            }

            $order_id = $id;
            $action_type = 1;
            $object_id = $order->id;

                dispatch(function () use ($en_message,$action_type,$object_id,$ar_message,$order) {
                    $en_title ='# Order '.$order->id; 
                    $ar_title ='# طلب '.$order->id; 
                    if($order->user_id > 0){
                        $en_tokens = Token::where('user_id',$order->user_id)->where('lang','en')->pluck('fcm_token')->toArray();
                        $ar_tokens = Token::where('user_id',$order->user_id)->where('lang','ar')->pluck('fcm_token')->toArray();
                        sendNotificationToUsers( $en_tokens, $object_id, $en_message, $en_title, $action_type);
                        sendNotificationToUsers( $ar_tokens, $object_id, $ar_message,$ar_title , $action_type ); 
                        


                        $notifiy= New Notifiy();
                        $notifiy->translateOrNew('en')->title = $en_title;
                        $notifiy->translateOrNew('ar')->title = $ar_title;
                        $notifiy->translateOrNew('en')->message = $en_message;
                        $notifiy->translateOrNew('ar')->message = $ar_message;
                        $notifiy->order_id = $order->id;
                        $notifiy->messag_type = 1;
                        $notifiy->user_id = $order->user_id;
                        $notifiy->save();
                    }else{
                        // $en_tokens = Token::where('user_id',$order->user_id)->where('lang','en')->pluck('fcm_token')->toArray();
                        $ar_tokens = [$order->fcm_token];
                        // sendNotificationToUsers( $en_tokens, $object_id, $en_message, $en_title, $action_type);
                        sendNotificationToUsers( $ar_tokens, $object_id, $ar_message,$ar_title , $action_type ); 
                    }
               })->afterResponse();
         

 
        return redirect()->back()->with('status', __('cp.update'));
    }



    public function printOrder($id)
    {
        $order = Order::findOrFail($id);
        $products =OrderProduct::where('order_id',$order->id)->get();

        return view('admin.orders.invoice', [
            'order' => $order ,
            'item' => $order ,
            'products' => $products]);
    }
    
    
        public function reFund(Request $request ,$id)
    {
        $order = Order::where('status','<>',4)->findOrFail($id);
     
 
        $amount = $order->total;
        $payment_id = $order->payment_id;
        if($order->payment_status==1){
            if($order->payment_status){
                $data = refund($order ,$amount);
                $refundId   = @$data->response->Data->RefundId;
                $refundReference = @$data->response->Data->RefundReference;
                
                $order->refund_id = $refundId;
                $order->refund_reference =  $refundReference;
            }

        }
        return  5;
	    $order->cancel_type =  1;
	    $order->status =  4;
		$order->save();
        // $products= OrderProduct::where('order_id',$order->id)->get();
        // foreach($products as $product){
        //     Product::where('id',$product->product_id)->decrement('quantity',$product->quantity); 
        // }

        /*
            $order_id = $id;
            $action_type = 1;
            $object_id = $order->id;
            
            $ar_message ='آسف! لقد تم إلغاء طلبك، يرجى الاتصال بخدمة العملاء لدينا'; 
            $en_message ='Sorry! Your order has been cancelled, please contact our customer service';
        
            //   dispatch(function () use ($en_message,$action_type,$object_id,$ar_message,$order) {
                    $en_title ='# Order '.$order->id; 
                    $ar_title ='# طلب '.$order->id; 
                        $en_tokens = Token::where('user_id',$order->user_id)->where('lang','en')->pluck('fcm_token')->toArray();
                        $ar_tokens = Token::where('user_id',$order->user_id)->where('lang','ar')->pluck('fcm_token')->toArray();
                         sendNotificationToUsers( $en_tokens, $object_id, $en_message, $en_title, $action_type);
                         sendNotificationToUsers( $ar_tokens, $object_id, $ar_message,$ar_title , $action_type ); 

                    $notifiy= New Notifiy();
                    $notifiy->translateOrNew('en')->title = $en_title;
                    $notifiy->translateOrNew('ar')->title = $ar_title;
                    $notifiy->translateOrNew('en')->message = $en_message;
                    $notifiy->translateOrNew('ar')->message = $ar_message;
                    $notifiy->order_id = $order->id;
                    $notifiy->messag_type = 1;
                    $notifiy->user_id = $order->user_id;
                   $notifiy->save();
        */
         return redirect()->back()->with('status', __('cp.success'));
    }


}


