<?php

namespace App\Http\Controllers\WEB\Admin;

use App\Models\Language;
use App\Models\PromotionCode;
use App\Models\Setting;
use App\Models\Country;
use App\Models\Category;
use App\Models\PromotionCodeCategory;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Input;
use Image;
use Illuminate\Support\Facades\Validator;
 use Illuminate\Support\Facades\Route;
use DataTables;

class PromotionCodeController extends Controller
{
    public function __construct()
    {
        $this->settings = Setting::query()->first();
        view()->share([
            'settings' => $this->settings,

        ]);
        
         $route=Route::currentRouteAction();
         $route_name = substr($route, strpos($route, "@") + 1);   
         $this->middleware(function ($request, $next) use($route_name){
         if(can('promotions')){
            return $next($request);  
         }
          if($route_name== 'index' ){
             if(can(['promotions-show' , 'promotions-create' , 'promotions-edit' , 'promotions-delete'])){
                 return $next($request);  
             }
          }elseif($route_name== 'create' || $route_name== 'store'){
              if(can('promotions-create')){
                 return $next($request);  
             } 
          }elseif($route_name== 'edit' || $route_name== 'update'){
              if(can('promotions-edit')){
                 return $next($request);  
             } 
          }elseif($route_name== 'destroy' || $route_name== 'delete'){
              if(can('promotions-delete')){
                 return $next($request);  
             } 
          }else{
              return $next($request);  
          }
          if($request->ajax()){
            $message = __('cp.you_dont_have_premession');
            return response()->json(['status' => false, 'code' => 503, 'message' => $message, ]);
          }else{
            return redirect()->back()->withErrors(__('cp.you_dont_have_premession'));
          }
        });
    }

    public function index(Request $request)
    {
       $items = PromotionCode::filter()->orderBy('id','desc')->withCount('orders')->paginate(30);

        return view('admin.promotions.home', [
            'items'=>$items,
         ]);
    }

    public function create()
    {

        return view('admin.promotions.create');
    }


    public function store(Request $request)
    {
        $roles = [
            'code' => 'required|unique:promotion_codes,code',
            'start_date'     => 'required',
            'end_date'     => 'required',
            'maximum_usage'     => 'required',
            'type'     => 'required',
            'discount'     => 'required|numeric',
        ];
        $this->validate($request, $roles);


        $promo = new PromotionCode();
        $promo->code = $request->code;
        $promo->start_date = $request->start_date;
        $promo->end_date = $request->end_date;
        $promo->maximum_usage = $request->maximum_usage;
        $promo->type = $request->type;
        $promo->discount = $request->discount;
        $promo->save();
 
        return redirect()->back()->with('status', __('cp.create'));

    }

 

    public function edit($id)
    {
        $item = PromotionCode::findOrFail($id);
        $categories=Category::get();
        return view('admin.promotions.edit', [
            'item' => $item,
        ]);
    }

    public function update(Request $request, $id)
    {
       $item = PromotionCode::query()->findOrFail($id);
        $roles = [
            'code' => 'required|unique:promotion_codes,code,'.$item->id,
            'start_date'     => 'required',
            'end_date'     => 'required',
            'maximum_usage'     => 'required',
            'type'     => 'required',
            'discount'     => 'required|numeric',
        ];
        $this->validate($request, $roles);
        $item->code = $request->code;
        $item->start_date = $request->start_date;
        $item->end_date = $request->end_date;
        $item->maximum_usage = $request->maximum_usage;
        $item->type = $request->type;
        $item->discount = $request->discount;
        $item->save();
 

        return redirect()->back()->with('status', __('cp.update'));

    }

    public function destroy($id)
    {
        $item = PromotionCode::query()->findOrFail($id);
        if ($item) {
            PromotionCode::query()->where('id', $id)->delete();

            return "success";
        }
        return "fail";
    }

}
