<?php

namespace App\Http\Controllers\WEB\Admin;

use DB ;


use DataTables;
use Carbon\Carbon;
 
use App\Models\Order;
use App\Models\Language;
use App\Models\OrderProduct;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Controller;
use Maatwebsite\Excel\Facades\Excel;
use App\Exports\ExportBestSellingProducts;
use App\Exports\OrdersReport;
 
class ReportController extends Controller
{
    
      public function __construct()
    {
        $this->locales = Language::all();
        
        view()->share([
            'locales' => $this->locales,
            

        ]);
        
    $route=Route::currentRouteAction();
         $route_name = substr($route, strpos($route, "@") + 1);   
         $this->middleware(function ($request, $next) use($route_name){
         if(can('reports')){
            return $next($request);  
         }
          return redirect()->back()->withErrors(__('cp.you_dont_have_premession'));
        });
    }


 
 


 

    public function ordersReport(Request $request)
    {

        $items = Order::filter()->where('payment_status',1)->orderBy("id", 'desc')->paginate(30);
        $total_sales = Order::filter()->where('payment_status',1)->sum('total');
  
         return view('admin.reports.ordersReport', [
            'items'=>$items,
            'total_sales'=>$total_sales,
           ]);
    }
    public function exportOrdersReport(Request $request)
    {
        return Excel::download(new OrdersReport($request), 'Orders Report.xlsx');
    }

 

    public function bestSellingProducts(Request $request)
    {
        $items=OrderProduct::has('product')->filter();
        $items->whereHas('order',function($q) use($request){
            $q->where('payment_status',1); });

       $items=$items->select('product_id',DB::raw('sum(quantity) as count_saled_quantity'))
   
        ->groupBy('product_id')
        ->orderByRaw('COUNT(*) DESC')
        ->take(50)
        ->with('product')
        ->orderBy('count_saled_quantity','desc')
        ->get();
 
         return view('admin.reports.bestSellingProducts', [
            'items'=>$items,
           ]);
    }
    public function exportBestSellingProducts(Request $request)
    {
        return Excel::download(new ExportBestSellingProducts($request), 'Best Selling products.xlsx');
    }

 
 

 

}


