<?php


use App\Models\User;
use App\Models\Store;
use App\Models\Setting;
use App\Models\StoreUsers;
use App\Models\ProductQuantity;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Cache;

function getUserPermissionOnStore($store_id){
    if(auth('api')->check() && auth('api')->user()->type == 2){
        $position = StoreUsers::where(['status'=>'active','store_id'=>$store_id,'user_id'=>auth('api')->user()->id])->first();
        if($position){
           return $position->position_id; 
        }
    }
    return 0;
}

function can($permission){
    //  $user = auth()->user();

      $user='';
        if(auth()->guard('admin')->check()){
            $user=  auth()->guard('admin')->user();
         }else{
           return redirect('admin/login');
         }

    /*
        $users = User::where('status', 1)->get();
        $users->map(function ($item, $key) {
            return ucfirst($item->name);
        });
        dd($users);
    */

        if ($user->id == 1) {
            return true;
        }
//Cache::forget('permissions_' . $user->id);
     $values =[];
        $minutes = 5;
        $permissions = Cache::remember('permissions_' . $user->id, $minutes, function () use ($user,$values) {
             foreach($user->roles as $role){
                 foreach($role->role->permissions as $one_permission){
                     array_push($values, $one_permission->permission->slug);
                 }
            }     
                 return  $values ;
    });

    $permissions = array_flatten($permissions);
     if(is_array($permission)){
         $result = array_intersect($permission, $permissions);
            if (count($result) > 0) {
                 return true ;
            }else{
                return false ;
            }
     }else{
         return in_array($permission, $permissions);
     }
   

 

    //@if(can('reservations.panel'))
}

 
     
     
     function image_extensions(){
        return array('jpg','png','jpeg','gif','bmp');
     }

     function audio_extensions(){
        return array('wav','ogg','mp3','wma','midi','aif','aifc','aiff','au','ea','3gp');
     }

     function video_extensions(){
        return array('mp4','mov','ogg','3gp','3gpp','x-flv','wmv','flv','avi');
     }

     function doc_extensions(){
        return array('pdf','doc','docx','ppt','pptx','xls','xlsx','txt');
     }
     
     
function admin_assets($dir){
    return url('/admin_assets/assets/' . $dir);
}
function subadmin_assets($dir){
    return url('/subadmin/assets/' . $dir);
}

function getLocal(){
    return app()->getLocale();
}

function convertAr2En($string){
    $persian = ['۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹'];
    $arabic = ['٠', '١', '٢', '٣', '٤', '٥', '٦', '٧', '٨', '٩'];
    $num = range(0, 9);
    $convertedPersianNums = str_replace($persian, $num, $string);
    $englishNumbersOnly = str_replace($arabic, $num, $convertedPersianNums);
    return $englishNumbersOnly;
}


   

    function payment($amount,$order_id,$redirect_url ,$order ,$payment_method = "knet") {
        $curl = curl_init();
     
            //  $api_key = "HIkJW2qaw31RNyJg0pT2M8ovYmbSV6bD3FS9PTTO";
            //  $url = "https://apiv2api.upayments.com/api/v1/charge";
             $api_key = "jtest123";
             $url = "https://dev-apiv2api.upayments.com/api/v1/charge";
             $body = [
                 "products" => [],
             
                 'order'=>[
                     'id'=>"$order_id",
                     "reference" => "$order_id",
                     'description' => '',
                     'currency' => 'KWD',
                     'amount' => $amount,
                 ],
                 
                 "language" => "en",
                 'reference' => [
                     'id' => "$order_id",
                 ],
                 'paymentGateway' => ['src'=>$payment_method],
     
                 'customer' => [
                     'uniqueId' => "$order->id",
                     'name' => "$order->name",
                     'email' => "$order->email",
                     'mobile' => "$order->mobile",
                 ],
                 'whitelabled'=>true, 
                 
                 'returnUrl' => $redirect_url,
                 'cancelUrl' => route('failPayment'),
                 'notificationUrl' =>  $redirect_url,
             
             
             ];
       
             curl_setopt_array($curl, array(
                 CURLOPT_URL => $url,
                 CURLOPT_RETURNTRANSFER => true,
                 CURLOPT_ENCODING => '',
                 CURLOPT_MAXREDIRS => 10,
                 CURLOPT_TIMEOUT => 0,
                 CURLOPT_FOLLOWLOCATION => true,
                 CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                 CURLOPT_CUSTOMREQUEST => 'POST',
                 CURLOPT_POSTFIELDS => json_encode($body),
                 CURLOPT_HTTPHEADER => array(
                     'Accept: application/json',
                     'Content-Type: application/json',
                     'Authorization: Bearer ' . $api_key
                 ),
             ));
             
             $response = curl_exec($curl);
             
             curl_close($curl);
         $res = json_decode($response,true);
         
         return  ["status"=>true,"response"=>$res];
         
     }



function validatePayment($paymentId)
{
    $api_key = "jtest123";
    $url = "https://dev-apiv2api.upayments.com/api/v1/get-payment-status/".$paymentId;

    $curl = curl_init($url);
    curl_setopt_array($curl, array(
        CURLOPT_CUSTOMREQUEST  => 'GET',
        CURLOPT_HTTPHEADER     => array("Authorization: Bearer $api_key" , 'Content-Type: application/json'),
        CURLOPT_RETURNTRANSFER => true,
    ));

    $response = curl_exec($curl);
    $curlErr  = curl_error($curl);

    curl_close($curl);
    return (object) ["status"=>true,"response"=>json_decode($response)];
 
}




function refund($order ,$amount){
        /* ------------------------ Configurations ---------------------------------- */
    //Test
    $apiURL = 'https://dev-apiv2api.upayments.com/api/v1/create-refund';
    $apiKey = 'jtest123';
 
    //------------- Post Fields -------------------------

 

    $postFields = [
            "orderId" =>  $order->refund_order_id,
            "totalPrice"  => $amount, // should counvert amount to portal currency ( can be full / partial refund)
            "customerFirstName"=> $order->name,
            "customerEmail"=>$order->email,
            "customerMobileNumber"=>$order->mobile,
            "reference"=> $order->mobile,
            "notifyUrl"=> url('/')
    ];


        $curl = curl_init();

        curl_setopt_array($curl, [
        CURLOPT_URL => $apiURL,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 30,
        CURLOPT_POSTFIELDS     => json_encode($postFields),
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => "POST",
        CURLOPT_HTTPHEADER => [
            "Authorization: Bearer jtest123",
            "accept: application/json",
            "content-type: application/json"
        ],
        ]);

        $response = curl_exec($curl);
        $err = curl_error($curl);

        curl_close($curl);
        return json_decode($response);
        if ($err) {
            return json_decode($err);
        } else {
            return json_decode($response);
        }
 

}

 


function callAPI($endpointURL, $apiKey, $postFields = [], $requestType = 'POST') {

    $curl = curl_init($endpointURL);
    curl_setopt_array($curl, array(
        CURLOPT_CUSTOMREQUEST  => $requestType,
        CURLOPT_POSTFIELDS     => json_encode($postFields),
        CURLOPT_HTTPHEADER     => array("Authorization: Bearer $apiKey", 'Content-Type: application/json'),
        CURLOPT_RETURNTRANSFER => true,
    ));

    $response = curl_exec($curl);
    $curlErr  = curl_error($curl);

    curl_close($curl);

    if ($curlErr) {
        return (object) ["status"=>false,"message"=>$curlErr];
    }

    $error = handleError($response);
    if ($error) {
        return (object) ["status"=>false,"message"=>$error];
    }
    $res = json_decode($response);
    
    return (object) ["status"=>true,"response"=>$res];
}

function handleError($response) {

    $json = json_decode($response);
    if (isset($json->IsSuccess) && $json->IsSuccess == true) {
        return null;
    }

    //Check for the errors
    if (isset($json->ValidationErrors) || isset($json->FieldsErrors)) {
        $errorsObj = isset($json->ValidationErrors) ? $json->ValidationErrors : $json->FieldsErrors;
        $blogDatas = array_column($errorsObj, 'Error', 'Name');

        $error = implode(', ', array_map(function ($k, $v) {
                    return "$k: $v";
                }, array_keys($blogDatas), array_values($blogDatas)));
    } else if (isset($json->Data->ErrorMessage)) {
        $error = $json->Data->ErrorMessage;
    }

    if (empty($error)) {
        $error = (isset($json->Message)) ? $json->Message : (!empty($response) ? $response : 'API key or API URL is not correct');
    }

    return $error;
}



function sendNewOrderToUser($order){
    $settings= Setting::query()->first();
        $email_data = array(
        'from' => env('MAIL_FROM_ADDRESS'),
        'fromName' => env('MAIL_FROM_NAME'),
        'to' => [@$order->email]); //
    try{
        
        $subject ='شكرا لطلبك الجديد';  
        $blade_data = array(
            'subject'=> $subject,
            'settings'=>$settings,
            'order'=>$order,    
        );
        
        Mail::send(['html' => 'emails.new_order'], $blade_data, function ($message) use ($email_data, $subject) {
            $message->to($email_data['to'])
                ->subject($subject)
                ->replyTo($email_data['from'], $email_data['fromName'])
                ->from($email_data['from'],$email_data['fromName']);
        });

        

        $subject ='New order';  
        $blade_data = array(
            'subject'=> $subject,
            'settings'=>$settings,
            'order'=>$order,    
        );
        $settings= Setting::query()->first();
        $email_data = array(
            'from' => env('MAIL_FROM_ADDRESS'),
            'fromName' => env('MAIL_FROM_NAME'),
            'to' => [@$settings->info_email]); //

        Mail::send(['html' => 'emails.new_order'], $blade_data, function ($message) use ($email_data, $subject) {
            $message->to($email_data['to'])
                ->subject($subject)
                ->replyTo($email_data['from'], $email_data['fromName'])
                ->from($email_data['from'],$email_data['fromName']);
        });

    }
    catch(Exception $e) {
        return 66;
    }
 
}
 
    

function sendSMS($mobile,$message){
    try {
        $ch = curl_init();
        $data="AppSid=g9X11HAoeK16Pb3I0mqaHZsOK_LIaR&Recipient=$mobile&Body=$message";
        curl_setopt($ch, CURLOPT_URL, "https://api.unifonic.com/rest/Messages/Send");
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
        curl_setopt($ch, CURLOPT_HEADER, FALSE);
        
        curl_setopt($ch, CURLOPT_POST, TRUE);
        
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
        
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
          "Content-Type: application/x-www-form-urlencoded"
        ));
        
        $response = curl_exec($ch);
        curl_close($ch);
        return json_decode($response,true);
    } catch (\Exception $ex) {
        return false;
    }
}

function random_number($digits){
    return str_pad(rand(0, pow(10, $digits) - 1), $digits, '0', STR_PAD_LEFT);
}


function sendNotificationToUsers($tokens, $target_id, $message ,$title,$msgType="1"){
    try {
        $headers = [
            'Authorization: key='.env("FireBaseKey"),
            'Content-Type: application/json'
        ];

        if(!empty($tokens)) {
            $data= [
                "registration_ids" => $tokens,
                "data" => [
                    'body' => $message,
                    'type' => "notify",
                    'title' => $title,
                    'target_id' => $target_id, // order_id or user_id
                    'msgType' => $msgType,//1=>order , 2=>msg
                    'badge' => 1,
                    "click_action" => 'FLUTTER_NOTIFICATION_CLICK',
                    'icon' => 'myicon',//Default Icon
                    'sound' => 'mySound'//Default sound
                ],
                "notification" => [
                    'body' => $message,
                    'type' => "notify",
                    'title' => $title,
                    'target_id' => $target_id, // order_id or user_id
                    'msgType' => $msgType,//1=>order , 2=>msg
                    'badge' => 1,
                    "click_action" => 'FLUTTER_NOTIFICATION_CLICK',
                    'icon' => 'myicon',//Default Icon
                    'sound' => 'mySound'//Default sound
                ]
            ];
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send');
            curl_setopt($ch, CURLOPT_POST, true);
            curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
            curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
            $result = curl_exec($ch);
            curl_close($ch);
            // $resultOfPushToIOS = "Done";
            //   return $result; // to check does the notification sent or not
        }

    } catch (\Exception $ex) {
        return $ex->getMessage();
    }





}

  
  
function updateFirebaseNotification($type,$target,$value=1){
    $database = app('firebase.database');
    $x = $database->getReference("OrdersNotifications/$target")->getSnapshot()->getValue();
    $newValue =0;
    if($type ==='increment') $newValue = $x+$value;
    if($type ==='decrement') $newValue = ($x-$value>0)? $x-$value : 0;
    if($type ==='reset') $newValue = 0;
    if($type ==='newValue') $newValue = $value;
    $database->getReference("OrdersNotifications")->update([
        $target => $newValue,
    ]);

}

function slugURL($title){
    $WrongChar = array('@', '؟', '.', '!','?','&','%','$','#','{','}','(',')','"',':','>','<','/','|','{','^');

    $titleNoChr = str_replace($WrongChar, '', $title);
    $titleSEO = str_replace(' ', '-', $titleNoChr);
    return $titleSEO;
}

function pointInPolygon($point, $polygon) {
  //  pointOnVertex = true;

    // Transform string coordinates into arrays with x and y values
    $point = pointStringToCoordinates($point);
    $vertices = array(); 
    foreach ($polygon as $vertex) {
        $vertices[] = pointStringToCoordinates($vertex); 
    }

    // Check if the point sits exactly on a vertex
    if (pointOnVertex($point, $vertices) == true) {
        return true;
    }

    // Check if the point is inside the polygon or on the boundary
    $intersections = 0; 

    for ($i=1; $i < count($vertices); $i++) {
        $vertex1 = $vertices[$i-1]; 
        $vertex2 = $vertices[$i];
        if ($vertex1['y'] == $vertex2['y'] and $vertex1['y'] == $point['y'] and $point['x'] > min($vertex1['x'], $vertex2['x']) and $point['x'] < max($vertex1['x'], $vertex2['x'])) { // Check if point is on an horizontal polygon boundary
            return true;
        }
        if ($point['y'] > min($vertex1['y'], $vertex2['y']) and $point['y'] <= max($vertex1['y'], $vertex2['y']) and $point['x'] <= max($vertex1['x'], $vertex2['x']) and $vertex1['y'] != $vertex2['y']) { 
            $xinters = ($point['y'] - $vertex1['y']) * ($vertex2['x'] - $vertex1['x']) / ($vertex2['y'] - $vertex1['y']) + $vertex1['x']; 
            if ($xinters == $point['x']) { // Check if point is on the polygon boundary (other than horizontal)
                return true;
            }
            if ($vertex1['x'] == $vertex2['x'] || $point['x'] <= $xinters) {
                $intersections++; 
            }
        } 
    } 
    // If the number of edges we passed through is odd, then it's in the polygon. 
    if ($intersections % 2 != 0) {
        return true;
    } else {
        return false;
    }
}

function pointOnVertex($point, $vertices) {
    foreach($vertices as $vertex) {
        if ($point == $vertex) {
            return true;
        }
    }

}

function pointStringToCoordinates($pointString) {
    $coordinates = explode(" ", $pointString);
    return array("x" => $coordinates[0], "y" => $coordinates[1]);
}

function get_center($coords){
    $count_coords = count($coords);
    $xcos=0.0;
    $ycos=0.0;
    $zsin=0.0;
    
        foreach ($coords as $lnglat)
        {
            $lat = $lnglat['latitude'] * pi() / 180;
            $lon = $lnglat['longitude'] * pi() / 180;
            
            $acos = cos($lat) * cos($lon);
            $bcos = cos($lat) * sin($lon);
            $csin = sin($lat);
            $xcos += $acos;
            $ycos += $bcos;
            $zsin += $csin;
        }
    
    $xcos /= $count_coords;
    $ycos /= $count_coords;
    $zsin /= $count_coords;
    $lon = atan2($ycos, $xcos);
    $sqrt = sqrt($xcos * $xcos + $ycos * $ycos);
    $lat = atan2($zsin, $sqrt);
    
    return number_format($lat * 180 / pi(),6).','.number_format($lon * 180 / pi(),6);
}

