<?php

namespace App\Models;

use Astrotomic\Translatable\Translatable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Advertisement extends Model
{
    use HasFactory ,SoftDeletes;

    protected $guarded = [];
    protected $hidden = ['updated_at', 'deleted_at','translations'];
     protected $appends = ['category_name'];
     
    public function getCategoryNameAttribute()
    {
        if ($this->type==2) {
            $category = Category::where('id',$this->item_id)->first();
            if($category){
                return $category->name;
            }else{
                return '';
            }
        } else {
            return '';
        }
    }
    
    public function getImageAttribute($value)
    {
        if ($value) {
            if (filter_var($value, FILTER_VALIDATE_URL) === FALSE) {
                return url('uploads/images/banners/' . $value);
            } else {
                return $value;
            }
        } else {
            return url('uploads/images/default.png');
        }
    }
 
}
