<?php

namespace App\Models;

use Astrotomic\Translatable\Translatable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Cart extends Model
{

    use SoftDeletes;
    protected $table = 'carts';
    protected $guarded = [];
    protected $hidden = ['updated_at', 'deleted_at'];

    public function product()
    {
        return $this->belongsTo(Product::class,'product_id');
    }
 
    public function color()
    {
        return $this->belongsTo(Color::class,'color_id');
    }
    public function size()
    {
        return $this->belongsTo(Size::class,'size_id');
    }

}
