<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Astrotomic\Translatable\Translatable;

class Color extends Model
{
    //
    public $translatedAttributes = ['name'];

    use SoftDeletes,Translatable;
    protected $table = 'colors';
     protected $hidden = ['updated_at', 'deleted_at','translations'];
 
     public function scopeFilter($query)
     {
         if (request()->has('name')) {
             if (request()->get('name') != null)
                 $query->where(function ($q) {
                     $q->whereTranslationLike('name', '%' . request()->get('name') . '%');
                 });
         }
         if (request()->has('status')) {
             if (request()->get('status') != null)
                 $query->where('status', request()->get('status'));
         }
     }
}
