<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Contact extends Model
{
    use SoftDeletes;
    protected $fillable = ['name', 'email','message','mobile'];
    protected $hidden = ['updated_at'];
    
    
    public function scopeFilter($query)
    {
        if (request()->has('name') ) {
            if (request()->get('name') != null)
                $query->where('name', 'like', '%' . request()->get('name') . '%');
        }
        if (request()->has('status')) {
            if (request()->get('status') != null)
                $query->where('read', request()->get('status'));
        }
        
            if (request()->has('email')) {
            if (request()->get('email') != null)
                $query->where('email', 'like', '%' . request()->get('email') . '%');
        }

        if (request()->has('mobile')) {
            if (request()->get('mobile') != null)
                $query->where('mobile', 'like', '%' . request()->get('mobile') . '%');
        }
        if (request()->has('id')) {
            if (request()->get('id') != null)
                $query->where('id',request()->get('id'));
        }
        if (request()->has('type')) {
            if (request()->get('type') != null)
                $query->where('type',request()->get('type'));
        }
 
        if (request()->get('from_date') && request()->get('to_date')) {
            $query->whereDate('updated_at', '>=', Carbon::parse(request()->get('from_date')));
            $query->whereDate('updated_at', '<=', Carbon::parse(request()->get('to_date')));
        }
    }
}
