<?php

namespace App\Models;

use Astrotomic\Translatable\Translatable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;


class ProductColor extends Model
{
   

    use SoftDeletes;
    protected $table = 'product_colors';
    protected $hidden = ['updated_at', 'deleted_at'];
    protected $with = ['color','available_sizes'];
    protected $appends = ['disabled'];
    protected $guarded = [];
    public function product(){
        return $this->belongsTo(Product::class,'product_id');
    }
    public function color(){
        return $this->belongsTo(Color::class,'color_id');
    }


    public function available_sizes()
    {
        return $this->hasMany(ProductQuantity::class,'color_id');
    }
    
    public function getDisabledAttribute()
    {
        return $this->hasMany(ProductQuantity::class,'color_id')->sum('qty') == 0 ? "1" : "2";   // 1=> yes, 2=> no
    }
 

}