<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\Translatable\HasTranslations;


class ProductImage extends Model
{

    protected $table = 'product_images';
    protected $fillable = ['image','product_id'];
    protected $hidden = ['updated_at'];


    public function product(){
        return $this->belongsTo(Product::class);
    }

    public function getImageAttribute($value)
    {
        if ($value) {
            if (filter_var($value, FILTER_VALIDATE_URL) === FALSE) {
                return url('uploads/images/products/' . $value);
            } else {
                return $value;
            }
        } else {
            return url('uploads/images/products/default.jpg');
        }
    }
}
