<?php

namespace App\Models;

use Astrotomic\Translatable\Translatable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;


class ProductSize extends Model
{
   

    use SoftDeletes;
    protected $table = 'product_sizes';
    protected $hidden = ['updated_at', 'deleted_at'];
    protected $with = ['size','available_colors'];
    protected $appends = ['disabled'];
    protected $guarded = [];
    public function product(){
        return $this->belongsTo(Product::class,'product_id');
    }
    public function size(){
        return $this->belongsTo(Size::class,'size_id');
    }

    public function available_colors()
    {
        return $this->hasMany(ProductQuantity::class,'size_id');
    }
    
      public function getDisabledAttribute()
    {
        return $this->hasMany(ProductQuantity::class,'size_id')->sum('qty') == 0 ? "1" : "2";   // 1=> yes, 2=> no
    }
 

}