<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;


class PromotionCode extends Model
{
    use SoftDeletes ;
    protected $table = 'promotion_codes';
    protected $hidden = ['updated_at', 'deleted_at'];

 
    public function orders()
    {
        return $this->hasMany(Order::class, 'promotion_code_id');
    }
    
 public function scopeFilter($query)
    {
        if (request()->has('code')) {
            if (request()->get('code') != null)
                $query->where('code', 'like', '%' . request()->get('code') . '%');
        }
        if (request()->has('discount')) {
            if (request()->get('discount') != null)
                $query->where('discount',   request()->get('discount') );
        }
        if (request()->get('start_date') && request()->get('end_date')) {
            request()->whereDate('start_date', '>=', Carbon::parse(request()->get('start_date')));
            $query->whereDate('end_date', '<=', Carbon::parse(request()->get('end_date')));
        }
        if (request()->get('start_date')) {
            if (request()->get('start_date') != null)
                $query->whereDate('start_date', '>=', Carbon::parse(request()->get('start_date')));
        }
        if (request()->get('end_date')) {
            if (request()->get('end_date') != null)
                $query->whereDate('end_date', '<=', Carbon::parse(request()->get('end_date')));
        }
        if (request()->has('status')) {
            if (request()->get('status') != null)
                $query->where('status', request()->get('status'));
        }


    }
    
}