<?php

namespace App\Models;

use Astrotomic\Translatable\Translatable;
use Illuminate\Database\Eloquent\Model;

class Setting extends Model
{
    use Translatable;
    public $translatedAttributes = ['title','scan_instructions','address', 'guest_account_instructions','referral_text',
        'scan_user_qr_code_text1','scan_user_qr_code_text2','refer_share_text','shopp_download_app_text'];
    public $guarded = [];
//    protected $appends = ['privacy','terms','aboutus'];
    protected $hidden = ['translations'];

    public function getLogoAttribute($logo)
    {
        return !is_null($logo)?url('uploads/images/settings/'.$logo):null;
    }

    public function getImageAttribute($image)
    {
        //return url('uploads/settings/'.$image);
        return !is_null($image)?url('uploads/images/settings/'.$image):null;
    }
 
 
    public function getBannerImageAttribute($image)
    {
        return !is_null($image)?url('uploads/images/settings/'.$image):null;
    }
 
    public function getLoginImageAttribute($image)
    {
        return !is_null($image)?url('uploads/images/settings/'.$image):null;
    }
 
    public function getWhiteLogoAttribute($image)
    {
        return !is_null($image)?url('uploads/images/settings/'.$image):null;
    }
    
    public function getBlackLogoAttribute($image)
    {
        return !is_null($image)?url('uploads/images/settings/'.$image):null;
    }



}
