<?php

namespace App\Models;


use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Notifications\Notifiable;
use DB;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Laravel\Passport\HasApiTokens;
use \Carbon\Carbon;
class User extends Authenticatable
{
    use Notifiable,HasApiTokens,SoftDeletes;

    protected $hidden = [
        'password', 'fcm_token' , 'updated_at', 'deleted_at'
    ];

    protected $guarded = [];
    protected $appends = [];




   public function getImageProfileAttribute($value)
    {
        if ($value) {
            if (filter_var($value, FILTER_VALIDATE_URL) === FALSE) {
                return url('uploads/images/users/' . $value);
            } else {
                return $value;
            }
        } else {
            return url('uploads/images/users/defualtUser.png');
        }
    }


     


    public function orders()
    {
        return $this->hasMany(Order::class)->where('payment_status',1);
    }
    public function notification()
    {
        return $this->hasMany(NotificationMessage::class);
    }

 
 
    public function scopeFilter($query)
    {
        if (request()->has('email')) {
            if (request()->get('email') != null)
                $query->where('email', 'like', '%' . request()->get('email') . '%');
        }
        if (request()->has('name')) {
            if (request()->get('name') != null)
                $query->where('name', 'like', '%' . request()->get('name') . '%');
        }

        if (request()->has('mobile')) {
            if (request()->get('mobile') != null)
                $query->where('mobile', 'like', '%' . request()->get('mobile') . '%');
        }
        if (request()->has('status')) {
            if (request()->get('status') != null)
                $query->where('status', request()->get('status'));
        }
        if (request()->has('id')) {
            if (request()->get('id') != null)
                $query->where('id', request()->get('id'));
        }
 
        if (request()->get('from_date') && request()->get('to_date')) {
            $query->whereDate('created_at', '>=', Carbon::parse(request()->get('from_date')));
            $query->whereDate('created_at', '<=', Carbon::parse(request()->get('to_date')));
        }
        
     
    }

}
