<?php

namespace App\Notifications;

use Illuminate\Notifications\Notification;
use Illuminate\Notifications\Messages\MailMessage;

class ResetPassword extends Notification
{
    /**
     * The password reset token.
     *
     * @var string
     */
    public $token;
    public $user;

    /**
     * Create a new notification instance.
     *
     * @param $token
     */
    public function __construct($token , $user)
    {
        $this->token = $token;
        $this->user = $user;
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function via($notifiable)
    {
        return ['mail'];
    }

    /**
     * Get the mail representation of the notification.
     *
     * @param  mixed  $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */

    
            public function toMail($notifiable)
    {
           return (new MailMessage)
           ->subject('Bunch')
            ->view('emails.resetPassword',['token'=>url(app()->getLocale().'/password/reset', $this->token) ,'user'=>$this->user]);
    }

}
