<?php

namespace App\Notifications;

use Illuminate\Notifications\Notification;
use Illuminate\Notifications\Messages\MailMessage;

class ResetWebUsersPassword extends Notification
{
    /**
     * The password reset token.
     *
     * @var string
     */
    public $pin;
 
    /**
     * Create a new notification instance.
     *
     * @param $token
     */
    public function __construct($token)
    {
        $this->token = $token;
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function via($notifiable)
    {
        return ['mail'];
    }

    /**
     * Get the mail representation of the notification.
     *
     * @param  mixed  $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */

    
            public function toMail($notifiable)
    {
           return (new MailMessage)
           ->subject('Omniya')
            ->view('emails.reset_users_password_email',['token'=>url(app()->getLocale().'/password/reset', $this->token)]);
    }

}
