@extends('layout.adminLayout')
@section('title') {{ucwords(__('cp.advertisements'))}}
@endsection

@section('content')


    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <!--begin::Subheader-->
        <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
            <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                <!--begin::Info-->
                <div class="d-flex align-items-center flex-wrap mr-1">
                    <div class="d-flex align-items-baseline mr-5">
                        <h3>{{__('cp.advertisements')}}</h3>
                    </div>
                </div>
                <!--end::Info-->
                <!--begin::Toolbar-->
                <div class="d-flex align-items-center">
                    <a  href="{{url(getLocal().'/admin/advertisements')}}" class="btn btn-secondary  mr-2">{{__('cp.cancel')}}</a>
                    <button id="submitButton" class="btn btn-success ">{{__('cp.save')}}</button>
                </div>
                <!--end::Toolbar-->
            </div>
        </div>
        <!--end::Subheader-->
        <!--begin::Entry-->
        <div class="d-flex flex-column-fluid">
            <!--begin::Container-->
            <div class="container">
                <!--begin::Card-->
                <div class="card card-custom gutter-b example example-compact">
                    <form class="form" method="post" action="{{url(app()->getLocale().'/admin/advertisements/'.$item->id)}}"
                        role="form" id="form" enctype="multipart/form-data" >
                        {{ csrf_field() }}
                        {{ method_field('PATCH')}}
                        <div class="card-header">
                            <h3 class="card-title">{{__('cp.main_data')}}</h3>
                        </div>
                         
                           <div class="card-body">
                                
                                 
                                   <div class="row">
                                        <div class="col-md-6" id="internal">
                                            <div class="form-group ">
                                                <label>{{__('cp.Target type')}}</label>
                                                <select class="form-control  baner_type" name ="type" required>
                                                      <option value="">{{__('cp.select')}}</option>
                                                      <option value="0" @if($item->type == 0) selected @endif>{{__('cp.None')}}</option>
                                                      <option value="1" @if($item->type == 1) selected @endif>{{__('cp.Product')}}</option>
                                                      <option value="2" @if($item->type == 2) selected @endif>{{__('cp.category')}}</option>
                                                      <option value="3" @if($item->type == 3) selected @endif>{{__('cp.link')}}</option>
                                                </select>
                                            </div>
                                       </div>
                                       
                                     <div class="col-md-6" id="product_type"  @if($item->type==0 || $item->type==2) style="display:none" @endif>
                                            <div class="form-group ">
                                                <label>{{__('cp.product')}}</label>
                                                <select class="form-control " name ="product_id" >
                                                    <option value="">{{__('cp.select')}}</option>
                                                      @foreach ($products as $product)
                                                      <option value="{{$product->id}}" @if($item->item_id == $product->id) selected @endif>{{$product->name}}</option>
                                                      @endforeach
                                                       
                                                </select>
                                            </div>
                                       </div>
                                       
                                      <div class="col-md-6" id="category_type" @if($item->type==0 || $item->type==1) style="display:none" @endif>
                                            <div class="form-group ">
                                                <label>{{__('cp.category')}}</label>
                                                <select class="form-control " name ="category_id">
                                                    <option value="">{{__('cp.select')}}</option>
                                                      @foreach ($categories as $category)
                                                      <option value="{{$category->id}}" @if($item->item_id == $category->id) selected @endif>{{$category->name}}</option>
                                                      @endforeach
                                                       
                                                </select>
                                            </div>
                                       </div>


                                        <div class="col-md-6" id="banner_type" style="display:none">
                                            <div class="form-group ">
                                                <label>{{__('cp.link')}}</label>
                                                <input type="text" class="form-control" value="{{ $item->link }}" name="link">
                                            </div>
                                        </div>
                                  
                                   
                                     
                                 </div>
                                </div>  
                                
                                
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="fileinputForm">
                                                <label>{{ __('cp.image') }}</label>
                                                <div class="fileinput-new thumbnail"
                                                    onclick="document.getElementById('edit_image1').click()" style="cursor:pointer">
                                                    <img src="{{ $item->image }}" id="editImage1">
                                                </div>
                                                <div class="btn btn-change-img red"
                                                    onclick="document.getElementById('edit_image1').click()">
                                                    <i class="fas fa-pencil-alt"></i>
                                                </div>
                                                <input type="file" class="form-control image_input" name="image" id="edit_image1"
                                                    style="display:none">
                                            </div>
                                        </div>
         
        
                                        
                                    </div>
                                </div>
                         
                         
                         
                        <button type="submit" id="submitForm" style="display:none"></button>
                    </form>
                </div>
                <!--end::Card-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Entry-->
    </div>


@endsection
@section('script')
<script>

        $('#edit_image').on('change', function(e) {
            readURL(this, $('#editImage'));
        });
        $('#edit_image1').on('change', function(e) {
            readURL(this, $('#editImage1'));
        });


    $(document).change('.baner_type',function (e) {
    var ele = $(this);
    var option=  $( ".baner_type option:selected" ).val();
    if(option==0){
       $("#product_type").hide(200).find('select').attr("required", false);
       $("#category_type").hide(200).find('select').attr("required", false);
       $("#banner_type").hide(200).find('select').attr("required", false);
    }else if(option==1){
        $("#product_type").show(200).find('select').attr("required", true);
        $("#category_type").hide(200).find('select').attr("required", false);
        $("#banner_type").hide(200).find('select').attr("required", false);
    }else if(option==2){
         $("#product_type").hide(200).find('select').attr("required", false);
         $("#banner_type").hide(200).find('select').attr("required", false);
         $("#category_type").show(200).find('select').attr("required", true);
    }else if(option==3){
         $("#banner_type").show(200).find('input').attr("required", true);
         $("#product_type").hide(200).find('select').attr("required", false);
         $("#category_type").hide(200).find('select').attr("required", false);
    }
}).change(); 

</script>
@endsection
