@extends('layout.adminLayout')
@section('title')
    {{ ucwords(__('cp.categories')) }}
@endsection
@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <!--begin::Subheader-->
        <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
            <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                <!--begin::Info-->
                <div class="d-flex align-items-center flex-wrap mr-1">
                    <div class="d-flex align-items-baseline mr-5">
                        <h3>{{ ucwords(__('cp.categories')) }}</h3>
                    </div>
                </div>

                <div>
                    <div class="btn-group mb-2 m-md-3 mt-md-0 ml-2 ">
                        <button type="button" class="btn btn-secondary" href="#activation" role="button"
                            data-toggle="modal">
                            <i class="icon-xl la la-check"></i>
                            <span>{{ __('cp.activation') }}</span>
                        </button>
                        <button type="button" class="btn btn-secondary" href="#cancel_activation" role="button"
                            data-toggle="modal">
                            <i class="icon-xl la la-ban"></i>
                            <span>{{ __('cp.cancel_activation') }}</span>
                        </button>
                    </div>

                    {{-- <a href="#" data-var_one="exportCategories"  data-var_two="categories"  class="btn btn-secondary  mr-2 btn-success exportExcel">
                        <i class="icon-xl la la-file-excel"></i> <span>{{__('cp.export')}}</span>
                    </a> --}}
                    
                    <a href="{{ url(getLocal() . '/admin/categories/create') }}" class="btn btn-secondary  mr-2 btn-success">
                        <i class="icon-xl la la-plus"></i>
                        <span>{{ __('cp.add') }} </span>
                    </a>
                </div>
                <!--end::Toolbar-->
            </div>
        </div>

        <div class="d-flex flex-column-fluid">
            <!--begin::Container-->
            <div class="container">
                <!--begin::Card-->
                <div class="gutter-b example example-compact">

                    <div class="contentTabel">
                        <button type="button" class="btn btn-secondar btn--filter mr-2"><i
                                class="icon-xl la la-sliders-h"></i>{{ __('cp.filter') }}</button>
                        <div class="container box-filter-collapse">
                            <div class="card">
                                <form class="form-horizontal" method="get"
                                    action="{{ url(getLocal() . '/admin/categories') }}">
                                    <div class="row">
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.id') }}</label>
                                                <input type="text" value="{{ request('id') ? request('id') : '' }}"
                                                    class="form-control" name="id" placeholder="{{ __('cp.id') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.name') }}</label>
                                                <input type="text" value="{{ request('name') ? request('name') : '' }}"
                                                    class="form-control" name="name" placeholder="{{ __('cp.name') }}">
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.status') }}</label>
                                                <select id="multiple2" class="form-control" name="status">
                                                    <option value="">{{ __('cp.all') }}</option>
                                                    <option value="active"
                                                        {{ request('status') == 'active' ? 'selected' : '' }}>
                                                        {{ __('cp.active') }}
                                                    </option>
                                                    <option value="not_active"
                                                        {{ request('status') == 'not_active' ? 'selected' : '' }}>
                                                        {{ __('cp.not_active') }}
                                                    </option>
                                                </select>
                                            </div>
                                        </div>
                                        
                                       

                                        <div class="col-md-3">
                                            <button type="submit"
                                                class="btn sbold btn-default btnSearch">{{ __('cp.search') }}
                                                <i class="fa fa-search"></i>
                                            </button>

                                            <a href="{{ url(app()->getLocale() . '/admin/categories') }}" type="submit"
                                                class="btn sbold btn-default btnRest">{{ __('cp.reset') }}
                                                <i class="fa fa-refresh"></i>
                                            </a>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div
                            class="card-header d-flex flex-column flex-sm-row align-items-sm-start justify-content-sm-between">
                            <div>


                            </div>

                        </div>
                        <div class="table-responsive">
                            <table class="table table-hover tableWithSearch" id="tableWithSearch">
                                <thead>
                                    <tr>
                                        <th class="wd-1p no-sort">
                                            <div class="checkbox-inline">
                                                <label class="checkbox">
                                                    <input type="checkbox" name="checkAll" />
                                                    <span></span></label>
                                            </div>
                                        </th>


                                        <th> {{ ucwords(__('cp.image')) }}</th>
                                        <th> {{ ucwords(__('cp.id')) }}</th>
                                        <th> {{ ucwords(__('cp.name')) }}</th>
                                        <th> {{ ucwords(__('cp.products_count')) }}</th>
                                        
                                        <th> {{ ucwords(__('cp.status')) }}</th>
                                        <th> {{ ucwords(__('cp.created')) }}</th>
                                        <th> {{ ucwords(__('cp.action')) }}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse($items as $item)
                                        <tr class="odd gradeX" id="tr-{{ $item->id }}">
                                            <td class="v-align-middle wd-5p">
                                                <div class="checkbox-inline">
                                                    <label class="checkbox">
                                                        <input type="checkbox" value="{{ $item->id }}"
                                                            class="checkboxes" name="chkBox" />
                                                        <span></span></label>
                                                </div>
                                            </td>

                                             <td class="v-align-middle wd-5p"><img src="{{ @$item->image }}" style="max-width: 64px;max-height: 70px;"></td> 

                                            <td class="v-align-middle wd-25p">{{@$item->id}}</td>
                                            <td class="v-align-middle wd-25p">{{@$item->name}}</td>
                                            <td class="v-align-middle wd-25p">{{@$item->products_count}}</td>
                                            
                                            <td class="v-align-middle wd-10p"> <span id="label-{{ $item->id }}"
                                                    class="badge badge-pill badge-{{ $item->status == 'active' ? 'info' : 'danger' }}"
                                                    id="label-{{ $item->id }}">
                                                    {{ __('cp.' . $item->status) }}
                                                </span>
                                            </td>

                                            <td class="v-align-middle wd-10p">{{ @$item->created_at }}</td>

                                            <td class="v-align-middle wd-15p optionAddHours">
                                                <a href="{{ url(getLocal() . '/admin/categories/' . $item->id . '/edit') }}"
                                                    class="btn btn-sm btn-clean btn-icon" title="{{ __('cp.edit') }}">
                                                    <i class="la la-edit"></i>
                                                </a>
                                                <a href="{{ url(getLocal() . '/admin/products?category_id=' . $item->id) }}"
                                                    class="btn btn-sm btn-clean btn-icon" title="{{ __('cp.products') }}">
                                                    <i class="la la-list"></i>
                                                </a>

                                                <a href="#myModal{{ $item->id }}" role="button" data-toggle="modal"
                                                    class="btn btn-xs red tooltips"><i class="fa fa-times" aria-hidden="true"></i></a>

                                                <div id="myModal{{ $item->id }}" class="modal fade" tabindex="-1"
                                                    role="dialog" aria-labelledby="myModalLabel1" aria-hidden="true">
                                                    <div class="modal-dialog">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <button type="button" class="close"
                                                                    data-dismiss="modal" aria-hidden="true"></button>
                                                                <h4 class="modal-title">{{ __('cp.delete') }}</h4>
                                                            </div>
                                                            <div class="modal-body">
                                                                <p>{{ __('cp.confirm') }} </p>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button class="btn default" data-dismiss="modal"
                                                                    aria-hidden="true">{{ __('cp.cancel') }}</button>
                                                                <a href="#"
                                                                    onclick="delete_adv('{{ $item->id }}','{{ $item->id }}',event)"><button
                                                                        class="btn btn-danger">{{ __('cp.delete') }}</button></a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </td>
                                        </tr>
                                    @empty
                                    @endforelse


                                </tbody>
                            </table>
                            {{ $items->appends($_GET)->links('pagination::bootstrap-4') }}
                        </div>
                    </div>
                </div>
                <!--end::Card-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Entry-->
    </div>
@endsection
@section('script')
<script>
        function delete_adv(id, iss_id, e) {
            //alert(id);
            e.preventDefault();

            var url = '{{url(getLocal()."/admin/categories")}}/' + id;
            var csrf_token = '{{csrf_token()}}';
            $.ajax({
                type: 'delete',
                headers: {'X-CSRF-TOKEN': csrf_token},
                url: url,
                data: {_method: 'delete'},
                success: function (response) {
                    console.log(response);
                    if (response === 'success') {
                        $('#tr-' + id).hide(500);
                        $('#myModal' + id).modal('toggle');

                    } else {
                        swal(response.message);
                    }
                },
                error: function (e) {
                }
            });
        }
</script>
@endsection
