@extends('layout.adminLayout')
@section('title')
    {{ ucwords(__('cp.locations')) }}
@endsection
@section('css')
<style>
	#map-canvas{
		width: 900px;
		height: 350px;
      
	}
</style>

@endsection
@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <!--begin::Subheader-->
        <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
            <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                <!--begin::Info-->
                <div class="d-flex align-items-center flex-wrap mr-1">
                    <div class="d-flex align-items-baseline mr-5">
                        <h3>{{ __('cp.locations') }}</h3>
                    </div>
                </div>
                <!--end::Info-->
                <!--begin::Toolbar-->
                <div class="d-flex align-items-center">
                    <a href="{{ url(getLocal() . '/admin/locations') }}"
                        class="btn btn-secondary  mr-2">{{ __('cp.cancel') }}</a>
                    <button id="submitButton" class="btn btn-success ">{{ __('cp.save') }}</button>
                </div>
                <!--end::Toolbar-->
            </div>
        </div>
        <!--end::Subheader-->
        <!--begin::Entry-->
        <div class="d-flex flex-column-fluid">
            <!--begin::Container-->
            <div class="container">
                <!--begin::Card-->
                <div class="card card-custom gutter-b example example-compact">
                    <form class="form" method="post" action="{{ url(app()->getLocale() . '/admin/locations') }}"
                        id="form" role="form" enctype="multipart/form-data">
                        @csrf
                        <div class="card-header">
                            <h3 class="card-title">{{ __('cp.main_info') }}</h3>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                @foreach ($locales as $locale)
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>{{ __('cp.name_' . $locale->lang) }}</label>
                                            <input type="text" class="form-control" name="name_{{ $locale->lang }}"
                                                {{ $locale->lang == 'ar' ? 'dir=rtl' : '' }}
                                                value="{{ old('name_' . $locale->lang) }}" required />
                                        </div>
                                    </div>
                                @endforeach
                                @foreach ($locales as $locale)
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>{{ __('cp.address_' . $locale->lang) }}</label>
                                            <input type="text" class="form-control  " name="address_{{ $locale->lang }}"
                                                {{ $locale->lang == 'ar' ? 'dir=rtl' : '' }}
                                                value="{{ old('address_' . $locale->lang) }}" required />
                                        </div>
                                    </div>
                                @endforeach
                                @foreach ($locales as $locale)
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>{{ __('cp.working_hours_' . $locale->lang) }}</label>
                                            <input type="text" class="form-control  " name="working_hours_{{ $locale->lang }}"
                                                {{ $locale->lang == 'ar' ? 'dir=rtl' : '' }}
                                                value="{{ old('working_hours_' . $locale->lang) }}" required />
                                        </div>
                                    </div>
                                @endforeach
                               
                            </div>
                        </div>


                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>{{ __('cp.gvernorate') }}</label>
                                        <select class="form-control governorates select2" id="" name="governorate_id" required>
                                            <option value="">{{ __('cp.select') }}</option>
                                            @foreach ($governorates as $governorate)
                                                <option value="{{ $governorate->id }}">{{ $governorate->name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>{{ __('cp.area') }}</label>
                                        <select class="form-control area_id select2" id="" name="area_id" required>
                                            <option value="">{{ __('cp.select') }}</option>
                                             
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="mobile">{{__('cp.mobile')}}</label>
                                        <input type="mobile" onkeyup="if (/\D/g.test(this.value)) this.value = this.value.replace(/\D/g,'')" class="form-control " name="mobile" 
                                            value="{{ old('mobile') }}" id="mobile" required />
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="card-body">
                            <div class="card-header">
                                <h3 class="card-title">{{ __('cp.location') }}</h3>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    <input type="text" id="searchmap" placeholder="" onkeydown="if(event.keyCode == 13){ return false;}">
                                    <div id="map-canvas"></div>
                                    <input type="hidden" class="form-control input-sm" name="latitude" id="lat">
                                    <input type="hidden" class="form-control input-sm" name="longitude" id="lng"> 
                                 </div>
                            </div>
                        </div>

                        
                        <button type="submit" id="submitForm" style="display:none"></button>
                    </form>
                </div>
                <!--end::Card-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Entry-->
    </div>
@endsection
@section('js')
<script src="https://maps.googleapis.com/maps/api/js?key={{env('APIGoogleKey')}}&libraries=places"
type="text/javascript"></script> 
<script>
 	var map = new google.maps.Map(document.getElementById('map-canvas'),{
      center:{
          lat: 29.36,
          lng: 47.98
      },
      zoom:7
  });
  var marker = new google.maps.Marker({
      position: {
          lat: 29.36,
          lng: 47.98
      },
      map: map,
      draggable: true
  });
  var searchBox = new google.maps.places.SearchBox(document.getElementById('searchmap'));
  google.maps.event.addListener(searchBox,'places_changed',function(){
      var places = searchBox.getPlaces();
      var bounds = new google.maps.LatLngBounds();
      var i, place;
      for(i=0; place=places[i];i++){
            bounds.extend(place.geometry.location);
            marker.setPosition(place.geometry.location); //set marker position new...
        }
        map.fitBounds(bounds);
        map.setZoom(15);
  });
  google.maps.event.addListener(marker,'position_changed',function(){
      var lat = marker.getPosition().lat();
      var lng = marker.getPosition().lng();
      $('#lat').val(lat);
      $('#lng').val(lng);
  });
</script>
@endsection


@section('script')
@endsection
