@extends('layout.adminLayout')
@section('title')
    {{__('cp.notifications')}}
@endsection
@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <!--begin::Subheader-->
        <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
            <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                <!--begin::Info-->
                <div class="d-flex align-items-center flex-wrap mr-1">
                    <div class="d-flex align-items-baseline mr-5">
                        <h3>{{__('cp.notifications')}}</h3>
                    </div>
                </div>
                <!--end::Info-->
                <!--begin::Toolbar-->
                <div class="d-flex align-items-center">
                    <a href="{{url(getLocal().'/admin/notifications')}}"
                       class="btn btn-secondary  mr-2">{{__('cp.cancel')}}</a>
                    <button id="submitButton" class="btn btn-success ">{{__('cp.send')}}</button>
                </div>
                <!--end::Toolbar-->
            </div>
        </div>
        <!--end::Subheader-->
        <!--begin::Entry-->
        <div class="d-flex flex-column-fluid">
            <!--begin::Container-->
            <div class="container">
                <!--begin::Card-->
                <div class="card card-custom gutter-b example example-compact">
                    <form class="form" method="post" action="{{url(app()->getLocale().'/admin/notifications')}}"
                         role="form" id="form" enctype="multipart/form-data">
                        @csrf

                        <div class="card-header">
                            <h3 class="card-title">{{__('cp.sendMessage')}}</h3>
                        </div>

            
                        
                        <div class="card-body translated_div">
                            <div class="row">
                                @foreach($locales as $locale)
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="title_{{$locale->lang}}" >{{__('cp.title_'.$locale->lang)}}</label>
                                        <input id="title_{{$locale->lang}}" type="text" class="form-control" name="title_{{$locale->lang}}" 
                                        {{($locale->lang == 'ar') ? 'dir=rtl' :'' }} value="{{ old('title_'.$locale->lang) }}"  />
                                    </div>
                                </div>
                                @endforeach

                            </div>
                            <div class="row">
                                @foreach($locales as $locale)
                                    <div class="col-md-6">

                                        <div class="form-group">
                                            <label for="message_{{$locale->lang}}" >{{__('cp.message_'.$locale->lang)}}</label>
                                            <textarea id="message_{{$locale->lang}}" class="form-control ckEditor-y"
                                                      {{($locale->lang == 'ar') ? 'dir=rtl' :'' }} name="message_{{$locale->lang}}"
                                                      id="order" rows="3" ></textarea>
                                        </div>
                                    </div>
                                @endforeach

                            </div>
                        </div>
                        
                        
            

                        <button type="submit" id="submitForm" style="display:none"></button>
                    </form>
                </div>
                <!--end::Card-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Entry-->
    </div>




@endsection
@section('js')
<script src="https://cdn.ckeditor.com/ckeditor5/37.0.1/super-build/ckeditor.js"></script>
@include('admin.settings.editor_script')
@endsection
