@extends('layout.adminLayout')
@section('title') {{ucwords(__('cp.notifications'))}}
@endsection

@section('content')



    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <!--begin::Subheader-->
        <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
            <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                <!--begin::Info-->
                <div class="d-flex align-items-center flex-wrap mr-1">
                    <div class="d-flex align-items-baseline mr-5">
                        <h3>{{ucwords(__('cp.notifications'))}}</h3>
                    </div>
                </div>
                <!--end::Info-->
                <!--begin::Toolbar-->


                <div>
                 
                    <a href="{{url(getLocal().'/admin/notifications/create')}}" class="btn btn-secondary  mr-2 btn-success">
                        <i class="icon-xl la la-plus"></i>
                        <span>{{__('cp.add')}}</span>
                    </a>
                </div>
                <!--end::Toolbar-->
            </div>
        </div>
        <!--end::Subheader-->


        <!--begin::Entry-->
        <div class="d-flex flex-column-fluid">
            <!--begin::Container-->
            <div class="container">
                <!--begin::Card-->
                <div class="gutter-b example example-compact">

                    <div class="contentTabel">
                 
                        <div class="card-header d-flex flex-column flex-sm-row align-items-sm-start justify-content-sm-between">
                            <div>


                            </div>

                        </div>
                        <div class="table-responsive">
                     
                           
                           
                              <table class="table table-hover tableWithSearch" id="tableWithSearch">
                                <thead>
                                    <tr>
                                       <th class="wd-1p no-sort">#</th>
                                       <th class="wd-25p"> {{ucwords(__('cp.title'))}}</th>
                                       <th class="wd-10p"> {{ucwords(__('cp.message'))}}</th>
                                        <th class="wd-10p"> {{ucwords(__('cp.created'))}}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse($items as $item)
                                        <tr class="odd gradeX" id="tr-{{ $item->id }}">
                                            <td class="v-align-middle wd-5p">
                                                {{ $item->id }}
                                            </td>

                                             <td class="v-align-middle wd-25p">{{ @$item->title }}</td>
                                            <td class="v-align-middle wd-25p">{!! @$item->message !!}</td>
                                     

                                            <td class="v-align-middle wd-10p">{{ @$item->created_at }}</td>

                                            <td class="v-align-middle wd-15p">
                                             
                                                <a href="#myModal{{ $item->id }}" role="button" data-toggle="modal"
                                                    class="btn btn-xs red tooltips"><i class="fa fa-times"
                                                        aria-hidden="true"></i></a>

                                                <div id="myModal{{ $item->id }}" class="modal fade" tabindex="-1"
                                                    role="dialog" aria-labelledby="myModalLabel1" aria-hidden="true">
                                                    <div class="modal-dialog">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <button type="button" class="close"
                                                                    data-dismiss="modal" aria-hidden="true"></button>
                                                                <h4 class="modal-title">{{ __('cp.delete') }}</h4>
                                                            </div>
                                                            <div class="modal-body">
                                                                <p>{{ __('cp.confirm') }} </p>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button class="btn default" data-dismiss="modal"
                                                                    aria-hidden="true">{{ __('cp.cancel') }}</button>
                                                                <a href="#"
                                                                    onclick="delete_adv('{{ $item->id }}','{{ $item->id }}',event)"><button
                                                                        class="btn btn-danger">{{ __('cp.delete') }}</button></a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </td>
                                        </tr>
                                    @empty
                                    @endforelse


                                </tbody>
                            </table>
                            {{ $items->appends($_GET)->links('pagination::bootstrap-4') }}
                           
                        </div>
                    </div>
                </div>
                <!--end::Card-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Entry-->
    </div>

    
@endsection

@section('script')
    <script>
        function delete_adv(id, iss_id, e) {
            //alert(id);
            e.preventDefault();

            var url = '{{ url(getLocal() . '/admin/notifications') }}/' + id;
            var csrf_token = '{{ csrf_token() }}';
            $.ajax({
                type: 'delete',
                headers: {
                    'X-CSRF-TOKEN': csrf_token
                },
                url: url,
                data: {
                    _method: 'delete'
                },
                success: function(response) {
                    console.log(response);
                    if (response === 'success') {
                        $('#tr-' + id).hide(500);
                        $('#myModal' + id).modal('toggle');

                    } else {
                        swal(response.message);
                    }
                },
                error: function(e) {}
            });
        }
    </script>
@endsection
 