@extends('layout.adminLayout')
@section('title') {{ ucwords(__('cp.orders')) }}
@endsection
@section('css')


@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <!--begin::Subheader-->
        <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
            <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                <!--begin::Info-->
                <div class="d-flex align-items-center flex-wrap mr-1">
                    <div class="d-flex align-items-baseline mr-5">
                        <h3>{{ ucwords(__('cp.orders')) }}</h3>
                    </div>
                </div>

                <div>

                    <a href="#" data-var_one="exportOrders"  data-var_two="orders"  class="btn btn-secondary  mr-2 btn-success exportExcel">
                        <i class="icon-xl la la-file-excel"></i> <span>{{__('cp.export')}}</span>
                    </a>


                </div>
            </div>
        </div>
        <!--end::Subheader-->


        <!--begin::Entry-->
        <div class="d-flex flex-column-fluid">
            <!--begin::Container-->
            <div class="container">
                <!--begin::Card-->
                <div class="gutter-b example example-compact">

                    <div class="contentTabel">
                        <button type="button" class="btn btn-secondar btn--filter mr-2"><i
                                class="icon-xl la la-sliders-h"></i>{{ __('cp.filter') }}</button>
                        <div class="container box-filter-collapse">
                            <div class="card">
                                <form class="form-horizontal" method="get"
                                    action="{{ url(getLocal() . '/admin/orders') }}">
                                    <div class="row">
                                        @if (request('user_id'))
                                            <input type="hidden" name="user_id" value="{{ request('user_id') }}">
                                        @endif
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.name') }}</label>
                                                <input type="text" class="form-control" name="userName"
                                                    placeholder="{{ __('cp.name') }}"
                                                    value="{{ request('userName') ? request('userName') : '' }}">
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.email') }}</label>
                                                <input type="email" class="form-control" name="email"
                                                    placeholder="{{ __('cp.email') }}"
                                                    value="{{ request('email') ? request('email') : '' }}">
                                            </div>
                                        </div>

                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.mobile') }}</label>
                                                <input
                                                    onkeyup="if (/\D/g.test(this.value)) this.value = this.value.replace(/\D/g,'')"
                                                    type="text" class="form-control" name="mobile"
                                                    placeholder="{{ __('cp.mobile') }}"
                                                    value="{{ request('mobile') ? request('mobile') : '' }}">
                                            </div>
                                        </div>

                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.Order Id') }}</label>
                                                <input
                                                    onkeyup="if (/\D/g.test(this.value)) this.value = this.value.replace(/\D/g,'')"
                                                    type="text" class="form-control" name="order_id"
                                                    placeholder="{{ __('cp.Order Id') }}"
                                                    value="{{ request('order_id') ? request('order_id') : '' }}">
                                            </div>
                                        </div>


                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.refund_reference') }}</label>
                                                <input
                                                    onkeyup="if (/\D/g.test(this.value)) this.value = this.value.replace(/\D/g,'')"
                                                    type="text" class="form-control" name="refund_reference"
                                                    placeholder="{{ __('cp.refund_reference') }}"
                                                    value="{{ request('refund_reference') ? request('refund_reference') : '' }}">
                                            </div>
                                        </div>
                                
                                            <div class="col-md-3">
                                                <div class="form-group ">
                                                    <label class="control-label">{{ __('cp.area') }}</label>
                                                    <select id="multiple2" class="form-control select2" name="area_id">
                                                        <option value="">{{ __('cp.all') }}</option>
                                                        @foreach ($areas as $area)
                                                            <option value="{{ $area->id }}"
                                                                {{ request('area_id') == $area->id ? 'selected' : '' }}>
                                                                {{ $area->name }}</option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>
                           
 

                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.status') }}</label>
                                                <select id="multiple2" class="form-control" name="status">
                                                    <option value="">{{ __('cp.all') }}</option>
                                                    <option value="1" @if (request('status') == '1') selected @endif>
                                                        {{ __('cp.In Process') }}</option>
                                                    <option value="2" @if (request('status') == '2') selected @endif>
                                                        {{ __('cp.Out for Delivery') }}</option>
                                                    <option value="3" @if (request('status') == '3') selected @endif>
                                                        {{ __('cp.Delivered') }}</option>
                                                    <option value="4" @if (request('status') == '4') selected @endif>
                                                        {{ __('cp.Cancelled') }}</option>
                                                     
                                                </select>
                                            </div>
                                        </div>
                                        <!--<div class="col-md-3">-->
                                        <!--    <div class="form-group">-->
                                        <!--        <label class="control-label">{{ __('cp.payment_status') }}</label>-->
                                        <!--        <select id="multiple2" class="form-control" name="payment_status">-->
                                        <!--            <option value="">{{ __('cp.all') }}</option>-->
                                        <!--            <option value="0"-->
                                        <!--                @if (request('payment_status') == '0') selected @endif>-->
                                        <!--                {{ __('cp.Not Paid') }}</option>-->
                                        <!--            <option value="1"-->
                                        <!--                @if (request('payment_status') == '1') selected @endif>-->
                                        <!--                {{ __('cp.Paid') }}</option>-->
                                        <!--        </select>-->
                                        <!--    </div>-->
                                        <!--</div>-->
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.payment_method') }}</label>
                                                <select id="multiple2" class="form-control" name="payment_method">
                                                    <option value="">{{ __('cp.all') }}</option>
                                                    <option value="1"
                                                        @if (request('payment_method') == 1) selected @endif>
                                                        {{ __('cp.KNET') }}</option>
                                                    <option value="2"
                                                        @if (request('payment_method') == 2) selected @endif>
                                                        {{ __('cp.Credit') }}</option>
                                                    <option value="3"
                                                        @if (request('payment_method') == 3) selected @endif>
                                                        {{ __('cp.Cod') }}</option>
                                                </select>
                                            </div>
                                        </div>


                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.from_date') }}</label>
                                                <input type="date" class="form-control pull-right" 
                                                    value="{{ request('from_date') ? request('from_date') : '' }}"
                                                    name="from_date" id="from_date">
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.to_date') }}</label>
                                                <input type="date" class="form-control pull-right"
                                                    value="{{ request('to_date') ? request('to_date') : '' }}" name="to_date"
                                                    id="to_date">
                                            </div>
                                        </div>





                                        <div class="col-md-4">
                                            <button type="submit"
                                                class="btn sbold btn-default btnSearch">{{ __('cp.search') }}
                                                <i class="fa fa-search"></i>
                                            </button>

                                            @if (request('user_id'))
                                                <a href="{{ url(app()->getLocale() . '/admin/orders?user_id=' . request('user_id')) }}"
                                                    type="submit"
                                                    class="btn sbold btn-default btnRest">{{ __('cp.reset') }}
                                                    <i class="fa fa-refresh"></i>
                                                </a>
                                            @else
                                                <a href="{{ url(app()->getLocale() . '/admin/orders') }}"
                                                    type="submit"
                                                    class="btn sbold btn-default btnRest">{{ __('cp.reset') }}
                                                    <i class="fa fa-refresh"></i>
                                                </a>
                                            @endif

                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div
                            class="card-header d-flex flex-column flex-sm-row align-items-sm-start justify-content-sm-between">
                            <div>


                            </div>

                        </div>
                        <div class="table-responsive">
                            <table class="table table-bordered table-hover table-checkable"
                                style="margin-top: 13px !important">
                                {{-- <table class="table table-bordered table-hover table-checkable" id="kt_datatable" style="margin-top: 13px !important"> --}}
                                <thead>
                                    <tr>
                                        <th class="wd-1p">
                                            #
                                        </th>

                                        <th class="wd-25p"> {{ ucwords(__('cp.name')) }}</th>
                                        <th class="wd-25p"> {{ ucwords(__('cp.email')) }}</th>
                                        <th class="wd-25p"> {{ ucwords(__('cp.mobile')) }}</th>
                                        <th class="wd-25p"> {{ ucwords(__('cp.area')) }}</th>
                                        <th class="wd-25p"># {{ ucwords(__('cp.products')) }}</th>
                                        <th class="wd-25p"> {{ ucwords(__('cp.total')) }}</th>
                                        <th class="wd-10p"> {{ ucwords(__('cp.payment_method')) }}</th>
                                        <!--<th class="wd-10p"> {{ ucwords(__('cp.payment_status')) }}</th>-->
                                        <th class="wd-10p"> {{ ucwords(__('cp.status')) }}</th>
                                        <th class="wd-25p"> {{ucwords(__('cp.Invoice Reference'))}}</th>
                                        <th class="wd-10p"> {{ ucwords(__('cp.refund_reference')) }}</th>
                                        <th class="wd-10p"> {{ ucwords(__('cp.cancel type')) }}</th>
                                        <th class="wd-10p"> {{ ucwords(__('cp.created')) }}</th>
                                        <th class="wd-15p notExport"> {{ ucwords(__('cp.action')) }}</th>
                                    </tr>
                                </thead>
                                <tbody>

                                    @forelse($items as $item)
                                        <tr class="odd gradeX" id="tr-{{ $item->id }}">
                                            <td class="v-align-middle wd-25p">{{ @$item->id }}</td>
                                            <td class="v-align-middle wd-25p">{{ @$item->name }}</td>
                                            <td class="v-align-middle wd-25p">{{ @$item->email }}</td>
                                            <td class="v-align-middle wd-25p">{{ @$item->mobile }}</td>
                                            <td class="v-align-middle wd-25p">{{ @$item->address->area->name }}</td>
                                            <td class="v-align-middle wd-25p">{{ @$item->products_count }}</td>
                                            <td class="v-align-middle wd-25p">
                                                <strong>{{ number_format(@$item->total, 3, '.', ',') }}</strong></td>
                                            <td class="v-align-middle wd-25p">
                                                @if ($item->payment_method == 1)
                                                    {{ __('cp.KNET') }}
                                                @elseif ($item->payment_method == 2)    
                                                {{ __('cp.Credit') }}
                                                @else
                                                    {{ __('cp.Cod') }}
                                                @endif
                                            </td>
                                            <!--<td class="v-align-middle wd-25p">-->
                                            <!--    @if ($item->payment_status == 1)-->
                                            <!--        {{ __('cp.Paid') }}-->
                                            <!--    @else-->
                                            <!--        {{ __('cp.Not Paid') }}-->
                                            <!--    @endif-->
                                            <!--</td>-->
                                            <td class="v-align-middle wd-10p" >
    
                                                <?php $status = '';
                                                         $cls = ''; 
                                                   if($item->status == 1) {
                                                       $status = 'In Process';
                                                       $cls    = 'danger';
                                                   }
                                                   elseif($item->status == 2) {
                                                       $status = 'Out for Delivery';
                                                       $cls    = 'info';
                                                   }
                                                   elseif ($item->status == 3) {
                                                       $status = 'Delivered';
                                                       $cls    = 'success';
                                                   }
                                                   elseif ($item->status == 4) {
                                                       $status = 'Cancelled';
                                                       $cls    = 'secondary';
                                                   }
                                                    
                                                   else { 
                                                       $status = 'cancled';
                                                       $cls    = 'secondary';
                                                   }
                                                   ?>
                                                                
                                                               
                                            <span id="label-{{$item->id}}" class="badge badge-pill badge-{{$cls}}" id="label-{{$item->id}}">
                                            
                                            {{$item->status_name}}
                                            </span>
                                            </td>
                                            <td class="v-align-middle wd-10p">{{ @$item->transaction_id }}</td>
                                            <td class="v-align-middle wd-25p">{{ @$item->refund_reference }}</td>
                                            <td class="v-align-middle wd-25p">@if($item->cancel_type==1)@lang('cp.Admin') @elseif($item->cancel_type==2) @lang('cp.user') @endif</td>

                                            <td class="v-align-middle wd-10p">{{ @$item->created_at }}</td>

                                            <td class="v-align-middle wd-15p">
                                                <a href="{{ url(getLocal() . '/admin/orders/' . $item->id) }}"
                                                    class="btn btn-sm btn-clean btn-icon" title="{{ __('cp.show') }}">
                                                    <i class="la la-eye"></i>
                                                </a>

                                                  <a href="#" onclick="openWindow('{{url(getLocal().'/admin/orders/printOrder/'.$item->id)}}')" class="btn btn-xs blue tooltips" data-container="body" data-placement="top"
                                                        data-original-title="{{__('cp.print')}}"><i class="fa fa-print"></i>
                                                    </a>
                                                        </td>
                                        </tr>
                                    @empty
                                        <tr>
                                            <td class="text-center lead "colspan="15">{{ __('cp.no_data') }}</td>
                                        </tr>
                                    @endforelse


                                </tbody>
                            </table>
                            {{ $items->appends($_GET)->links('pagination::bootstrap-4') }}
                        </div>
                    </div>
                </div>
                <!--end::Card-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Entry-->
    </div>



@endsection
@section('js')
 
<script>
    function openWindow($url) {
        window.open($url, "_blank", "toolbar=yes,scrollbars=yes,resizable=yes,top=200,left=200,width=800,height=700");
    }
</script>
    
@endsection

@section('script')

@endsection
