<!DOCTYPE html>
<html lang="{{app()->getLocale()}}" dir="{{(app()->getLocale() == 'ar')?'rtl':'ltr'}}">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
	<title>Email</title>
    <link rel="icon" href="{{url('uploads/favicon.png')}}">
    
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Cairo:wght@300;400;500;600;700&display=swap');
        body {
            margin: 0;
            padding: 0;
            font-family: 'Cairo', sans-serif;
            background: #F8F8F8
        }
        p, span, strong, h1,h2,h3,h4,h5,h6 {
            margin: 0;
            padding: 0;
            line-height: 1.6
        }
        .wrapper {
            background: #F8F8F8;
            width: 900px;
            margin: auto;
        }
        .main-table {
            color: #231F20;
            border-radius: 10px;
            width: 100%;
            max-width: 900px;
            margin: 0 auto;
            border-spacing: 0;
            font-family: 'Cairo', sans-serif;
        }
        .table-product th, .table-product td {
            width: 20%;
        }
        .table-product th:first-child, .table-product td:first-child {
            width: 40%
        }
        .table-product tbody td {
            border-bottom: 1px solid #E4E5E6;
            padding: 15px 0;
        }
        .table-product th, .table-product td {
            color: #2A2B2C
        }
        
        .d--p h6, .d--p p {
            display: inline-block;
        }
        .d--p h6 {
            font-size: 15px;
            color: #000;
        }
        .d--p p {
            font-size: 14px;
        }
        .to--pro {
            display: flex;
            margin-bottom: 10px;
        }
        .to--pro:last-child {
            margin-bottom: 0;
        }
        .to--pro p, .to--pro strong {
            display: inline-block;
            width: 50%;
            font-weight: 600;
            font-size: 14px
        }
        .to--pro p {
            font-size: 16px;
            font-weight: 600;
            color: #231F20
        }
        .to--pro p:last-child, .to--pro strong:last-child {
            text-align: end
        }
        .to--pro strong {
            font-size: 18px;
            font-weight: 800;
        }
        .text-end {
            text-align: end;
        }
        .table-product th:first-child, .table-product td:first-child {
            width: 40%;
        }
        .table-product th, .table-product td {
            width: 40%;
        }
        .table-product th:last-child, .table-product td:last-child {
            width: 20%;
        }
        .table-product tbody td {
            padding: 10px;
        }
        .table-product th {
            color: #000;
            padding: 10px;
            border-bottom: 1px solid #E4E5E6
        }
        
    </style>
    
</head>

<body>
    <center class="wrapper">
        <table class="main-table" width="100%" style="">
            <tr>
                <td style="text-align: center;padding:0 10px 30px;">
                    <table width="100%">
                        <tr>
                            <td style="border-radius: 15px;text-align: center;padding:50px 20px 0;">
                                <a href=""><img src="{{url('uploads/logo.png')}}" alt="" title="Logo" width="250px" /></a>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <!--Logo-->
        </table>
        
        <table class="main-table" width="100%" style="">
            <tr>
                <td style="padding: 20px 20px 0;">
                    <table width="100%" style="background: #fff;padding: 20px 30px 0; border-radius: 10px 10px 0 0;">
                        <tr style="vertical-align: top;">
                            <td style="width: 50%;">
                                <table class="colom" style="width: 100%;border-bottom:1px solid #D1D1D1;padding-bottom: 15px;">
                                    <tr width="100%" style="vertical-align: top;">
                                        <td style="">
                                            <div style="display:inline-block;width:33%;margin-bottom:20px">
                                                <p style="color:#231F20;font-size:16px;">@lang('cp.Order ID') :</p>
                                                <strong style="color:#033F52;font-size:16px;">#{{ $order->id }}</strong>
                                            </div>
                                            <div style="display:inline-block;width:33%;margin-bottom:20px">
                                                <p style="color:#231F20;font-size:16px;">@lang('cp.Date') :</p>
                                                <strong style="color:#033F52;font-size:16px;">{{ @$order->created_at->format('d/m/Y') }}</strong>
                                            </div>
                                            <div style="display:inline-block;width:33%;margin-bottom:20px">
                                                <p style="color:#231F20;font-size:16px;">@lang('cp.Payment Method')</p>
                                                <strong style="color:#033F52;font-size:16px;">Online</strong>
                                            </div>
                                            <div style="display:inline-block;width:33%">
                                                <p style="color:#231F20;font-size:16px;">@lang('cp.Payment ID') :</p>
                                                <strong style="color:#033F52;font-size:16px;">{{ @$order->payment_id }}</strong>
                                            </div>
                                            <div style="display:inline-block;width:33%">
                                                <p style="color:#231F20;font-size:16px;">@lang('cp.Transaction ID') :</p>
                                                <strong style="color:#033F52;font-size:16px;">{{ @$order->transaction_id }}</strong>
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <!--ph-->
            
            <tr>
                <td style="padding: 0 20px 0;">
                    <table width="100%" style="background: #fff;padding: 20px 30px 50px;">
                        <tr style="vertical-align: top;">
                            <td style="width: 50%;">
                                <table class="colom" style="width: 100%;border-bottom:1px solid #D1D1D1;padding-bottom: 15px;">
                                    <tr width="100%" style="vertical-align: top;">
                                        <td style="">
                                            <strong style="color:#033F52;font-size:19px;margin-bottom:5px;font-weight:800;display:block">@lang('cp.Delivery Address')</strong>
                                            <p style="color:#033F52;font-size: 16px;">{{ @$order->address->governorate->name }},<br />
                                            {{ @$order->address->area->name }}, {{ @$order->address->block }}, {{ @$order->address->street }}, {{ @$order->address->building_number }},<br />
                                            {{ @$order->address->notes }}</p>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <!--ph-->
            
            <tr>
                <td style="padding: 0 20px 20px">
                    <table width="100%" style="background: #fff;padding: 0 15px 20px;border-radius: 0 0 10px 10px">
                        <tr>
                            <td style="width: 50%;padding: 15px ">
                                <h4 style="font-size:22px;font-weight:800;color:#033F52;margin-bottom:15px;margin-top: -80px;">@lang('cp.Order Summary')</h4>
                                <table class="colom" style="width: 100%;border-radius: 15px;height:">
                                    <tr width="100%" style="vertical-align: top;">
                                        @foreach ($order->products as $one)
                                            <div class="to--pro">
                                                <span style="margin-right:10px;color:#033F52;font-weight:700">{{ @$one->quantity }}X</span>
                                                <p>
                                                    <small style="display:block;color:#033F52;font-size:16px;font-weight:700">{{ @$one->product->name }}</small>
                                                    @if(@$one->color)
                                                        <small style="display:block;color:#033F52;font-size:16px">@lang('cp.color') : {{ @$one->color->name }}</small>
                                                    @endif
                                                    @if(@$one->size)
                                                        <small style="display:block;color:#033F52;font-size:16px">@lang('cp.size') : {{ @$one->size->name }}</small>
                                                    @endif
                                                    
                                                </p>
                                                <strong style="color:#C60354">{{ number_format($one->price, 3, '.', ',') }} @lang('cp.KWD')</strong>
                                            </div>
                                        @endforeach
                                       
                                    </tr>
                                </table>
                            </td>
                            <td style="width: 50%;padding: 15px">
                                <table class="colom" style="width: 100%;background: #F8F8F8;padding: 15px;border-radius: 15px;">
                                    <tr width="100%">
                                        <td width="100%">
                                            <h4 style="font-size:22px;font-weight:800;color:#033F52;margin-bottom:15px">@lang('cp.Payment Details')</h4>
                                            <div class="to--pro"><p>@lang('cp.Sub Total')</p><p>{{ number_format(@$order->sub_total, 3, '.', ',') }} @lang('cp.KWD')</p></div>
                                            <div class="to--pro"><p>@lang('cp.Discount')</p><p>{{ number_format(@$order->sub_total, 3, '.', ',') }} @lang('cp.KWD')</p></div>
                                            <div class="to--pro"><p>@lang('cp.Delivery Fees')</p><p>{{ number_format(@$order->discount, 3, '.', ',') }}@lang('cp.KWD')</p></div>
                                            <div class="to--pro"><strong style="color:#0991CE">@lang('cp.Total')</strong><strong style="color:#0991CE">{{ number_format(@$order->total, 3, '.', ',') }} @lang('cp.KWD')</strong></div>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <!--ph-->
            
        </table>
        
        <table class="main-table" width="100%" style="">
            <tr>
                <td style="text-align: center; background:#0991CE;padding:15px 0">
                    <table width="100%">
                        <tr>
                            <td style="text-align: center;">
                                <p style="font-size: 14px;font-weight: 500;color: #FFFFFF">{{$setting->info_email}}</p>
                                <p style="font-size:14px;font-weight:500;margin:10px 0;color:#FFFFFF">@lang('cp.Copyright © 2023 101Toys All Rights Reserved.')</p>
                                <span style="font-size: 14px; color:#BEBEBE;font-weight: 500;">Unsubscribe</span>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <!--footer-->
            
        </table>
    </center>
</body>
</html>