@extends('layout.adminLayout')
@section('title')
    {{ ucwords(__('cp.permissions')) }}
@endsection

@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <!--begin::Subheader-->
        <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
            <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                <!--begin::Info-->
                <div class="d-flex align-items-center flex-wrap mr-1">
                    <div class="d-flex align-items-baseline mr-5">
                        <h3>{{ __('cp.permissions') }}</h3>
                    </div>
                </div>

                <div class="d-flex align-items-center">
                    <a href="{{ url(getLocal() . '/admin/permissions') }}"
                        class="btn btn-secondary  mr-2">{{ __('cp.cancel') }}</a>
                    <button id="submitButton" class="btn btn-success ">{{ __('cp.save') }}</button>
                </div>
                <!--end::Toolbar-->
            </div>
        </div>
        <!--end::Subheader-->
        <!--begin::Entry-->
        <div class="d-flex flex-column-fluid">
            <!--begin::Container-->
            <div class="container">
                <!--begin::Card-->
                <div class="card card-custom gutter-b example example-compact">
                    <form class="form" method="post" action="{{url(app()->getLocale().'/admin/permissions')}}"
                        id="form" role="form" enctype="multipart/form-data" >
                        @csrf
                        <div class="card-header">
                            <h3 class="card-title">{{__('cp.main_data')}}</h3>
                        </div>
                       

                         
                            
                    <div class="card-header optionsDiv" >
                        <h3 class="card-title">{{__('cp.options')}}</h3>
                    </div>
                        
                    <div class="card-body optionsDiv" >
                          <div class="task-list-item">
                                    <div class="row new-item align-items-center">
                                        <div class="col-md-1"><b> 1- </b></div>
                                        
                                        <div class="col-md-3">
                                           <div class="form-group">
                                            <label>{{__('cp.slug')}} <span class="text-danger">*</span></label>
                                            <input type="text"
                                                   class="form-control attachment_item "
                                                   name="options[0][slug]"
                                                   value=""/>
                                             </div>
                                        </div>
                                        <div class="col-md-3">
                                           <div class="form-group">
                                            <label>{{__('cp.name_en')}} <span class="text-danger">*</span></label>
                                            <input type="text"
                                                   class="form-control attachment_item "
                                                   name="options[0][name_en]"
                                                   value=""/>
                                             </div>
                                        </div>
                                        <div class="col-md-3">
                                           <div class="form-group">
                                            <label>{{__('cp.name_ar')}} <span class="text-danger">*</span></label>
                                            <input type="text"
                                                   class="form-control attachment_item "
                                                   name="options[0][name_ar]"
                                                   value=""/>
                                             </div>
                                        </div>
                                      

                                    
                                        <div class="col-md-1">
                                            <a class="btn btn-outline-danger btn-icon btn-clean tooltips delete-new-item" data-container="body"
                                               data-placement="top"
                                               data-parent-class="new-item"
                                               data-original-title="{{__("cp.delete")}}" ><i class="fa fa-trash"></i></a>
                                        </div>


                                    </div>

                                </div>
                                <div class="row my-3">
                                    <div class="col-md-offset-3 col-md-9">
                                        <button type="button" id="add-option"
                                                class="btn btn-primary">{{__('cp.add_new_item')}}</button>

                                    </div>
                                </div>
                    </div>


                        <button type="submit" id="submitForm" style="display:none"></button>
                    </form>
                </div>
                <!--end::Card-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Entry-->
    </div>
@endsection
@section('js')  
<script>
        $(document).on('click', '#submitButton', function(){
           // $('#submitButton').addClass('spinner spinner-white spinner-left');
        $('#submitForm').click();
    });

    $('#edit_image').on('change', function (e) {

readURL(this, $('#editImage'));

});

 
 
   
          var index = 1
      $('#add-option').on('click', function () {
            $rows = `
             <div class="row new-item align-items-center">
                <div class="col-md-1"><b> ${index + 1}-  </b></div>

                <div class="col-md-3">
                   <div class="form-group">
                    <label>{{__('cp.slug')}} <span class="text-danger">*</span></label>
                    <input type="text"
                           class="form-control attachment_item "
                           name="options[${index}][slug]"
                           value=""/>
                     </div>
                </div>

                <div class="col-md-3">
                   <div class="form-group">
                    <label>{{__('cp.name_en')}} <span class="text-danger">*</span></label>
                    <input type="text"
                           class="form-control attachment_item "
                           name="options[${index}][name_en]"
                           value=""/>
                     </div>
                </div>
                <div class="col-md-3">
                   <div class="form-group">
                    <label>{{__('cp.name_ar')}} <span class="text-danger">*</span></label>
                    <input type="text"
                           class="form-control attachment_item "
                           name="options[${index}][name_ar]"
                           value=""/>
                     </div>
                </div>
                <div class="col-md-1">
                    <a class="btn btn-outline-danger btn-icon btn-clean tooltips delete-new-item" data-container="body"
                       data-placement="top"
                       data-parent-class="new-item"
                       data-original-title="{{__("cp.delete")}}" ><i class="fa fa-trash"></i></a>
                </div>
            </div>`;
            $('.task-list-item').append($rows);
            ++index;
        });
        
        
          $(document).on('click', '.delete-new-item', function () {
            // $(this).parents('.row_item').fadeOut(1000, () => $(this).remove()).remove();
            $(this ).parents('.new-item').fadeOut(500, function() { $(this).remove(); }); 
        });
        
</script>
@endsection