@extends('layout.adminLayout')
@section('title')
    {{ ucwords(__('cp.attributes')) }}
@endsection

@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <!--begin::Subheader-->
        <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
            <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                <!--begin::Info-->
                <div class="d-flex align-items-center flex-wrap mr-1">
                    <div class="d-flex align-items-baseline mr-5">
                        <h3>{{ __('cp.attributes') }}</h3>
                    </div>
                </div>
                <!--end::Info-->
                <!--begin::Toolbar-->
                <div class="d-flex align-items-center">
                    <a href="{{ url(getLocal() . '/admin/attributes') }}"
                        class="btn btn-secondary  mr-2">{{ __('cp.cancel') }}</a>
                    <button id="submitButton" class="btn btn-success ">{{ __('cp.save') }}</button>
                </div>
                <!--end::Toolbar-->
            </div>
        </div>
        <!--end::Subheader-->
        <!--begin::Entry-->
        <div class="d-flex flex-column-fluid">
            <!--begin::Container-->
            <div class="container">
                <!--begin::Card-->
                <div class="card card-custom gutter-b example example-compact">
                    <form class="form" method="post"
                        action="{{ url(app()->getLocale() . '/admin/attributes/' . $item->id) }}" role="form" id="form"
                        enctype="multipart/form-data">
                        {{ csrf_field() }}
                        {{ method_field('PATCH') }}
                        <div class="card-header">
                            <h3 class="card-title">{{ __('cp.add') }} {{ ucwords(__('cp.attributes')) }}</h3>
                        </div>

                        <div class="card-body">
                            <div class="row">
                                @foreach ($locales as $locale)
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>{{ __('cp.name_' . $locale->lang) }}</label>
                                            <input type="text" class="form-control " name="name_{{ $locale->lang }}"
                                                {{ $locale->lang == 'ar' ? 'dir=rtl' : '' }}
                                                value="{{ old('name_' . $locale->lang, @$item->translate($locale->lang)->name) }}"
                                                required />
                                        </div>
                                    </div>
                                @endforeach
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label>{{ __('cp.type') }}</label>
                                        <select class="form-control" name="type">
                                            <option value="">{{ __('cp.select') }}</option>
                                            <option value="1" @selected($item->type == 1)>{{ __('cp.main') }}
                                            </option>
                                            <option value="2" @selected($item->type == 2)>{{ __('cp.other') }}
                                            </option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card-header optionsDiv">
                            <h3 class="card-title">{{ __('cp.options') }}</h3>
                        </div>

                        <div class="card-body optionsDiv">
                            <div class="task-list-item">
                                @foreach ($item->attributeOptions as $attributeOption)
                                
                                    <div class="row new-item align-items-center">
                                        <input class="attachedValues" type="hidden" name="oldOptionsIdas[]" value="{{$attributeOption->id}}">
                                        <div class="col-md-1"><b> {{$loop->iteration}} - </b></div>

                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label>{{ __('cp.name_en') }} <span class="text-danger">*</span></label>
                                                <input type="text" class="form-control attachment_item "
                                                    name="old_options[{{$loop->index}}][name_en]" value="{{@$attributeOption->translate('en')->name}}" />
                                            </div>
                                        </div>

                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label>{{ __('cp.name_ar') }} <span class="text-danger">*</span></label>
                                                <input type="text" class="form-control attachment_item "
                                                    name="old_options[{{$loop->index}}][name_ar]" value="{{@$attributeOption->translate('ar')->name}}" />
                                            </div>
                                        </div>
                                        <input class="attachedValues" type="hidden" name="old_options[{{$loop->index}}][id]" value="{{$attributeOption->id}}">
                                        <div class="col-md-1">
                                            <a class="btn btn-outline-danger btn-icon btn-clean tooltips delete-new-item"
                                                data-container="body" data-placement="top" data-parent-class="new-item"
                                                data-original-title="{{ __('cp.delete') }}"><i class="fa fa-trash"></i></a>
                                        </div>

                                    </div>
                                @endforeach

                            </div>
                            <div class="row my-3">
                                <div class="col-md-offset-3 col-md-9">
                                    <button type="button" id="add-option"
                                        class="btn btn-primary">{{ __('cp.add_new_item') }}</button>

                                </div>
                            </div>
                        </div>

                        <button type="submit" id="submitForm" style="display:none"></button>
                    </form>
                </div>
                <!--end::Card-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Entry-->
    </div>
@endsection

@section('js')
    <script>
        var index = {{count($item->attributeOptions )}};
        $('#add-option').on('click', function() {
            $rows = `
             <div class="row new-item align-items-center">
                <div class="col-md-1"><b> ${index + 1}-  </b></div>
                <div class="col-md-4">
                   <div class="form-group">
                    <label>{{ __('cp.name_en') }} <span class="text-danger">*</span></label>
                    <input type="text"
                           class="form-control attachment_item "
                           name="options[${index}][name_en]"
                           value=""/>
                     </div>
                </div>
                <div class="col-md-4">
                   <div class="form-group">
                    <label>{{ __('cp.name_ar') }} <span class="text-danger">*</span></label>
                    <input type="text"
                           class="form-control attachment_item "
                           name="options[${index}][name_ar]"
                           value=""/>
                     </div>
                </div>
                <div class="col-md-1">
                    <a class="btn btn-outline-danger btn-icon btn-clean tooltips delete-new-item" data-container="body"
                       data-placement="top"
                       data-parent-class="new-item"
                       data-original-title="{{ __('cp.delete') }}" ><i class="fa fa-trash"></i></a>
                </div>
            </div>`;
            $('.task-list-item').append($rows);
            ++index;
        });


        $(document).on('click', '.delete-new-item', function() {
            // $(this).parents('.row_item').fadeOut(1000, () => $(this).remove()).remove();
            $(this).parents('.new-item').fadeOut(500, function() {
                $(this).remove();
            });
        });
    </script>
@endsection
