@extends('layout.adminLayout')
@section('title')
    {{ ucwords(__('cp.products')) }}
@endsection
@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <!--begin::Subheader-->
        <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
            <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                <!--begin::Info-->
                <div class="d-flex align-items-center flex-wrap mr-1">
                    <div class="d-flex align-items-baseline mr-5">
                        <h3>{{ __('cp.products') }}</h3>
                    </div>
                </div>
                <!--end::Info-->
                <!--begin::Toolbar-->
                <div class="d-flex align-items-center">
                    <a href="{{ url(getLocal() . '/admin/products') }}"
                        class="btn btn-secondary  mr-2">{{ __('cp.cancel') }}</a>
                    <button id="submitButton" class="btn btn-success ">{{ __('cp.save') }}</button>
                </div>
                <!--end::Toolbar-->
            </div>
        </div>
        <!--end::Subheader-->
        <!--begin::Entry-->
        <div class="d-flex flex-column-fluid">
            <!--begin::Container-->
            <div class="container">
                <!--begin::Card-->
                <div class="card card-custom gutter-b example example-compact">
                    <form class="form" method="post" action="{{ url(app()->getLocale() . '/admin/products') }}"
                        id="form" role="form" enctype="multipart/form-data">
                        @csrf
                        <div class="card-header">
                            <h3 class="card-title">{{ __('cp.main_info') }}</h3>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                @foreach ($locales as $locale)
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>{{ __('cp.name_' . $locale->lang) }}</label>
                                            <input type="text" class="form-control  " name="name_{{ $locale->lang }}"
                                                {{ $locale->lang == 'ar' ? 'dir=rtl' : '' }}
                                                value="{{ old('name_' . $locale->lang) }}" required />
                                        </div>
                                    </div>
                                @endforeach
                                @foreach ($locales as $locale)
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>{{ __('cp.description_' . $locale->lang) }}</label>
                                            <textarea id="description_{{ $locale->lang }}" class="form-control ckEditor-y" {{ $locale->lang == 'ar' ? 'dir=rtl' : '' }}
                                                name="description_{{ $locale->lang }}" id="order" rows="3" required>{{ old('description_' . $locale->lang) }}</textarea>
                                        </div>
                                    </div>
                                @endforeach
                            </div>
                        </div>


                        <div class="card-body">

                           
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label>{{ __('cp.categories') }}</label>
                                        <select class="form-control select2" multiple name="categories[]" required>
                                            <option value="">{{ __('cp.select') }}</option>
                                            @foreach ($categories as $category)
                                                <option value="{{ $category->id }}">
                                                    {{ $category->name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label>{{ __('cp.ages') }}</label>
                                        <select class="form-control select2" multiple name="ages[]" required>
                                            <option value="">{{ __('cp.select') }}</option>
                                            @foreach ($ages as $age)
                                                <option value="{{ $age->id }}"> {!! $age->name !!}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
 

                               

                            </div>
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="col-12 col-form-label">{{__('cp.has_attributes')}}</label>
                                            <div class="col-3">
                                                    <span class="switch">
                                                        <label>
                                                            <input type="checkbox" id="has_variants" name="has_variants" @if(old('has_variants')=='on') checked @endif/>
                                                            <span></span>
                                                        </label>
                                                    </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>


                            <div class="row">
                                <div class="col-md-6 colors_div">
                                    <div class="form-group ">
                                        <label>{{ __('cp.colors') }}</label>
                                        <select class="form-control  select2" multiple name="colors[]">
                                            <option value="">{{ __('cp.select') }}</option>
                                            @foreach ($colors as $color)
                                                <option value="{{ $color->id }}">{{ $color->name }}</option>
                                            @endforeach

                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group sizes_div">
                                        <label>{{ __('cp.sizes') }}</label>
                                        <select class="form-control select2" multiple name="sizes[]">
                                            <option value="">{{ __('cp.select') }}</option>
                                            @foreach ($sizes as $size)
                                                <option value="{{ $size->id }}">{{ $size->name }}</option>
                                            @endforeach

                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label>{{ __('cp.price') }}</label>
                                        <input type="text" class="form-control number-only" name="price"
                                            value="{{ old('price') }}" required />
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label>{{ __('cp.discount_price') }}</label>
                                        <input type="text" class="form-control  number-only" id="discount_price"
                                            name="discount_price" value="{{ old('discount_price') }}" />
                                    </div>
                                </div>
                            
                                
                                <div class="col-md-6 quantity_div">
                                    <div class="form-group ">
                                        <label>{{ __('cp.quantity') }}</label>
                                        <input type="text" class="form-control" id="quantity" name="quantity"
                                            value="{{ old('quantity') }}" />
                                    </div>
                                </div>


                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label>{{__('cp.is_new_arrival')}}</label>
                                        <select class="form-control" name ="is_new_arrival" required>
                                            <option value="">{{__('cp.select')}}</option>
                                            <option value="0">{{__('cp.No')}}</option>
                                            <option value="1">{{__('cp.Yes')}}</option>
                                        </select>
                                    </div>
                               </div>
                               
                               <div class="col-md-6">
                                    <div class="form-group ">
                                        <label>{{__('cp.is_best_seller')}}</label>
                                        <select class="form-control" name ="is_best_seller" required>
                                            <option value="">{{__('cp.select')}}</option>
                                            <option value="0">{{__('cp.No')}}</option>
                                            <option value="1">{{__('cp.Yes')}}</option>
                                        </select>
                                    </div>
                               </div> 
                               <div class="col-md-6">
                                    <div class="form-group ">
                                        <label>{{__('cp.is_featured')}}</label>
                                        <select class="form-control" name ="is_featured" required>
                                            <option value="">{{__('cp.select')}}</option>
                                            <option value="0">{{__('cp.No')}}</option>
                                            <option value="1">{{__('cp.Yes')}}</option>
                                        </select>
                                    </div>
                               </div> 
                            
                            </div>

                        </div>


                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="fileinputForm">
                                        <label>{{ __('cp.image') }}</label>
                                        <div class="fileinput-new thumbnail"
                                            onclick="document.getElementById('edit_image').click()"
                                            style="cursor:pointer">
                                            <img src="{{ url(admin_assets('images/ChoosePhoto.png')) }}" id="editImage">
                                        </div>
                                        <div class="btn btn-change-img red"
                                            onclick="document.getElementById('edit_image').click()">
                                            <i class="fas fa-pencil-alt"></i>
                                        </div>
                                        <input type="file" class="form-control" name="image" id="edit_image"
                                            style="display:none" required>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card-body">
                            <div class="row">
                               <div class="form-group {{ $errors->has('image') ? ' has-error' : '' }}">
                                   @if ($errors->has('image'))
                                       <span class="help-block">
                                           <strong>{{ $errors->first('image') }}</strong>
                                       </span>
                                   @endif
                                   <label>{{__('cp.images')}} </label>
                                   <div class="imageupload" style="display:flex;flex-wrap:wrap">
                                   </div>
                                   <div class="input-group control-group increment" >
                                       <div class="input-group-btn"  onclick="document.getElementById('all_images').click()">
                                       </div>
                                       <!--<input type="file" type="hidden" class="form-control "  accept="image/*" id="all_images"  multiple />-->
                                   </div>
                                   
                                   <div class="input-group control-group increment" >
                                   <div class="input-group-btn"  onclick="document.getElementById('all_images').click()"> 
                                     <button class="btn btn-success" type="button"><i class="glyphicon glyphicon-plus"></i>{{__("cp.addMoreImages")}}</button>
                                   </div>
                                   <input type="file" class="custom-file-input form-control hidden"  accept="image/*" id="all_images"  multiple />
                               </div>
                               
                               </div>
                         
                           </div>
                       </div> 
 

                        <button type="submit" id="submitForm" style="display:none"></button>
                    </form>
                </div>
                <!--end::Card-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Entry-->
    </div>
@endsection
@section('js')

<script src="https://cdn.ckeditor.com/ckeditor5/37.0.1/super-build/ckeditor.js"></script>
@include('admin.settings.editor_script')
 
    <script>

        $('#edit_image').on('change', function(e) {
            readURL(this, $('#editImage'));
        });

        $('#all_images').on('change', function (e) {
          readURLMultiple(this, $('.imageupload'));
        });
        
        $("#has_variants").on('change', function (e) {
        if ($(this).is(':checked')) {
            $(this).val(1);
            $(".colors_div").show();
            $(".sizes_div").show();
            $(".quantity_div").hide().find('input').attr("required", false);
        } else {
            $(this).val(0);
            $(".colors_div").hide();
            $(".sizes_div").hide()
            $(".quantity_div").show().find('input').attr("required", true);
        }

    }).change();;
            
    </script>
@endsection
 