@extends('layout.adminLayout')
@section('title')
    {{ ucwords(__('cp.products')) }}
@endsection
@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <!--begin::Subheader-->
        <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
            <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                <!--begin::Info-->
                <div class="d-flex align-items-center flex-wrap mr-1">
                    <div class="d-flex align-items-baseline mr-5">
                        <h3>{{ ucwords(__('cp.Products stock')) }}</h3>
                    </div>
                </div>

                <div>
                    <a href="{{ url(getLocal() . '/admin/products') }}"
                        class="btn btn-secondary  mr-2">{{ __('cp.cancel') }}</a>
                    <a href="{{ url(getLocal() . '/admin/products/'.$item->id.'/stock/create') }}" class="btn btn-secondary  mr-2 btn-success">
                        <i class="icon-xl la la-plus"></i>
                        <span>{{ __('cp.add') }} </span>
                    </a>
                </div>
                <!--end::Toolbar-->
            </div>
        </div>

        <div class="d-flex flex-column-fluid">
            <!--begin::Container-->
            <div class="container">
                <!--begin::Card-->
                <div class="gutter-b example example-compact">

                    <div class="contentTabel">
                        {{-- <button type="button" class="btn btn-secondar btn--filter mr-2"><i
                                class="icon-xl la la-sliders-h"></i>{{ __('cp.filter') }}</button> --}}
                        <div class="container box-filter-collapse">
                            <div class="card">
                                <form class="form-horizontal" method="get"
                                    action="{{ url(getLocal() . '/admin/products') }}">
                                    <div class="row">
                                       

                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.status') }}</label>
                                                <select id="multiple2" class="form-control" name="status">
                                                    <option value="">{{ __('cp.all') }}</option>
                                                    <option value="active"
                                                        {{ request('status') == 'active' ? 'selected' : '' }}>
                                                        {{ __('cp.active') }}
                                                    </option>
                                                    <option value="not_active"
                                                        {{ request('status') == 'not_active' ? 'selected' : '' }}>
                                                        {{ __('cp.not_active') }}
                                                    </option>
                                                </select>
                                            </div>
                                        </div>
                                        


                                        <div class="col-md-3">
                                            <button type="submit"
                                                class="btn sbold btn-default btnSearch">{{ __('cp.search') }}
                                                <i class="fa fa-search"></i>
                                            </button>

                                            <a href="{{ url(app()->getLocale() . '/admin/products') }}" type="submit"
                                                class="btn sbold btn-default btnRest">{{ __('cp.reset') }}
                                                <i class="fa fa-refresh"></i>
                                            </a>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div
                            class="card-header d-flex flex-column flex-sm-row align-items-sm-start justify-content-sm-between">
                            <div>


                            </div>

                        </div>
                        <div class="table-responsive">
                            <table class="table table-hover tableWithSearch" id="tableWithSearch">
                                <thead>
                                    <tr>
                                         
                                        <th> {{ ucwords(__('cp.quantity')) }}</th>
                                        <th> {{ ucwords(__('cp.type')) }}</th>
                                        <th> {{ ucwords(__('cp.created')) }}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse($stocks as $one)
                                        <tr class="odd gradeX" id="tr-{{ $one->id }}">
                                          
                                            <td class="v-align-middle wd-25p">{{ @$one->quantity }}</td>
                                            @if($one->type==1)
                                                <td class="v-align-middle wd-25p">{{ __('cp.In') }}</td>
                                            @else
                                                <td class="v-align-middle wd-25p">{{ __('cp.Out') }}</td>
                                            @endif
                                            <td class="v-align-middle wd-10p">{{ @$one->created_at }}</td>


                                        </tr>
                                    @empty
                                        <tr><td class="text-center lead "colspan="3">{{ __('cp.no_data') }}</td></tr> 
                                    @endforelse


                                </tbody>
                            </table>
                            {{ $stocks->appends($_GET)->links('pagination::bootstrap-4') }}
                        </div>
                    </div>
                </div>
                <!--end::Card-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Entry-->
    </div>
@endsection
@section('script')
 
@endsection
