@extends('layout.adminLayout')
@section('title')
    {{ ucwords(__('cp.promotions')) }}
@endsection
@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <!--begin::Subheader-->
        <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
            <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                <!--begin::Info-->
                <div class="d-flex align-items-center flex-wrap mr-1">
                    <div class="d-flex align-items-baseline mr-5">
                        <h3>{{ __('cp.promotions') }}</h3>
                    </div>
                </div>
                <!--end::Info-->
                <!--begin::Toolbar-->
                <div class="d-flex align-items-center">
                    <a href="{{ url(getLocal() . '/admin/promotions') }}"
                        class="btn btn-secondary  mr-2">{{ __('cp.cancel') }}</a>
                    <button id="submitButton" class="btn btn-success ">{{ __('cp.save') }}</button>
                </div>
                <!--end::Toolbar-->
            </div>
        </div>
        <!--end::Subheader-->
        <!--begin::Entry-->
        <div class="d-flex flex-column-fluid">
            <!--begin::Container-->
            <div class="container">
                <!--begin::Card-->
                <div class="card card-custom gutter-b example example-compact">
                    <form class="form" method="post" action="{{ url(app()->getLocale() . '/admin/promotions') }}"
                        id="form" role="form" enctype="multipart/form-data">
                        @csrf
                        <div class="card-header">
                            <h3 class="card-title">{{ __('cp.main_info') }}</h3>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>{{__('cp.code')}}</label>
                                        <input type="text" class="form-control "
                                                name="code" value="{{old('code') }}" required/>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="maximum_usage"> {{__('cp.maximum_usage')}}</label>
                                        <input type="number"  id="maximum_usage" class="form-control number-only" name="maximum_usage"
                                               value="{{old('maximum_usage') }}" required/>
                                    </div>
                                </div>
                         
                            </div>
                            
                                <div class="row">
                           
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>{{__('cp.start_date')}}</label>
                                    <input
                                        type="date" class="form-control " name="start_date"
                                        value="{{old('start_date') }}" required/>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>{{__('cp.end_date')}}</label>
                                    <input
                                        type="date" class="form-control " name="end_date"
                                        value="{{old('end_date') }}" required/>
                                </div>
                            </div>
 
                            
                          

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>{{__('cp.type')}}</label>
                                     <select id="multiple2" class="form-control select  code_type"
                                            name="type" required>
                                           <option value="">{{__('cp.select')}}</option>
                                           <option class="fixed_amount_option" value="1" >{{__('cp.fixed_amount')}}</option>
                                           <option class="percentage_option" value="2">{{__('cp.Percentage_of_the_total')}}</option>
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="label_val" for="discount"> {{__('cp.discount')}} %</label>
                                    <input type="number"  id="discount" class="form-control number-only" name="discount"
                                           value="{{old('discount') }}" required/>
                                </div>
                            </div>
                        
      
                           </div>
                        </div>
 
                        
                        <button type="submit" id="submitForm" style="display:none"></button>
                    </form>
                </div>
                <!--end::Card-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Entry-->
    </div>
@endsection
@section('js')
<script>
    
    $(document).on('change','.code_type',function (e) {
    var ele = $(this);
    var option=  $( ".code_type option:selected" ).val();

    if(option==1){
    $(".label_val").html(' {{__('cp.amount')}}');
        $("#discount").removeAttr('min')
        $("#discount").removeAttr('max')
    
    }else{
        $(".label_val").html(' {{__('cp.discount')}} %');
            $("#discount").attr({"min" : 1,  "max" : 100 });
    }
    });
</script>
@endsection
 

@section('script')
@endsection
