@extends('layout.adminLayout')
@section('title') {{ ucwords(__('cp.Total overall sales')) }}
@endsection
@section('css')


@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <!--begin::Subheader-->
        <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
            <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                <!--begin::Info-->
                <div class="d-flex align-items-center flex-wrap mr-1">
                    <div class="d-flex align-items-baseline mr-5">
                        <h3>{{ ucwords(__('cp.Total overall sales')) }}</h3>
                    </div>
                </div>

                <div>

                      <a href="#" data-var_one="exportOrdersReport"  data-var_two="ordersReport"  class="btn btn-secondary  mr-2 btn-success exportExcel">
                            <i class="icon-xl la la-file-excel"></i> <span>{{__('cp.export')}}</span>
                        </a>


                </div>
            </div>
        </div>
        <!--end::Subheader-->


        <!--begin::Entry-->
        <div class="d-flex flex-column-fluid">
            <!--begin::Container-->
            <div class="container">
                <!--begin::Card-->
                <div class="gutter-b example example-compact">

                    <div class="contentTabel">
                        <button type="button" class="btn btn-secondar btn--filter mr-2"><i
                                class="icon-xl la la-sliders-h"></i>{{ __('cp.filter') }}</button>
                        <div class="container box-filter-collapse">
                            <div class="card">
                                <form class="form-horizontal" method="get"
                                    action="{{ url(getLocal() . '/admin/ordersReport') }}">
                                    <div class="row">
                                        
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.from_date') }}</label>
                                                <input type="date" class="form-control pull-right" 
                                                    value="{{ request('from_date') ? request('from_date') : '' }}"
                                                    name="from_date" id="from_date">
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.to_date') }}</label>
                                                <input type="date" class="form-control pull-right"
                                                    value="{{ request('to_date') ? request('to_date') : '' }}" name="to_date"
                                                    id="to_date">
                                            </div>
                                        </div>





                                        <div class="col-md-4">
                                            <button type="submit"
                                                class="btn sbold btn-default btnSearch">{{ __('cp.search') }}
                                                <i class="fa fa-search"></i>
                                            </button>

                                            @if (request('user_id'))
                                                <a href="{{ url(app()->getLocale() . '/admin/ordersReport?user_id=' . request('user_id')) }}"
                                                    type="submit"
                                                    class="btn sbold btn-default btnRest">{{ __('cp.reset') }}
                                                    <i class="fa fa-refresh"></i>
                                                </a>
                                            @else
                                                <a href="{{ url(app()->getLocale() . '/admin/ordersReport') }}"
                                                    type="submit"
                                                    class="btn sbold btn-default btnRest">{{ __('cp.reset') }}
                                                    <i class="fa fa-refresh"></i>
                                                </a>
                                            @endif

                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div
                            class="card-header d-flex flex-column flex-sm-row align-items-sm-start justify-content-sm-between">
                            <div>


                            </div>

                        </div>
                        <div class="table-responsive">
                            <table class="table table-bordered table-hover table-checkable"
                                style="margin-top: 13px !important">
                                {{-- <table class="table table-bordered table-hover table-checkable" id="kt_datatable" style="margin-top: 13px !important"> --}}
                                <thead>
                                    <tr>
                                        <th class="wd-1p">
                                            #
                                        </th>
                                        <th class="wd-25p"> {{ ucwords(__('cp.total')) }}</th>
                                    </tr>
                                </thead>
                                <tbody>

                                    @forelse($items as $item)
                                        <tr class="odd gradeX" id="tr-{{ $item->id }}">
                                            
                                            <td class="v-align-middle wd-25p">{{ @$item->id}}</td>
                                          
                                            <td class="v-align-middle wd-25p">
                                                {{ number_format(@$item->total, 3, '.', ',') }}
                                            </td>
                                         
                                        </tr>
                                    @empty
                                        <tr>
                                            <td class="text-center lead "colspan="12">{{ __('cp.no_data') }}</td>
                                        </tr>
                                    @endforelse


                                </tbody>
                            </table>
                            {{ $items->appends($_GET)->links('pagination::bootstrap-4') }}
                        </div>


                        <div class="row">
                            <div class="col-xl-12">
                                <div class="card card-custom bg-radial-gradient-success gutter-b card-stretch">
                                    <div class="card-header border-0 py-5">
                                        <h3 class="card-title font-weight-bolder text-white">{{__('cp.statistics')}}</h3>
                                    </div>

                                    <div class="card-body d-flex flex-column p-0" style="position: relative;">
                                        <div class="card-spacer bg-white card-rounded flex-grow-1">
                                            <div class="row m-0">
                                                <div class="col px-3 py-6">
                                                    <div class="font-size-sm text-muted font-weight-bold">{{__('cp.Total orders')}}</div>
                                                    <div class="font-size-h4 font-weight-bolder">{{$items->total()}}</div>
                                                </div>

                                                <div class="col px-3 py-6">
                                                    <div class="font-size-sm text-muted font-weight-bold">{{__('cp.Total sales')}} ({{__('cp.KWD')}})</div>
                                                    <div class="font-size-h4 font-weight-bolder">{{$total_sales}}</div>
                                                </div>
                                                
                                            </div>
                                        </div>
                                    <div class="resize-triggers"><div class="expand-trigger"><div style="width: 329px; height: 508px;"></div></div><div class="contract-trigger"></div></div></div>
                                </div>
                            </div>
                        </div>


                    </div>
                </div>
                <!--end::Card-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Entry-->
    </div>



@endsection
@section('js')
    <script>
        function openWindow($url) {
            window.open($url, "_blank", "toolbar=yes,scrollbars=yes,resizable=yes,top=200,left=200,width=800,height=700");
        }
 

    </script>

    
@endsection

@section('script')

@endsection
