@extends('layout.adminLayout')
@section('title')
    {{ ucwords(__('cp.services')) }}
@endsection
@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <!--begin::Subheader-->
        <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
            <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                <!--begin::Info-->
                <div class="d-flex align-items-center flex-wrap mr-1">
                    <div class="d-flex align-items-baseline mr-5">
                        <h3>{{ __('cp.services') }}</h3>
                    </div>
                </div>
                <!--end::Info-->
                <!--begin::Toolbar-->
                <div class="d-flex align-items-center">
                    <a href="{{ url(getLocal() . '/admin/services') }}"
                        class="btn btn-secondary  mr-2">{{ __('cp.cancel') }}</a>
                    <button id="submitButton" class="btn btn-success ">{{ __('cp.save') }}</button>
                </div>
                <!--end::Toolbar-->
            </div>
        </div>
        <!--end::Subheader-->
        <!--begin::Entry-->
        <div class="d-flex flex-column-fluid">
            <!--begin::Container-->
            <div class="container">
                <!--begin::Card-->
                <div class="card card-custom gutter-b example example-compact">
                    <form class="form" method="post" action="{{ url(app()->getLocale() . '/admin/services') }}"
                        id="form" role="form" enctype="multipart/form-data">
                        @csrf
                        <div class="card-header">
                            <h3 class="card-title">{{ __('cp.main_info') }}</h3>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                @foreach ($locales as $locale)
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>{{ __('cp.name_' . $locale->lang) }}</label>
                                            <input type="text" class="form-control  " name="name_{{ $locale->lang }}"
                                                {{ $locale->lang == 'ar' ? 'dir=rtl' : '' }}
                                                value="{{ old('name_' . $locale->lang) }}" required />
                                        </div>
                                    </div>
                                @endforeach
                                @foreach ($locales as $locale)
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>{{ __('cp.description_' . $locale->lang) }}</label>
                                            <textarea id="description_{{ $locale->lang }}" class="form-control  " {{ $locale->lang == 'ar' ? 'dir=rtl' : '' }}
                                                name="description_{{ $locale->lang }}" id="order" rows="3" required>{{ old('description_' . $locale->lang) }}</textarea>
                                        </div>
                                    </div>
                                @endforeach
                            </div>
                        </div>


                        <div class="card-body">
 

  

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group ">
                                        <label>{{ __('cp.price') }} <span style="color: #e73d4a;font-size: 12px;">( {{ __('cp.if enter 0 mean free package') }} )</span> </label>
                                        <input type="text" class="form-control number-only" name="price"
                                            value="{{ old('price') }}" required />
                                    </div>
                                </div>
                              
                            </div>

                        </div>


                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="fileinputForm">
                                        <label>{{ __('cp.image') }}</label>
                                        <div class="fileinput-new thumbnail"
                                            onclick="document.getElementById('edit_image').click()" style="cursor:pointer">
                                            <img src="{{ url(admin_assets('images/ChoosePhoto.png')) }}" id="editImage">
                                        </div>
                                        <div class="btn btn-change-img red"
                                            onclick="document.getElementById('edit_image').click()">
                                            <i class="fas fa-pencil-alt"></i>
                                        </div>
                                        <input type="file" class="form-control" name="image" id="edit_image"
                                            style="display:none" required>
                                    </div>
                                </div>
                            </div>
                        </div>

                     
                        
                        <button type="submit" id="submitForm" style="display:none"></button>
                    </form>
                </div>
                <!--end::Card-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Entry-->
    </div>
@endsection
@section('js')
    <script>
    
        $('#edit_image').on('change', function(e) {
            readURL(this, $('#editImage'));
        });
 
 
    </script>
@endsection
@section('validation')
    offer_end_date:{
    required:"#discount_price:filled"
    }
@endsection

@section('script')
@endsection
