@extends('layout.adminLayout')
@section('title')
    {{ ucwords(__('cp.services')) }}
@endsection
@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <!--begin::Subheader-->
        <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
            <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                <!--begin::Info-->
                <div class="d-flex align-items-center flex-wrap mr-1">
                    <div class="d-flex align-items-baseline mr-5">
                        <h3>{{ ucwords(__('cp.services')) }}</h3>
                    </div>
                </div>

                <div>
                    <div class="btn-group mb-2 m-md-3 mt-md-0 ml-2 ">
                        <button type="button" class="btn btn-secondary" href="#activation" role="button"
                            data-toggle="modal">
                            <i class="icon-xl la la-check"></i>
                            <span>{{ __('cp.activation') }}</span>
                        </button>
                        <button type="button" class="btn btn-secondary" href="#cancel_activation" role="button"
                            data-toggle="modal">
                            <i class="icon-xl la la-ban"></i>
                            <span>{{ __('cp.cancel_activation') }}</span>
                        </button>
                    </div>
                    
                     <a href="#" data-var_one="exportServices"  data-var_two="services"  class="btn btn-secondary  mr-2 btn-success exportExcel">
                            <i class="icon-xl la la-file-excel"></i> <span>{{__('cp.export')}}</span>
                        </a>
                        
                    <a href="{{ url(getLocal() . '/admin/services/create') }}" class="btn btn-secondary  mr-2 btn-success">
                        <i class="icon-xl la la-plus"></i>
                        <span>{{ __('cp.add') }} </span>
                    </a>
                </div>
                <!--end::Toolbar-->
            </div>
        </div>

        <div class="d-flex flex-column-fluid">
            <!--begin::Container-->
            <div class="container">
                <!--begin::Card-->
                <div class="gutter-b example example-compact">

                    <div class="contentTabel">
                        <button type="button" class="btn btn-secondar btn--filter mr-2"><i
                                class="icon-xl la la-sliders-h"></i>{{ __('cp.filter') }}</button>
                        <div class="container box-filter-collapse">
                            <div class="card">
                                <form class="form-horizontal" method="get"
                                    action="{{ url(getLocal() . '/admin/services') }}">
                                    <div class="row">
                                         <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.id') }}</label>
                                                <input type="text" class="form-control" name="id" placeholder="{{ __('cp.id') }}"
                                                    value="{{ request('id') ? request('id') : '' }}">
                                            </div>
                                        </div>
                                        
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.name') }}</label>
                                                <input type="text" class="form-control" name="name"
                                                    placeholder="{{ __('cp.name') }}"
                                                    value="{{ request('name') ? request('name') : '' }}">
                                            </div>
                                        </div>
                                        
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.price') }}</label>
                                                <input type="text" class="form-control  number-only" name="price"
                                                    placeholder="{{ __('cp.price') }}"
                                                    value="{{ request('price') ? request('price') : '' }}">
                                            </div>
                                        </div>

                                       

                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label class="control-label">{{ __('cp.status') }}</label>
                                                <select id="multiple2" class="form-control" name="status">
                                                    <option value="">{{ __('cp.all') }}</option>
                                                    <option value="active"
                                                        {{ request('status') == 'active' ? 'selected' : '' }}>
                                                        {{ __('cp.active') }}
                                                    </option>
                                                    <option value="not_active"
                                                        {{ request('status') == 'not_active' ? 'selected' : '' }}>
                                                        {{ __('cp.not_active') }}
                                                    </option>
                                                </select>
                                            </div>
                                        </div>
                                      


                                        <div class="col-md-3">
                                            <button type="submit"
                                                class="btn sbold btn-default btnSearch">{{ __('cp.search') }}
                                                <i class="fa fa-search"></i>
                                            </button>

                                            <a href="{{ url(app()->getLocale() . '/admin/services') }}" type="submit"
                                                class="btn sbold btn-default btnRest">{{ __('cp.reset') }}
                                                <i class="fa fa-refresh"></i>
                                            </a>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div
                            class="card-header d-flex flex-column flex-sm-row align-items-sm-start justify-content-sm-between">
                            <div>


                            </div>

                        </div>
                        <div class="table-responsive">
                            <table class="table table-hover tableWithSearch" id="tableWithSearch">
                                <thead>
                                    <tr>
                                        <th class="wd-1p no-sort">
                                            <div class="checkbox-inline">
                                                <label class="checkbox">
                                                    <input type="checkbox" name="checkAll" />
                                                    <span></span></label>
                                            </div>
                                        </th>


                                        <th> {{ ucwords(__('cp.image')) }}</th>
                                        <th> {{ ucwords(__('cp.id')) }}</th>
                                        <th> {{ ucwords(__('cp.name')) }}</th>
                                         <th> {{ucwords(__('cp.price'))}} </th>
                                         <th> # {{ucwords(__('cp.orders'))}} </th>
                                        <th> {{ ucwords(__('cp.status')) }}</th>
                                        <th> {{ ucwords(__('cp.created')) }}</th>
                                        <th> {{ ucwords(__('cp.action')) }}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse($items as $item)
                                        <tr class="odd gradeX" id="tr-{{ $item->id }}">
                                            <td class="v-align-middle wd-5p">
                                                <div class="checkbox-inline">
                                                    <label class="checkbox">
                                                        <input type="checkbox" value="{{ $item->id }}"
                                                            class="checkboxes" name="chkBox" />
                                                        <span></span></label>
                                                </div>
                                            </td>

                                            <td class="v-align-middle wd-5p"><a href="{{$item->image}}" target="_blank"><img src="{{$item->image}}" width="50px" height="50px" style="border-radius: 10% !important;"></a></td>
                                            <td class="v-align-middle wd-25p">{{ @$item->id }}</td>
                                            <td class="v-align-middle wd-25p">{{ @$item->name }}</td>
                                             <td class="v-align-middle wd-25p">@if(@$item->price > 0) {{ @$item->price}} @else {{ __('cp.free') }} @endif</td>
                                             <td class="v-align-middle wd-25p">{{ @$item->service_requests_count}}</td>
                                            <td class="v-align-middle wd-10p"> <span id="label-{{ $item->id }}"
                                                    class="badge badge-pill badge-{{ $item->status == 'active' ? 'info' : 'danger' }}"
                                                    id="label-{{ $item->id }}">
                                                    {{ __('cp.' . $item->status) }}
                                                </span>
                                            </td>

                                            <td class="v-align-middle wd-10p">{{ @$item->created_at }}</td>

                                            <td class="v-align-middle wd-15p">
                                                <a href="{{ url(getLocal() . '/admin/services/' . $item->id . '/edit') }}"
                                                    class="btn btn-sm btn-clean btn-icon" title="{{ __('cp.edit') }}">
                                                    <i class="la la-edit"></i>
                                                </a>
                                                
                                              <a href="{{ url(getLocal() . '/admin/serviceRequests?service_id=' . $item->id) }}"
                                                    class="btn btn-sm btn-clean btn-icon" title="{{ __('cp.bookings') }}">
                                                    <span class="svg-icon menu-icon">
                                                        <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                                            <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                                                <rect x="0" y="0" width="24" height="24"/>
                                                                <path d="M4,9.67471899 L10.880262,13.6470401 C10.9543486,13.689814 11.0320333,13.7207107 11.1111111,13.740321 L11.1111111,21.4444444 L4.49070127,17.526473 C4.18655139,17.3464765 4,17.0193034 4,16.6658832 L4,9.67471899 Z M20,9.56911707 L20,16.6658832 C20,17.0193034 19.8134486,17.3464765 19.5092987,17.526473 L12.8888889,21.4444444 L12.8888889,13.6728275 C12.9050191,13.6647696 12.9210067,13.6561758 12.9368301,13.6470401 L20,9.56911707 Z" fill="#000000"/>
                                                                <path d="M4.21611835,7.74669402 C4.30015839,7.64056877 4.40623188,7.55087574 4.5299008,7.48500698 L11.5299008,3.75665466 C11.8237589,3.60013944 12.1762411,3.60013944 12.4700992,3.75665466 L19.4700992,7.48500698 C19.5654307,7.53578262 19.6503066,7.60071528 19.7226939,7.67641889 L12.0479413,12.1074394 C11.9974761,12.1365754 11.9509488,12.1699127 11.9085461,12.2067543 C11.8661433,12.1699127 11.819616,12.1365754 11.7691509,12.1074394 L4.21611835,7.74669402 Z" fill="#000000" opacity="0.3"/>
                                                            </g>
                                                        </svg>
                                                    </span>
                                                </a>

                                                <a href="#myModal{{ $item->id }}" role="button" data-toggle="modal"
                                                    class="btn btn-xs red tooltips"><i class="fa fa-times"
                                                        aria-hidden="true"></i></a>

                                                <div id="myModal{{ $item->id }}" class="modal fade" tabindex="-1"
                                                    role="dialog" aria-labelledby="myModalLabel1" aria-hidden="true">
                                                    <div class="modal-dialog">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <button type="button" class="close"
                                                                    data-dismiss="modal" aria-hidden="true"></button>
                                                                <h4 class="modal-title">{{ __('cp.delete') }}</h4>
                                                            </div>
                                                            <div class="modal-body">
                                                                <p>{{ __('cp.confirm') }} </p>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button class="btn default" data-dismiss="modal"
                                                                    aria-hidden="true">{{ __('cp.cancel') }}</button>
                                                                <a href="#"
                                                                    onclick="delete_adv('{{ $item->id }}','{{ $item->id }}',event)"><button
                                                                        class="btn btn-danger">{{ __('cp.delete') }}</button></a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </td>
                                        </tr>
                                    @empty
                                    @endforelse


                                </tbody>
                            </table>
                            {{ $items->appends($_GET)->links('pagination::bootstrap-4') }}
                        </div>
                    </div>
                </div>
                <!--end::Card-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Entry-->
    </div>
@endsection
@section('script')
    <script>
        function delete_adv(id, iss_id, e) {
            //alert(id);
            e.preventDefault();

            var url = '{{ url(getLocal() . '/admin/services') }}/' + id;
            var csrf_token = '{{ csrf_token() }}';
            $.ajax({
                type: 'delete',
                headers: {
                    'X-CSRF-TOKEN': csrf_token
                },
                url: url,
                data: {
                    _method: 'delete'
                },
                success: function(response) {
                    console.log(response);
                    if (response === 'success') {
                        $('#tr-' + id).hide(500);
                        $('#myModal' + id).modal('toggle');

                    } else {
                        swal(response.message);
                    }
                },
                error: function(e) {}
            });
        }
        
        
        $('#tableWithSearch').dataTable( {
        rowReorder: true,
        "dom": 'rtip',
         "bPaginate": false,
        "bFilter": false,
        "bInfo": false,

    columnDefs: [
        { orderable: true, className: 'reorder', targets: 5 },
        { orderable: false, targets: '_all' }
    ]
} );

        
   
       

        
    </script>
@endsection
