@extends('layout.adminLayout')
@section('title')
    {{ ucwords(__('cp.settings')) }}
@endsection
@section('css')
@endsection
@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <!--begin::Subheader-->
        <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
            <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                <!--begin::Info-->
                <div class="d-flex align-items-center flex-wrap mr-1">
                    <div class="d-flex align-items-baseline mr-5">
                        <h3>{{ __('cp.edit') }}</h3>
                    </div>
                </div>
                <!--end::Info-->
                <!--begin::Toolbar-->
                <div class="d-flex align-items-center">

                    <button id="submitButton" class="btn btn-success ">{{ __('cp.submit') }}</button>
                </div>
                <!--end::Toolbar-->
            </div>
        </div>
        <!--end::Subheader-->
        <!--begin::Entry-->
        <div class="d-flex flex-column-fluid">
            <!--begin::Container-->
            <div class="container">
                <!--begin::Card-->
                <div class="card card-custom gutter-b example example-compact">
                    <form class="form" method="post" action="{{ url(app()->getLocale() . '/admin/settings/') }}"
                        id="form" role="form" enctype="multipart/form-data">
                        {{ csrf_field() }}

                        <div class="card-header">
                            <h3 class="card-title">{{ __('cp.main_info') }}</h3>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                @foreach ($locales as $locale)
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>{{ __('cp.title_' . $locale->lang) }}</label>
                                            <input type="text" class="form-control "
                                                {{ $locale->lang == 'ar' ? 'dir=rtl' : '' }}
                                                name="title_{{ $locale->lang }}"
                                                value="{{ old('title_' . $locale->lang, @$item->translate($locale->lang)->title) }}"
                                                required />
                                        </div>
                                    </div>
                                @endforeach
                                @foreach ($locales as $locale)
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>{{ __('cp.address_' . $locale->lang) }}</label>
                                            <input type="text" class="form-control "
                                                {{ $locale->lang == 'ar' ? 'dir=rtl' : '' }}
                                                name="address_{{ $locale->lang }}"
                                                value="{{ old('address_' . $locale->lang, @$item->translate($locale->lang)->address) }}"
                                                required />
                                        </div>
                                    </div>
                                @endforeach


                            </div>
                        </div>

                        <div class="tab-content mt-5">
                            <div class="tab-pane fade show active" id="myTabContent2" role="tabpanel"
                                aria-labelledby="content-tab-main2">
                                <div class="card-header">
                                    <h3 class="card-title">{{ __('cp.contact_info') }}</h3>
                                </div>
                                <div class="card-body">

                                    <div class="row">

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>{{ __('cp.info_email') }}</label>
                                                <input type="text" class="form-control " name="info_email"
                                                    value="{{ $item->info_email }}" required />
                                            </div>
                                        </div>
                                        
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>{{ __('cp.instagram') }}</label>
                                                <input type="text" class="form-control " name="instagram"
                                                    value="{{ $item->instagram }}" required />
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>{{ __('cp.contact_whatsapp') }}</label>
                                                <input type="text" class="form-control numeric_input" name="contact_whatsapp"
                                                    minlength="11" maxlength="15" value="{{ $item->contact_whatsapp }}" required />
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>{{ __('cp.orders_whatsapp') }}</label>
                                                <input type="text" class="form-control numeric_input" name="orders_whatsapp"
                                                    minlength="11" maxlength="15" value="{{ $item->orders_whatsapp }}" required />
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>{{ __('cp.contact_mobile') }}</label>
                                                <input type="text" class="form-control numeric_input" name="contact_mobile"
                                                    minlength="11" maxlength="15" value="{{ $item->contact_mobile }}" required />
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>{{ __('cp.orders_mobile') }}</label>
                                                <input type="text" class="form-control numeric_input" name="orders_mobile"
                                                    minlength="11" maxlength="15" value="{{ $item->orders_mobile }}" required />
                                            </div>
                                        </div>
 

                                      
                                        
                                           
                                    



                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>{{ __('cp.play_store_url') }}</label>
                                                <input type="text" class="form-control " name="play_store_url"
                                                    value="{{ $item->play_store_url }}" required />
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>{{ __('cp.app_store_url') }}</label>
                                                <input type="text" class="form-control " name="app_store_url"
                                                    value="{{ $item->app_store_url }}" required />
                                            </div>
                                        </div>

 
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-content mt-5">
                            <div class="tab-pane fade show active" id="myTabContent2" role="tabpanel"
                                aria-labelledby="content-tab-main2">

                                <div class="card-body">
                                {{--
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="fileinputForm">
                                                <label>{{ __('cp.white_logo') }}</label>
                                                <div class="fileinput-new thumbnail"
                                                    onclick="document.getElementById('edit_image11').click()"
                                                    style="cursor:pointer">
                                                    <img src="{{ $item->white_logo }}" id="editImage11">
                                                </div>
                                                <div class="btn btn-change-img red"
                                                    onclick="document.getElementById('edit_image11').click()">
                                                    <i class="fas fa-pencil-alt"></i>
                                                </div>
                                                <input type="file" class="form-control image_input" name="white_logo"
                                                    id="edit_image11" style="display:none">
                                            </div>
                                        </div>
                                        <div class="col-md-6">

                                            <div class="fileinputForm">
                                                <label>{{ __('cp.black_logo') }}</label>
                                                <div class="fileinput-new thumbnail"
                                                    onclick="document.getElementById('edit_image12').click()"
                                                    style="cursor:pointer">
                                                    <img src="{{ $item->black_logo }}" id="editImage12">
                                                </div>
                                                <div class="btn btn-change-img red"
                                                    onclick="document.getElementById('edit_image12').click()">
                                                    <i class="fas fa-pencil-alt"></i>
                                                </div>
                                                <input type="file" class="form-control image_input" name="black_logo"
                                                    id="edit_image12" style="display:none">
                                            </div>
                                        </div>
                                    </div>
                                    --}}

                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="fileinputForm">
                                                <label>{{ __('cp.login_image') }}</label>
                                                <div class="fileinput-new thumbnail"
                                                    onclick="document.getElementById('edit_image2').click()"
                                                    style="cursor:pointer">
                                                    <img src="{{ $item->login_image }}" id="editImage2">
                                                </div>
                                                <div class="btn btn-change-img red"
                                                    onclick="document.getElementById('edit_image2').click()">
                                                    <i class="fas fa-pencil-alt"></i>
                                                </div>
                                                <input type="file" class="form-control image_input" name="login_image"
                                                    id="edit_image2" style="display:none">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!--end::Card-->
                        <button type="submit" id="submitForm" style="display:none"></button>
                    </form>

                    <!--end::Container-->
                </div>
                <!--end::Entry-->
            </div>
        </div>
    </div>
@endsection
@section('js')
    <script>
        $('#edit_image11').on('change', function(e) {
            readURL(this, $('#editImage11'));
        });

        $('#edit_image12').on('change', function(e) {
            readURL(this, $('#editImage12'));
        });


        $('#edit_image2').on('change', function(e) {
            readURL(this, $('#editImage2'));
        });

        $('#edit_logo').on('change', function(e) {
            readURL(this, $('#editLogo'));
        });
    </script>
@endsection

@section('script')
@endsection
