@extends('layout.adminLayout')
@section('title')
    {{ ucwords(__('cp.sizes')) }}
@endsection

@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <!--begin::Subheader-->
        <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader">
            <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                <!--begin::Info-->
                <div class="d-flex align-items-center flex-wrap mr-1">
                    <div class="d-flex align-items-baseline mr-5">
                        <h3>{{ __('cp.sizes') }}</h3>
                    </div>
                </div>

                <div class="d-flex align-items-center">
                    <a href="{{ url(getLocal() . '/admin/sizes') }}"
                        class="btn btn-secondary  mr-2">{{ __('cp.cancel') }}</a>
                    <button id="submitButton" class="btn btn-success ">{{ __('cp.save') }}</button>
                </div>
                <!--end::Toolbar-->
            </div>
        </div>
        <!--end::Subheader-->
        <!--begin::Entry-->
        <div class="d-flex flex-column-fluid">
            <!--begin::Container-->
            <div class="container">
                <!--begin::Card-->
                <div class="card card-custom gutter-b example example-compact">
                    <form class="form" method="post" action="{{ url(app()->getLocale() . '/admin/sizes') }}"
                        role="form" id="form" enctype="multipart/form-data">
                        @csrf
                        <div class="card-header">
                            <h3 class="card-title">{{__('cp.add')}} {{ucwords(__('cp.sizes'))}}</h3>
                        </div>

                        <div class="card-body">
                            <div class="row">
                                @foreach ($locales as $locale)
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>{{ __('cp.name_' . $locale->lang) }}</label>
                                            <input type="text" class="form-control  " name="name_{{ $locale->lang }}"
                                                {{ $locale->lang == 'ar' ? 'dir=rtl' : '' }}
                                                value="{{ old('name_' . $locale->lang) }}" required />
                                        </div>
                                    </div>
                                @endforeach
                            </div>
                        </div>

                        <button type="submit" id="submitForm" style="display:none"></button>
                    </form>
                </div>
                <!--end::Card-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::Entry-->
    </div>
@endsection
  