@extends('admin.users.sideMenu')
@section('companyContent')
    <div class="flex-row-fluid ml-lg-8">
        <div class="card card-custom gutter-b example example-compact">
            <div class="card-header">
                <h3 class="card-title">{{ __('cp.createAddress') }}</h3>
            </div>
            <form method="post" action="{{ url(app()->getLocale() . '/admin/users/' . $item->id . '/addresses/store') }}"
                enctype="multipart/form-data" class="form-horizontal" role="form" id="form">
                {{ csrf_field() }}

                <div class="row col-sm-12">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>{{ __('cp.name') }}</label>
                            <input type="text" class="form-control" name="address_name" value="{{ old('address_name') }}"
                                required />
                        </div>
                    </div>

                </div>
                <div class="row col-sm-12">
                    
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>{{ __('cp.gvernorate') }}</label>
                            <select class="form-control governorates select2" id="" name="governorate_id" required>
                                <option value="">{{ __('cp.select') }}</option>
                                @foreach ($governorates as $governorate)
                                    <option value="{{ $governorate->id }}">{{ $governorate->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>{{ __('cp.area') }}</label>
                            <select class="form-control area_id select2" id="" name="area_id" required>
                                <option value="">{{ __('cp.select') }}</option>
                                 
                            </select>
                        </div>
                    </div>

                </div>

                <div class="row col-sm-12">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>{{ __('cp.block') }}</label>
                            <input type="text" class="form-control" name="block" value="{{ old('block') }}" required />
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label>{{ __('cp.street') }}</label>
                            <input type="text" class="form-control" name="street" value="{{ old('street') }}" required />
                        </div>
                    </div>
    
 
                </div>


                <div class="row col-sm-12">


                    <div class="col-md-6 type_building_office">
                        <div class="form-group ">
                            <label>{{ __('cp.building_number') }}</label>
                            <input type="text" class="form-control" name="building_number"
                                value="{{ old('building_number') }}" />
                        </div>
                    </div>

                    <div class="col-md-6 type_building_office">
                        <div class="form-group ">
                            <label>{{ __('cp.floor_number') }}</label>
                            <input type="text" class="form-control" name="floor_number"
                                value="{{ old('floor_number') }}" />
                        </div>
                    </div>

                     
                   
                   

                    <div class="col-md-6">
                        <div class="form-group">
                            <label>{{ __('cp.notes') }}</label>
                            <input type="text" class="form-control " name="notes" value="{{ old('notes') }}" />
                        </div>
                    </div>
                </div>
                 
                <div class="d-flex align-items-center">
                    <a href="{{ url(getLocal() . '/admin/users/' . $item->id . '/addresses') }}"
                        class="btn btn-secondary  mr-2">{{ __('cp.cancel') }}</a>
                    <button id="submitButton" class="btn btn-success ">{{ __('cp.save') }}</button>
                </div>
                <button type="submit" id="submitForm" style="display:none"></button>
            </form>

        </div>
    </div>
@endsection
@section('js')
 
@endsection
