@extends('admin.users.sideMenu')
@section('companyContent')

<div class="flex-row-fluid ml-lg-8">
    <div class="card card-custom gutter-b example example-compact">
        <div class="card-header">
            <h3 class="card-title">{{ __('cp.editAddress') }}</h3>
        </div>

        <form method="post"
            action="{{ url(getLocal() . '/admin/users/' . $item->id . '/addresses/' . $address->id . '/update') }}"
            enctype="multipart/form-data" class="form-horizontal" role="form" id="form">
            {{ csrf_field() }}
            {{ method_field('PATCH') }}


            <div class="row col-sm-12">
                <div class="col-md-6">
                    <div class="form-group">
                        <label>{{ __('cp.name') }}</label>
                        <input type="text" class="form-control" name="address_name"
                            value="{{ old('address_name', $address->address_name) }}" required />
                    </div>
                </div>

                 
            </div>
            <div class="row col-sm-12">
                <div class="col-md-6">
                    <div class="form-group">
                        <label>{{ __('cp.gvernorate') }}</label>
                        <select class="form-control governorates select2" id="" name="governorate_id" required>
                            <option value="">{{ __('cp.select') }}</option>
                            @foreach ($governorates as $governorate)
                                <option value="{{ $governorate->id }}" @if ($governorate->id == $address->governorate_id) selected @endif>{{ $governorate->name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group">
                        <label>{{ __('cp.area') }}</label>
                        <select class="form-control select2" id="" name="area_id" required>
                            <option value="">{{ __('cp.select') }}</option>
                            @foreach ($areas as $area)
                                <option value="{{ $area->id }}" @if ($area->id == $address->area_id) selected @endif>
                                    {{ $area->name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>


            <div class="row col-sm-12">
                <div class="col-md-6">
                    <div class="form-group">
                        <label>{{ __('cp.block') }}</label>
                        <input type="text" class="form-control" name="block"
                            value="{{ old('block', $address->block) }}" required />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label>{{ __('cp.street') }}</label>
                        <input type="text" class="form-control" name="street"
                            value="{{ old('street', $address->street) }}" required />
                    </div>
                </div>
                

            
            </div>


            <div class="row col-sm-12">


                <div class="col-md-6 type_building_office">
                    <div class="form-group ">
                        <label>{{ __('cp.building_number') }}</label>
                        <input type="text" class="form-control" name="building_number"
                            value="{{ old('building_number', $address->building_number) }}" />
                    </div>
                </div>

                <div class="col-md-6 type_building_office">
                    <div class="form-group ">
                        <label>{{ __('cp.floor_number') }}</label>
                        <input type="text" class="form-control" name="floor_number"
                            value="{{ old('floor_number', $address->floor_number) }}" />
                    </div>
                </div>

               

                <div class="col-md-6">
                    <div class="form-group">
                        <label>{{ __('cp.notes') }}</label>
                        <input type="text" class="form-control " name="notes"
                            value="{{ old('notes', $address->notes) }}" />
                    </div>
                </div>
            </div>
     


            <div class="d-flex align-items-center">
                <a href="{{ url(getLocal() . '/admin/users/' . $item->id . '/addresses') }}"
                    class="btn btn-secondary  mr-2">{{ __('cp.cancel') }}</a>
                <button id="submitButton" class="btn btn-success ">{{ __('cp.save') }}</button>
            </div>
            <!--end::Toolbar-->
            <button type="submit" id="submitForm" style="display:none"></button>
        </form>

    </div>
</div>
@endsection
@section('js')
@endsection
