@extends('website.layout')
@section('title') @lang('website.Reset Password') @endsection
@section('keywords') @lang('website.Reset Password')  @endsection
@section('description') @lang('website.Reset Password')  @endsection
@section('content')
<section class="reset_password_page stage_padding">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-6">
                <div class="content-sign wow fadeInUp">
                    <form class="form-sign password_form" method="POST" action="{{url(app()->getLocale().'/password/reset')}}">
                        @csrf
					    <input type="hidden" name="token" value="{{ $token }}">
                        <div class="cont--login active">
                            <div class="head-sign">
                                <h4>@lang('website.Reset Password')</h4>
                            </div>
                            <div class="form-group">
                                <label>@lang('website.New Password')*</label>
                                <input type="password" class="form-control" name="password" placeholder="@lang('website.Enter Here') "  required/>
                            </div>
                            <div class="form-group">
                                <label>@lang('website.Confirm New Password')*</label>
                                <input type="password" class="form-control" name="confirm_password" placeholder="@lang('website.Enter Here') " required />
                            </div>
                            <div class="form-group">
                                <button class="btn-site btnReg send_form" ><span>@lang('website.Send')</span></button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade show" id="ModalUpdatePassword" tabindex="-1" aria-labelledby="exampleModalLabel" aria-modal="true" role="dialog">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-body">
                <div class="cont-succ">
                    <h5>@lang('website.Success')</h5>
                    <p>@lang('website.Your Password has been reset') <br /> @lang('website.successfully') !</p>
                    <ul>
                        <li><a class="btn-site" onclick="$('#ModalUpdatePassword').modal('hide');"><span>@lang('website.OK')</span></a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>

 
@endsection
@section('script')
 
		<script>
 var preventSubmit = false;
 
$(document).on('click','.send_form',function (e) {
            e.preventDefault();
            $('.validation_msg').html('')
            var formData = new FormData($('.password_form')[0]);
            $('.password_form').find( 'select, textarea, input' ).each(function(){
                  if($(this).prop('required') && !$(this).val() && !$(this).is(":hidden")){
                      $(this).css("border", "#ff0000 solid 1px").next('span.errorSpan').remove(); //
                           $(this).css("border", "#bd1616 solid 1px").after('<span style="color:#bd1616" class="errorSpan">{{__("website.requiredField")}}</span>');
                      preventSubmit = true;
                      e.preventDefault();
                  }
              });
              if(preventSubmit){
                  preventSubmit = false;
                  return false;
                  
              }
         $('.send_form').html('<span><i class="fa fa-spinner fa-spin" style="font-size: 20px;position: initial;color:black;"></i></span>')
         $(".send_form").attr("disabled", true);
        var ele = $(this);
        var id = $(this).data("id");
        $.ajax({
            url: '{{ route('password.new') }}', 
            type: "post", 
            data: formData,
            processData: false,
            contentType: false,
            success: function (response) {
                if(response.code ==200){
                    $("#ModalUpdatePassword").modal('show');
                    $(".password_form").find("input, textarea ,select").val("");
                    $('input[name="_token"]') .val('{{ csrf_token() }}');
                    // location.href='{{route('home')}}';
                    // return
                }else if(response.validator !=null){    
                    swal({
                            text: response.validator,
                            button: "{{__('website.oky')}}",
                            dangerMode: true,
                        });
                } else{
                    swal(response.message)

                }

                $('.send_form').html('<span>{{__('website.Send')}}</span>')
                $(".send_form").attr("disabled", false);
            } 
            
        });
    });
	</script>
    @endsection