@extends('website.layout')
@section('title'){{$setting->title}} @endsection
@section('css')
@endsection
@section('content')

<section class="section_home">
    <div class="owl-carousel" id="slide-home">
        @foreach ($banners as $banner)
        <a 
          @if($banner->type==0)
            href="#" target="_self"
          @elseif($banner->type==1 && @$banner->product)
            href="{{route('productsDetails',[@$banner->product->id,Str::slug(@$banner->product->name)])}}" target="_self"
          @elseif($banner->type==2 && @$banner->category)
            href="{{route('categoryDetails',[@$banner->category->id,Str::slug(@$banner->category->name)])}}" target="_self"
          @elseif($banner->type==3)
            href="{{ @$banner->link }}" target="_blank"
          @endif>
            <div class="item item-web" style="background: url({{ $banner->web_image }})"></div>
            <div class="item item-mobile" style="background: url({{ $banner->mobile_image }})"></div>
        </a>
            
        @endforeach
    </div>
</section>
<!--section_home-->

<section class="section_categories">
    <div class="container">
        <div class="sec_head wow fadeInUp">
            <span>@lang('website.Products we provide')</span>
            <h2>@lang('website.Shop By Category')</h2>
        </div>
        <div class="owl-carousel" id="categories_slider">
            @foreach ($categories as $category)
                <div class="item">
                    <div class="item-category wow fadeInUp">
                        <figure><img src="{{ $category->image }}" alt="{{ $category->name }}" /></figure>
                        <div class="txt-categories">
                            <h4>{{ $category->name }}</h4>
                            <p>{{ $category->products_count }} @lang('website.Products')</p>
                            <a href="{{route('categoryDetails',[$category->id,Str::slug($category->name)])}}" class="btn-site"><span>@lang('website.View')</span></a>
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
</section>
<!--section_categories-->

<section class="section_products">
    <div class="container">
        <div class="sec_head wow fadeInUp">
            <span>@lang('website.THE LATEST')</span>
            <h2>@lang('website.Best Selling Products')</h2>
        </div>
        <div class="row">
            @foreach ($products as $product)
                <div class="col-lg-3 col-6">
                    <div class="item-product wow fadeInUp">
                        <figure><img src="{{ $product->image }}" alt="{{ $product->name }}" /></figure>
                        <div class="txt-project">
                            <h4><a href="{{route('productsDetails',[$product->id,Str::slug($product->name)])}}">{{ $product->name }}</a></h4>
                            <ul>
                                @if($product->discount_price ==0 || $product->discount_price=='')
                                    <li><p>{{number_format($product->price, 3, '.', ',')}} @lang('website.KWD')</p></li>
                                @else
                                    <li><p>{{number_format($product->discount_price, 3, '.', ',')}} @lang('website.KWD')</p></li>
                                    <li><del>{{number_format($product->price, 3, '.', ',')}} @lang('website.KWD')</del></li>
                                @endif
                            </ul>
                        </div>
                    </div>
                </div> 
            @endforeach
        </div>
        <div class="owl-carousel" id="products_slider">
            @foreach ($products as $product)
                <div class="item">
                    <div class="item-product wow fadeInUp">
                        <figure><img src="{{ $product->image }}" alt="{{ $product->name }}" /></figure>
                        <div class="txt-project">
                            <h4><a href="{{route('productsDetails',[$product->id,Str::slug($product->name)])}}">{{ $product->name }}</a></h4>
                            <ul>
                                @if($product->discount_price ==0 || $product->discount_price=='')
                                    <li><p>{{number_format($product->price, 3, '.', ',')}} @lang('website.KWD')</p></li>
                                @else
                                    <li><p>{{number_format($product->discount_price, 3, '.', ',')}} @lang('website.KWD')</p></li>
                                    <li><del>{{number_format($product->price, 3, '.', ',')}} @lang('website.KWD')</del></li>
                                @endif
                            </ul>
                        </div>
                    </div>
                </div>
            @endforeach
         
        </div>
        <div class="view-all">
            <a href="{{ route('bestSelling') }}" class="btn-site"><span>@lang('website.View All')</span></a>
        </div>
    </div>
</section>
<!--section_products-->

<section class="section_download">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-5">
                <div class="txt-download">
                    <strong>@lang('website.Download Our App')!</strong>
                    <p>@lang('website.App is available for free') <b>@lang('website.on Google play & app store')</b></p>
                    <span>{{ $setting->shopp_download_app_text }}</span>
                    <ul>
                        <li><a href="{{ $setting->play_store_url}}"><img src="{{asset('shopWebsite/images/google-play.svg')}}" alt="Google Play Download" /></a></li>
                        <li><a href="{{ $setting->app_store_url}}"><img src="{{asset('shopWebsite/images/app-store.svg')}}" alt="App Store Download" /></a></li>
                    </ul>
                </div>
            </div>
            <div class="col-lg-5">
                <div class="thumb-download">
                    <figure><img src="{{asset('shopWebsite/images/mocup-download.png')}}" alt="" /></figure>
                </div>
            </div>
        </div>
    </div>
</section>
<!--section_download-->
        
@endsection

@section('script')
@endsection