<?php

use Illuminate\Http\Request;

Route::group(['middleware' => 'auth:api'], function () {

    ////////////////////////////////  UserController   ///////////////////////////////////
    Route::post('/editUserProfile', 'API\v1\UserController@editUserProfile');
    Route::post('/changePassword', 'API\v1\UserController@changePassword');
    Route::get('/MyProfile', 'API\v1\UserController@MyProfile');
    Route::get('/logout', 'API\v1\UserController@logout');


    Route::post('addNewAdress', 'API\v1\UserController@addNewAdress');
    Route::post('updateAdress/{id}', 'API\v1\UserController@updateAdress');
    Route::get('getMyAddresses', 'API\v1\UserController@getMyAddresses');
    Route::get('deleteAddress/{id}', 'API\v1\UserController@deleteAddress');

    Route::get('myNotifications', 'API\v1\UserController@myNotifications');
    Route::post('removeMyAccount', 'API\v1\UserController@removeMyAccount');

    Route::get('getMyOrders', 'API\v1\UserController@getMyOrders');
    Route::get('getOrderById/{id}', 'API\v1\UserController@getOrderById');
    Route::get('cancelOrder/{id}', 'API\v1\CartController@cancelOrder');

    Route::get('getMyWallet', 'API\v1\UserController@getMyWallet');
    //////////////////////////////////  ProductController  ////////////////////////////////////
    Route::get('getMyFavorites', 'API\v1\ProductController@getMyFavorites');
    Route::get('addAndRemoveFromFavorite/{id}', 'API\v1\ProductController@addAndRemoveFromFavorite');
    Route::get('getSearchingWords', 'API\v1\ProductController@getSearchingWords');
    
    
    Route::get('/reOrder/{id}', 'API\v1\CartController@reOrder');
 
});
//////////////////////////////////  ProductController  ////////////////////////////////////
Route::get('getHomePage', 'API\v1\ProductController@getHomePage');
Route::get('getCategoriesByType', 'API\v1\ProductController@getCategoriesByType');
Route::post('getProducts', 'API\v1\ProductController@getProducts');
Route::get('searchProducts', 'API\v1\ProductController@searchProducts');
Route::get('getProductDetails/{id}', 'API\v1\ProductController@getProductDetails');

 

////////////////////////////////  CartController   ///////////////////////////////////

Route::get('/addProductToCart/{id}', 'API\v1\CartController@addProductToCart');
Route::get('/getMyCart', 'API\v1\CartController@getMyCart');
Route::get('/changeQuantity/{id}', 'API\v1\CartController@changeQuantity');
Route::get('/deleteProductCart/{id}', 'API\v1\CartController@deleteProductCart');
Route::get('/deleteCartItems', 'API\v1\CartController@deleteCartItems');

Route::get('/checkPromo', 'API\v1\CartController@checkPromo');
Route::get('/calculateDeliveryCost', 'API\v1\CartController@calculateDeliveryCost');
Route::post('/checkOut', 'API\v1\CartController@checkOut');


 
 

Route::post('updateNotificationStatus', 'API\v1\UserController@updateNotificationStatus');



////////////////////////////////  AppController   ///////////////////////////////////

Route::get('getSetting', 'API\v1\AppController@getSetting');
Route::post('updateMyLanguage', 'API\v1\AppController@updateMyLanguage');

Route::post('contactUs', 'API\v1\AppController@contactUs');
Route::get('getBanners', 'API\v1\\AppController@getBanners');
Route::get('getLocations', 'API\v1\\AppController@getLocations');
Route::get('getGovernorates', 'API\v1\AppController@getGovernorates');
Route::get('getAreas', 'API\v1\AppController@getAreas');
Route::get('getCategories', 'API\v1\AppController@getCategories');
Route::post('/storeFcmToken', 'API\v1\AppController@storeFcmToken');

////////////////////////////////  UserController   ///////////////////////////////////


Route::post('/login', 'API\v1\UserController@login');
Route::post('/signUp', 'API\v1\UserController@signUp');
Route::post('/forgotPassword', 'API\v1\UserController@forgotPassword');

 