<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/apple-app-site-association', function () {
    $arr = ['appID'=>'U993GLRG96.com.line.omnyia','paths'=>[ "*"]];
    $newData = ['applinks' => ['apps'=>[],'details'=>[$arr]]];
    return response()->json($newData);
});
    Route::get('successPayment', function () { return view('website.success');})->name('successPayment');

Route::group([
    'prefix' => LaravelLocalization::setLocale(),
    'middleware' => [
        'localeSessionRedirect',
        'localizationRedirect',
        'localeViewPath'
    ]
], function () {
    Route::get('/failPayment', function () { return view('website.failPayment');})->name('failPayment');
    Route::get('/successPayment/{id}', function () { return view('website.successPayment');})->name('successPayment');
    Route::get('/payment', function () { return view('website.payment');})->name('payment');
    Route::get('checkPayment/{order_id}', 'API\v1\CartController@checkPayment')->name('checkPayment');
    
    // Route::get('/failPayment', function () { return view('website.failPayment');})->name('failPayment');
    // // Route::get('/successPayment/{id}', function () { return view('website.successPayment');})->name('successPayment');
    // Route::get('/payment', function () { return view('website.payment');})->name('payment');
    // Route::get('checkPayment/{order_id}', 'WEB\Site\CartController@checkPayment')->name('checkPayment');
    // Route::get('successPayment/{payment_token}', 'WEB\Site\CartController@successPayment')->name('successPayment');
    // Route::get('successServicePayment/{payment_token}', function () { return view('website.successServicePayment');})->name('successServicePayment');
    // Route::get('failPayment/{payment_token?}', 'WEB\Site\CartController@failPayment')->name('failPayment');

 
 
    Route::get('/', 'WEB\Site\HomeController@home')->name('ShopHome');
    Route::get('/products/{id}/{slug}', 'WEB\Site\HomeController@productsDetails')->name('productDetails');
 

 

    Route::get('/contact-us', 'WEB\Site\HomeController@contact')->name('contactUs');
    Route::post('/contact_us', 'WEB\Site\HomeController@contactUs')->name('contact_us');

 
    Route::get('/about-us', 'WEB\Site\HomeController@aboutUs')->name('aboutUs');
    Route::get('/terms-and-conditions', 'WEB\Site\HomeController@terms')->name('terms');
    Route::get('/policy', 'WEB\Site\HomeController@policy')->name('policy');
    Route::get('/support', 'WEB\Site\HomeController@support');


    Route::get('forgot/password', 'Auth\ForgotPasswordController@forgotPasswordForm')->name('forgotPasswordForm');
    Route::post('sendResetLinkEmail', 'Auth\ForgotPasswordController@sendResetLinkEmail')->name('sendResetLinkEmail');
    Route::post('password/email', 'Auth\ForgotPasswordController@sendResetLinkEmail')->name('password.email');
    Route::post('password/reset', 'Auth\ResetPasswordController@resetPassword')->name('password.new');
    Route::get('password/reset/{token}', 'Auth\ResetPasswordController@showResetForm')->name('password.reset');
 



    ////////////////////////////// Info website ///////////////////////////////

    
    // Route::get('/contact-us', 'WEB\Site\InfoWebsiteController@contact')->name('infoContactUs');
  

 

    //ADMIN AUTH ///

    Route::group(['prefix' => 'admin'], function () {
        Route::get('/', function () {
            return route('/login');
        });


        Route::get('/login', 'AdminAuth\LoginController@showLoginForm')->name('admin.login.form');
        Route::post('/login', 'AdminAuth\LoginController@login')->name('admin.login');
        Route::get('/logout', 'AdminAuth\LoginController@logout')->name('admin.logout');
      //  Route::get('/password/reset', 'AdminAuth\ForgotPasswordController@showLinkRequestForm')->name('admin.password.reset');
     //   Route::post('/password/email', 'AdminAuth\ForgotPasswordController@send_email')->name('admin.password.email');
    });





    Route::group(['middleware' => ['web', 'admin'], 'prefix' => 'admin', 'as' => 'admin.',], function () {
        Route::get('/', function () {
            return redirect('/admin/home');
        });
        Route::post('/changeStatus/{model}', 'WEB\Admin\HomeController@changeStatus');

        Route::get('home', 'WEB\Admin\HomeController@index')->name('admin.home');

        Route::get('/admins/{id}/edit', 'WEB\Admin\AdminController@edit')->name('admins.edit');
        Route::patch('/admins/{id}', 'WEB\Admin\AdminController@update')->name('users.update');
        Route::get('/admins/{id}/edit_password', 'WEB\Admin\AdminController@edit_password')->name('admins.edit_password');
        Route::post('/admins/{id}/edit_password', 'WEB\Admin\AdminController@update_password')->name('admins.edit_password');

         /////////admins////////
            Route::get('/admins', 'WEB\Admin\AdminController@index')->name('admins.all');
            Route::post('/admins/changeStatus', 'WEB\Admin\AdminController@changeStatus')->name('admin_changeStatus');

            Route::delete('admins/{id}', 'WEB\Admin\AdminController@destroy')->name('admins.destroy');

            Route::post('/admins', 'WEB\Admin\AdminController@store')->name('admins.store');
            Route::get('/admins/create', 'WEB\Admin\AdminController@create')->name('admins.create');
            Route::get('/editMyProfile', 'WEB\Admin\AdminController@editMyProfile')->name('admins.editMyProfile');
            Route::post('/updateProfile', 'WEB\Admin\AdminController@updateProfile')->name('admins.updateProfile');
            Route::get('/changeMyPassword', 'WEB\Admin\AdminController@changeMyPassword')->name('admins.changeMyPassword');
            Route::post('/updateMyPassword', 'WEB\Admin\AdminController@updateMyPassword')->name('admins.updateMyPassword');
      

          /////////users////////

            Route::get('/users', 'WEB\Admin\UsersController@index')->name('users.all');
            Route::post('/users', 'WEB\Admin\UsersController@store')->name('users.store');
            Route::get('/users/create', 'WEB\Admin\UsersController@create')->name('users.create');
            Route::delete('users/{id}', 'WEB\Admin\UsersController@destroy')->name('users.destroy');
            Route::get('/users/{id}/edit', 'WEB\Admin\UsersController@edit')->name('users.edit');
            Route::patch('/users/{id}', 'WEB\Admin\UsersController@update')->name('users.update');
            Route::get('/users/{id}/edit_password', 'WEB\Admin\UsersController@edit_password')->name('users.edit_password');
            Route::post('/users/{id}/edit_password', 'WEB\Admin\UsersController@update_password')->name('users.edit_password');
            Route::get('/exportUsers', 'WEB\Admin\UsersController@exportUsers');

            Route::get('/users/{id}/addresses', 'WEB\Admin\UsersController@addresses')->name('users.addresses');
            Route::get('/users/{id}/addresses/create', 'WEB\Admin\UsersController@createAddress')->name('users.addresses');
            Route::post('/users/{id}/addresses/store', 'WEB\Admin\UsersController@storeAddress')->name('users.addresses');
            
            Route::get('/users/{id}/addresses/{address}/edit', 'WEB\Admin\UsersController@editAddress')->name('users.addresses');
            Route::patch('/users/{id}/addresses/{address}/update', 'WEB\Admin\UsersController@updateAddress')->name('users.addresses');
            Route::delete('/deleteAddress/{id}', 'WEB\Admin\UsersController@deleteAddress')->name('users.addresses');
            
 
        Route::get('getAreas/{id}', 'WEB\Admin\AreaController@getAreas');
 
        Route::post('/storeOnlyImage', 'WEB\Admin\NewsController@storeOnlyImage')->name('image.upload');
 

        Route::get('/ordersReport', 'WEB\Admin\ReportController@ordersReport');
        Route::get('/exportOrdersReport', 'WEB\Admin\ReportController@exportOrdersReport');
        Route::get('/bestSellingProducts', 'WEB\Admin\ReportController@bestSellingProducts');
        Route::get('/exportBestSellingProducts', 'WEB\Admin\ReportController@exportBestSellingProducts');


      
        Route::resource('/banners', 'WEB\Admin\BannerController');
        Route::resource('/advertisements', 'WEB\Admin\AdvertisementController');
       
        Route::resource('/colors', 'WEB\Admin\ColorController');
        Route::resource('/sizes', 'WEB\Admin\SizeController');
        Route::resource('/areas', 'WEB\Admin\AreaController');
        Route::resource('/governorates', 'WEB\Admin\GovernorateController');
        Route::resource('/locations', 'WEB\Admin\LocationController');
        
 
        
        Route::resource('/products', 'WEB\Admin\ProductController');
        Route::get('products/{id}/attributes', 'WEB\Admin\ProductController@attributes');
        Route::post('/save_quantities/{id}', 'WEB\Admin\ProductController@saveQuantities');

 
        Route::resource('/categories', 'WEB\Admin\CategoriesController');
        Route::resource('/mainCategories', 'WEB\Admin\MainCategoryController');
        Route::resource('/promotions', 'WEB\Admin\PromotionCodeController');


        Route::resource('/notifications', 'WEB\Admin\NotificationMessageController');

  
       
        Route::get('/getCategories/{id}', 'WEB\Admin\SubCategoriesController@getCategories');
        Route::resource('/landingPage', 'WEB\Admin\LandingPageController');
 

        /////////orders////////

            
            Route::resource('orders', 'WEB\Admin\OrderController');
            Route::get('orders/{id}/refund', 'WEB\Admin\OrderController@reFund');
            Route::get('orders/printOrder/{id}', 'WEB\Admin\OrderController@printOrder');
            Route::get('exportOrders', 'WEB\Admin\OrderController@exportOrders');
            Route::patch('/change_orderSts/{id}', 'WEB\Admin\OrderController@update');

           
       

        
         /////////contact_us////////
            Route::get('/contact', 'WEB\Admin\ContactController@index');
            Route::get('/viewMessage/{id}', 'WEB\Admin\ContactController@viewMessage');
            Route::delete('/contact/{id}', 'WEB\Admin\ContactController@destroy');



                //////settings/////////
            Route::get('settings', 'WEB\Admin\SettingController@index')->name('settings.all');
            Route::post('settings', 'WEB\Admin\SettingController@update')->name('settings.update');

                       
            Route::get('system_maintenance', 'WEB\Admin\SettingController@system_maintenance')->name('system.maintenance');
            Route::post('system_maintenance', 'WEB\Admin\SettingController@update_system_maintenance')->name('update.system.maintenance');

            Route::get('system_seo', 'WEB\Admin\SettingController@system_seo')->name('system.seo');
            Route::post('system_seo', 'WEB\Admin\SettingController@update_system_seo')->name('update.system.seo');

 
            Route::resource('/permissions', 'WEB\Admin\PermissionController');
            Route::resource('/roles', 'WEB\Admin\RolesController');
            Route::resource('/pages', 'WEB\Admin\PagesController');
            Route::post('/pages/changeStatus', 'WEB\Admin\PagesController@changeStatus');
  
 
    });


});

