<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <title>OCS</title>
    <link rel="icon" href="<?php echo e(url('uploads/favicon.png')); ?>">

    <style>
        @import  url('https://fonts.cdnfonts.com/css/ultima-pro?styles=97367');


        body {
            margin: 0;
            padding: 0;
            font-family: 'Ultima Pro', sans-serif;
            background: #eee
        }

        p,
        span,
        strong,
        h1,
        h2,
        h3,
        h4,
        h5,
        h6 {
            margin: 0;
            padding: 0;
            line-height: 1.6
        }

        .wrapper {
            background: #fff;
            width: 800px;
            margin: auto;
        }

        .main-table {
            background: #fff;
            color: #231F20;
            border-radius: 10px;
            width: 100%;
            max-width: 800px;
            margin: 0 auto;
            border-spacing: 0;
            font-family: 'Ultima Pro', sans-serif;
        }
        

        .table-product th,
        .table-product td {
            width: 20%;
        }

        .table-product th:first-child,
        .table-product td:first-child {
            width: 40%
        }

        .table-product tbody td {
            padding: 15px 0;
        }

        .table-product th,
        .table-product td {
            color: #2A2B2C
        }

        .d--p h6,
        .d--p p {
            display: inline-block;
        }

        .d--p h6 {
            font-size: 15px;
            color: #000;
        }

        .d--p p {
            font-size: 17px;
            margin: 0 5px;
        }
        
        .to--pro {
            margin-bottom: 5px;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }
        .to--pro:last-child {
            margin-bottom: 0;
        }
        
        .to--pro p {
            display: inline-block;
            width: 49%;
            font-size: 15px;
            color: #fff;
        }
        .de-add p:last-child {
            margin-bottom: 15px;
        }
        
    </style>

</head>

<body>
    <center class="wrapper">
        <table class="main-table" width="100%" style="padding: 30px;">
            <tr>
                <td style="text-align: center;padding:0 10px;">
                    <table width="100%">
                        <tr>
                            <td style="border-radius: 15px;text-align: center;padding:30px 20px 50px;">
                                <a href=""><img src="<?php echo e(url('uploads/logo.png')); ?>" alt="" title="Logo" width="170px" /></a>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: center">
                                <strong style="color:#093A5A;font-size:26px;font-weight:700;margin-bottom: 10px;display: block;"><?php echo app('translator')->get('cp.Thank You For Your Order!!'); ?></strong>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <!--Logo-->

            <tr>
                <td style="padding: 15px;">
                    <table width="100%">
                        <tr>
                            <td style=" background: #26847D;border-radius: 10px;padding:25px">
                                <div style="display: inline-block;width: 33%;margin-bottom: 20px">
                                    <p style="color: #fff;display: block;font-size:15px"><?php echo app('translator')->get('cp.Order Id'); ?></p>
                                    <strong style="color: #fff;font-size:16px">#<?php echo e($item->id); ?></strong>
                                </div>
                                <div style="display: inline-block;width: 33%;margin-bottom: 20px">
                                    <p style="color: #fff;display: block;font-size:15px"><?php echo app('translator')->get('cp.Order Date & time'); ?></p>
                                    <strong style="color: #fff;font-size:16px"><?php echo e(@$item->created_at); ?></strong>
                                </div>
                                <div style="display: inline-block;width: 32%;margin-bottom: 20px">
                                    <p style="color: #fff;display: block;font-size:15px"><?php echo app('translator')->get('cp.Amount'); ?></p>
                                    <strong style="color: #fff;font-size:16px"><?php echo e(number_format(@$item->total, 3, '.', ',')); ?> <?php echo app('translator')->get('cp.KWD'); ?></strong>
                                </div>
                                <div style="display: inline-block;width: 33%;">
                                    <p style="color: #fff;display: block;font-size:15px"><?php echo app('translator')->get('cp.Payment Method'); ?></p>
                                    <strong style="color: #fff;font-size:16px"><?php if($item->payment_method == 1): ?> <?php echo e(__('cp.Knet')); ?> <?php else: ?>  <?php echo e(__('cp.VISA / Mastercard')); ?> <?php endif; ?></strong>
                                </div>
                                <div style="display: inline-block;width: 33%;">
                                    <p style="color: #fff;display: block;font-size:15px"><?php echo app('translator')->get('cp.Invoice Refernce'); ?></p>
                                    <strong style="color: #fff;font-size:16px"><?php echo e(@$item->transaction_id); ?></strong>
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <!--ph invoice-->

            <tr>
                <td style="padding-bottom: 50px;">
                    <table width="100%">
                        <tr style="">
                            <td style="width: 60%;padding: 15px">
                                <table class="colom" style="width: 100%;">
                                    <tr width="100%">
                                        <td class="de-add">
                                            <h4 style="color:#093A5A;margin-bottom:20px;font-size:20px;text-transform:uppercase"><?php echo app('translator')->get('cp.Order Details'); ?></h4>
                                            <div class="to--pro">
                                                <p style="color: #505153"><?php echo e($item->service->name); ?></p>
                                                <strong style="text-align:end;color:#505153;display:inline-block"><?php echo e(number_format(@$item->total, 3, '.', ',')); ?> <?php echo app('translator')->get('cp.KWD'); ?></strong>
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <td style="width: 40%;padding: 15px">
                                <table class="colom" style="width: 100%;background:#093A5A;padding: 15px;border-radius: 15px;height: auto;">
                                    <tr width="100%">
                                        <td width="100%">
                                            <h5 style="font-weight:700;color:#fff;margin-bottom:20px;font-size:17px"><?php echo app('translator')->get('cp.Payment Details'); ?></h5>
                                            <div class="to--pro">
                                                <p><?php echo app('translator')->get('cp.Amount'); ?></p>
                                                <p style="text-align: end;"><?php echo e(number_format(@$item->total, 3, '.', ',')); ?> <?php echo app('translator')->get('cp.KWD'); ?></p>
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <!--ph-->

        </table>
        
        <table class="main-table" width="100%" style="">
            <tbody>
                <tr>
                    <td style="text-align: center; background:#F2F6F8;padding-top: 15px">
                        <table width="100%">
                            <tbody>
                                <tr>
                                    <td style="text-align: center;">
                                        <p style="font-size: 14px;font-weight: 500;margin: 0 0 10px;color:#093A5A"><?php echo e($setting->info_email); ?></p>
                                        <p style="font-size: 14px;font-weight: 500;margin: 0 0 10px;color:#093A5A"><?php echo app('translator')->get('cp.Copyright © 2023 Omniya All Rights Reserved.'); ?></p>
                                        <span style="font-size: 14px; color: #093A5A;font-weight: 500;">Unsubscribe</span>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <!--footer-->

            </tbody>
        </table>
    </center>
</body>

</html><?php /**PATH /home/linekwdemo3/public_html/ocs/resources/views/admin/serviceRequests/invoice.blade.php ENDPATH**/ ?>