<!DOCTYPE html>
<html lang="<?php echo e(app()->getLocale()); ?>" dir="<?php echo e((app()->getLocale() == 'ar')?'rtl':'ltr'); ?>">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <title><?php echo $__env->yieldContent('title','Omniya'); ?></title>
    <!-- Stylesheets -->
    <link rel="icon" href="<?php echo e(asset('shopWebsite/images/favicon.svg')); ?>">
    <link href="https://cdn.jsdelivr.net/npm/@fancyapps/ui@4.0/dist/fancybox.css" rel="stylesheet" />
    <link href="<?php echo e(asset('infoWebsite/css/style.css')); ?>" rel="stylesheet">
    <?php if(app()->getLocale() == 'ar'): ?>
        <link href="<?php echo e(url('infoWebsite/css/rtl.css')); ?>" rel="stylesheet">
    <?php endif; ?>
    <!-- Responsive -->
    <link href="<?php echo e(asset('infoWebsite/css/responsive.css')); ?>" rel="stylesheet">

    <script src="<?php echo e(asset('infoWebsite/js/jquery-3.2.1.min.js')); ?>"></script>

    <?php echo $__env->yieldContent('css'); ?>
    <?php echo $__env->yieldContent('socialMeta'); ?>
</head>

<body>

    <div class="main-wrapper">

        <header id="header">
            <div class="container">
                <div class="logo-site">
                    <a href="<?php echo e(route('infoHome')); ?>">
                        <img class="logo-web" src="<?php echo e(url('infoWebsite/images/logo.svg')); ?>" alt="" />
                    </a>
                    <div class="logo-partners">
                        <figure><img src="<?php echo e(url('infoWebsite/images/logo-partn1.svg')); ?>" alt="" /></figure>
                        <figure><img src="<?php echo e(url('infoWebsite/images/logo-partn2.svg')); ?>" alt="" /></figure>
                    </div>
                </div>
                <div class="menu-hd">
                    <div class="hd-top">
                        <div class="download-app">
                            <p><?php echo app('translator')->get('website.Download our App'); ?> :</p>
                            <ul>
                                <li><a href="<?php echo e($setting->app_store_url); ?>"><i class="fa-brands fa-apple"></i></a></li>
                                <li><a href="<?php echo e($setting->play_store_url); ?>"><i class="fa-brands fa-google-play"></i></a></li>
                            </ul>
                        </div>
                        <div class="contact-hd">
                            <a href="<?php echo e(route('infoContactUs')); ?>"><?php echo app('translator')->get('website.Contact Us'); ?></a>
                        </div>
                        <div class="social-media">
                            <p><?php echo app('translator')->get('website.Follow us'); ?> :</p>
                            <ul>
                                <li><a href="<?php echo e($setting->instagram); ?>"><i class="fa-brands fa-instagram"></i></a></li>
                                <li><a href="<?php echo e($setting->facebook); ?>"><i class="fa-brands fa-facebook-f"></i></a></li>
                                <li><a href="<?php echo e($setting->twitter); ?>"><i class="fa-brands fa-twitter"></i></a></li>
                                <li><a href="<?php echo e($setting->youtube); ?>"><i class="fa-brands fa-youtube"></i></a></li>
                                <li><a href="<?php echo e($setting->snapchat); ?>"><i class="fa-brands fa-snapchat"></i></a></li>
                                <li><a href="<?php echo e($setting->tiktok); ?>"><i class="fa-brands fa-tiktok"></i></a></li>
                                <li><a href="https://wa.me/<?php echo e($setting->whatsApp); ?>"><i class="fa-brands fa-whatsapp"></i></a></li>
                            </ul>
                        </div>
                        <div class="lang-hd">
                            <?php if(app()->getLocale() == 'en'): ?>
                                <?php
                                    $lang = LaravelLocalization::getSupportedLocales()['ar']
                                ?>
                                <a href="<?php echo e(LaravelLocalization::getLocalizedURL('ar', null, [], true)); ?>">
                                   <?php echo e($lang['native']); ?>

                                </a>
                            <?php else: ?>
                                <?php
                                    $lang = LaravelLocalization::getSupportedLocales()['en']
                                ?>
                                <a href="<?php echo e(LaravelLocalization::getLocalizedURL('en', null, [], true)); ?>">
                                    <?php echo e($lang['native']); ?>

                                </a>
                            <?php endif; ?>
                        </div>
                    </div>
                    <ul class="main_menu clearfix">
                        <li class="dropdown <?php if(in_array(Route::currentRouteName(),['howContribute','whereContribute'])): ?> active <?php endif; ?>">
                            <a class="page-scroll dropdown-toggle" id="navbarDropdown" data-bs-toggle="dropdown" aria-expanded="false"><?php echo app('translator')->get('website.Contribution'); ?></a>
                            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                                <li><a class="dropdown-item page-scroll" href="<?php echo e(route('howContribute')); ?>"><?php echo app('translator')->get('website.How to Contribute'); ?>?</a></li>
                                <li><a class="dropdown-item page-scroll" href="<?php echo e(route('whereContribute')); ?>"><?php echo app('translator')->get('website.Where to Contribute'); ?>?</a></li>
                            </ul>
                        </li>
                        <li class="dropdown <?php if(in_array(Route::currentRouteName(),['omniyaWatani1','omniyaWatani2','private','college','other'])): ?> active <?php endif; ?>">
                            <a class="page-scroll dropdown-toggle" id="navbarDropdown" data-bs-toggle="dropdown" aria-expanded="false"><?php echo app('translator')->get('website.Omniya & Education'); ?></a>
                            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                                <li class="dropdown-inner">
                                    <a class="dropdown-item"><?php echo app('translator')->get('website.Government'); ?></a>
                                    <ul class="dropdown-menu-inner">
                                        <li><a href="<?php echo e(route('omniyaWatani1')); ?>"><?php echo app('translator')->get('website.Omniya Watani 1'); ?></a></li>
                                        <li><a href="<?php echo e(route('omniyaWatani2')); ?>"><?php echo app('translator')->get('website.Omniya Watani 2'); ?></a></li>
                                    </ul>
                                </li>
                                <li class="<?php if(Route::currentRouteName() =='private'): ?> active <?php endif; ?>"><a class="dropdown-item page-scroll" href="<?php echo e(route('private')); ?>"><?php echo app('translator')->get('website.Private'); ?></a></li>
                                <li class="<?php if(Route::currentRouteName() =='college'): ?> active <?php endif; ?>"><a class="dropdown-item page-scroll" href="<?php echo e(route('college')); ?>"><?php echo app('translator')->get('website.College'); ?></a></li>
                                <li class="<?php if(Route::currentRouteName() =='other'): ?> active <?php endif; ?>"><a class="dropdown-item page-scroll" href="<?php echo e(route('other')); ?>"><?php echo app('translator')->get('website.Other'); ?></a></li>
                            </ul>
                        </li>
                        <li class="<?php if(Route::currentRouteName() =='blueBottle'): ?> active <?php endif; ?>"><a class="page-scroll" href="<?php echo e(route('blueBottle')); ?>"><?php echo app('translator')->get('website.Blue Bottle'); ?></a></li>
                        <li class="dropdown <?php if(in_array(Route::currentRouteName(),['ambassadors','becomeAmbassador'])): ?> active <?php endif; ?>">
                            <a class="page-scroll dropdown-toggle" id="navbarDropdown" data-bs-toggle="dropdown" aria-expanded="false"><?php echo app('translator')->get('website.Ambassadors'); ?></a>
                            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                                <li><a class="dropdown-item page-scroll" href="<?php echo e(route('ambassadors')); ?>"><?php echo app('translator')->get('website.Omniya Ambassador’s'); ?></a></li>
                                <li><a class="dropdown-item page-scroll" href="<?php echo e(route('becomeAmbassador')); ?>"><?php echo app('translator')->get('website.Become an Ambassador'); ?></a></li>
                            </ul>
                        </li>
                        <li class="<?php if(Route::currentRouteName() =='loyaltyProgram'): ?> active <?php endif; ?>"><a class="page-scroll" href="<?php echo e(route('loyaltyProgram')); ?>"><?php echo app('translator')->get('website.Loyalty Program'); ?></a></li>
                        <li class="<?php if(in_array(Route::currentRouteName(),['projects','projectDetails'])): ?> active <?php endif; ?>"><a class="page-scroll" href="<?php echo e(route('projects')); ?>"><?php echo app('translator')->get('website.Projects'); ?></a></li>
                        <li class="<?php if(in_array(Route::currentRouteName(),['news','newsDetails'])): ?> active <?php endif; ?>" ><a class="page-scroll" href="<?php echo e(route('news')); ?>"><?php echo app('translator')->get('website.News'); ?></a></li>
                        <li class="<?php if(in_array(Route::currentRouteName(),['gallery','galleryDetails'])): ?> active <?php endif; ?>"><a class="page-scroll" href="<?php echo e(route('gallery')); ?>"><?php echo app('translator')->get('website.Gallery'); ?></a></li>
                        <li class="lst-buy"><a class="page-scroll" href="<?php echo e(route('ShopHome')); ?>"><?php echo app('translator')->get('website.Buy Now'); ?></a></li>
                        <li class="lang-hd">
                            <?php if(app()->getLocale() == 'en'): ?>
                            <?php
                                $lang = LaravelLocalization::getSupportedLocales()['ar']
                            ?>
                            <a href="<?php echo e(LaravelLocalization::getLocalizedURL('ar', null, [], true)); ?>" class="btn-site">
                                <span><?php echo e($lang['native']); ?></span>
                            </a>
                        <?php else: ?>
                            <?php
                                $lang = LaravelLocalization::getSupportedLocales()['en']
                            ?>
                            <a href="<?php echo e(LaravelLocalization::getLocalizedURL('en', null, [], true)); ?>" class="btn-site">
                                <span><?php echo e($lang['native']); ?></span>
                            </a>
                        <?php endif; ?>
                           
                        </li>
                    </ul>
                </div>
                <button type="button" class="hamburger">
                    <span class="hamb-top"></span>
                    <span class="hamb-middle"></span>
                    <span class="hamb-bottom"></span>
                </button>
            </div>
        </header>
        <!--header-->

        <?php echo $__env->yieldContent('content'); ?>

        
        
        <footer id="footer">
            <div class="top-footer">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-3">
                            <div class="cont-ft wow fadeInUp">
                                <strong><?php echo app('translator')->get('website.A Kuwaiti project that loves to make Kuwait clean'); ?> !</strong>
                                <ul class="social-media wow fadeInUp">
                                    <li class="instagram"><a href="<?php echo e($setting->instagram); ?>"><i class="fa-brands fa-instagram"></i></a></li>
                                    <li class="facebook"><a href="<?php echo e($setting->facebook); ?>"><i class="fa-brands fa-facebook-f"></i></a></li>
                                    <li class="twitter"><a href="<?php echo e($setting->twitter); ?>"><i class="fa-brands fa-twitter"></i></a></li>
                                    <li class="youtube"><a href="<?php echo e($setting->youtube); ?>"><i class="fa-brands fa-youtube"></i></a></li>
                                    <li class="snapchat"><a href="<?php echo e($setting->snapchat); ?>"><i class="fa-brands fa-snapchat"></i></a></li>
                                    <li class="tiktok"><a href="<?php echo e($setting->tiktok); ?>"><i class="fa-brands fa-tiktok"></i></a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="col-lg-3">
                            <div class="menu-ft pl-100 wow fadeInUp">
                                <h5><?php echo app('translator')->get('website.About'); ?></h5>
                                <ul class="menu--ft">
                                    <li><a href="<?php echo e(route('projects')); ?>"><?php echo app('translator')->get('website.Projects'); ?></a></li>
                                    <li><a href="<?php echo e(route('news')); ?>"><?php echo app('translator')->get('website.News'); ?></a></li>
                                    <li><a href="<?php echo e(route('loyaltyProgram')); ?>"><?php echo app('translator')->get('website.Loyalty Program'); ?></a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="col-lg-3">
                            <div class="menu-ft wow fadeInUp">
                                <h5><?php echo app('translator')->get('website.Important Links'); ?></h5>
                                <ul class="menu--ft">
                                    <li><a href="<?php echo e(route('omniyaWatani1')); ?>"><?php echo app('translator')->get('website.Omniya & Education'); ?></a></li>
                                    <li><a href="<?php echo e(route('howContribute')); ?>"><?php echo app('translator')->get('website.Contribution'); ?></a></li>
                                    <li><a href="<?php echo e(route('blueBottle')); ?>"><?php echo app('translator')->get('website.Blue Bottle'); ?></a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="col-lg-3">
                            <div class="menu-ft wow fadeInUp">
                                <h5><?php echo app('translator')->get('website.Download Our App'); ?>!</h5>
                                <ul class="list-download">
                                    <li><a href="<?php echo e($setting->play_store_url); ?>"><img src="<?php echo e(url('infoWebsite/images/google-play.svg')); ?>" alt="Download Google Play" /></a></li>
                                    <li><a href="<?php echo e($setting->app_store_url); ?>"><img src="<?php echo e(url('infoWebsite/images/App_Store.svg')); ?>" alt="Download App Store" /></a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="bottom-ft">
                <div class="container">
                    <div class="cont-bt wow fadeInUp">
                        <p>Copyright © 2023. Omniya Collection System  All Rights Reserved | Powered By <a href="https://linekw.com/">Line</a></p>
                    </div>

                </div>
            </div>
        </footer>
        <!--footer-->


        
    </div>
    <!--main-wrapper-->
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
    <script src="<?php echo e(asset('infoWebsite/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('infoWebsite/js/all.min.js')); ?>"></script>
    <script src="<?php echo e(asset('infoWebsite/js/owl.carousel.min.js')); ?>"></script>
    <script src="<?php echo e(asset('infoWebsite/js/wow.js')); ?>"></script>
    <script src="<?php echo e(asset('infoWebsite/js/jquery.easing.min.js')); ?>"></script>
    <script src="https://cdn.jsdelivr.net/npm/@fancyapps/ui@4.0/dist/fancybox.umd.js"></script>
    <script src="<?php echo e(asset('infoWebsite/js/script.js')); ?>"></script>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <?php echo $__env->yieldContent('script'); ?>
    <?php echo $__env->yieldContent('js'); ?>
    
    <script>
        new WOW().init();

        $(document).on('click','input,select,textarea,.select2',function(){
                $(this).attr('style',"").next('span.errorSpan').remove();//
            });
            

        Fancybox.bind("[data-fancybox-plyr]", {
            on: {
                reveal: (fancybox, slide) => {
                    if (typeof Plyr === undefined) {
                        return;
                    }

                    let $el;

                    if (slide.type === "html5video") {
                        $el = slide.$content.querySelector("video");
                    } else if (slide.type === "video") {
                        $el = document.createElement("div");
                        $el.classList.add("plyr__video-embed");

                        $el.appendChild(slide.$iframe);

                        slide.$content.appendChild($el);
                    }

                    if ($el) {
                        slide.player = new Plyr($el);
                    }
                },
                "Carousel.unselectSlide": (fancybox, carousel, slide) => {
                    if (slide.player) {
                        slide.player.pause();
                    }
                },
                "Carousel.selectSlide": (fancybox, carousel, slide) => {
                    if (slide.player) {
                        slide.player.play();
                    }
                },
            },
        });
    </script>


</body>

</html><?php /**PATH C:\Users\ysef0\Desktop\ocs\resources\views/info_website/infoLayout.blade.php ENDPATH**/ ?>