
<!DOCTYPE html>
<html lang="<?php echo e(app()->getLocale()); ?>">
	<head>
		<meta charset="utf-8" />
	  <title>
        <?php echo $__env->yieldContent('title'); ?>
      </title>
		<meta name="description" content="Base form control examples" />
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
		<meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
		<!--begin::Fonts-->
		<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" />
		<!--end::Fonts-->
		<!--begin::Global Theme Styles(used by all pages)-->
		<link href="<?php echo e(asset('/admin_assets/plugins/custom/datatables/datatables.bundle.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('/admin_assets/plugins/global/plugins.bundle.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('/admin_assets/plugins/custom/uppy/uppy.bundle.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('/admin_assets/plugins/custom/prismjs/prismjs.bundle.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('/admin_assets/css/style.bundle.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="https://fonts.googleapis.com/css2?family=Tajawal:wght@400;500;700;800;900&display=swap" rel="stylesheet">

		<!--end::Global Theme Styles-->
		<!--begin::Layout Themes(used by all pages)-->
		<link href="<?php echo e(asset('/admin_assets/css/themes/layout/header/base/light.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('/admin_assets/css/themes/layout/header/menu/light.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('/admin_assets/css/themes/layout/brand/dark.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('/admin_assets/css/themes/layout/aside/dark.css')); ?>" rel="stylesheet" type="text/css" />
		<link href="<?php echo e(asset('/admin_assets/css/style.css')); ?>" rel="stylesheet" type="text/css" />
			<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/cropperjs/1.5.6/cropper.css"/> 
		 <?php echo $__env->yieldContent('css'); ?>
		<link rel="icon" href="<?php echo e(url('uploads/favicon.png')); ?>">
		 <style>
			.box-filter-collapse {
			 display: none;
		 }
		 
		 .select2-selection {
              height: auto !important;
            }
 
		 .form-control {
			 width: 100%;
			 height: 34px;
			 padding: 2px 12px;
		 }
		 .has-error .form-control {
               border-color: #e73d4a;
            }
		 .has-error .select2-selection {
               border-color: #e73d4a;
            }
		 /* .no-error .form-control {
    border-color: #3de762;
            } */
		 </style>

<style>
	div.dt-top-container {
	display: grid;
	grid-template-columns: auto auto auto;
  }
  
  div.dt-center-in-div {
	margin: 0 auto;
  }
  
  div.dt-filter-spacer {
	margin: 10px 0;
  }
  legend {
    display: block;
    width: 100%;
    margin-bottom: 20px;
    font-size: 21px;
    line-height: inherit;
    color: #34495e;
    border-bottom: 1px solid #e5e5e5;
}

 #searchmap{
            margin-top: 10px;
            border: 1px solid transparent;
            border-radius: 2px 0 0 2px;
            box-sizing: border-box;
            -moz-box-sizing: border-box;
            height: 32px;
            outline: none;
            box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
            position: absolute;
            left: 188px;
            top: 0px;
            z-index: 999;
        }

        #searchmap {
            background-color: #fff;
            font-family: Roboto;
            font-size: 15px;
            font-weight: 300;
            margin-left: 12px;
            padding: 0 11px 0 13px;
            text-overflow: ellipsis;
            width: 50%;
        }

        #searchmap:focus {
            border-color: #4d90fe;
        }


  </style>
  
  
		 <?php if(app()->getLocale() == 'ar'): ?>
		 <link href="<?php echo e(asset('/admin_assets/plugins/global/fonts/keenthemes-icons/ki.rtl.css')); ?>" rel="stylesheet" type="text/css" />
		 <link href="<?php echo e(asset('/admin_assets/css/rtl.css')); ?>" rel="stylesheet" type="text/css" />
		 <?php endif; ?>
		
	</head>
	<!--end::Head-->
	<!--begin::Body-->
	<body id="kt_body" class="header-fixed header-mobile-fixed subheader-enabled subheader-fixed aside-enabled aside-fixed aside-minimize-hoverable page-loading">
		<!--begin::Main-->
		<!--begin::Header Mobile-->
		<div id="kt_header_mobile" class="header-mobile align-items-center header-mobile-fixed">
			<!--begin::Logo-->
			<a href="<?php echo e(url(app()->getLocale().'/admin/home')); ?>">
				<img alt="Logo" src="<?php echo e($setting->white_logo); ?>" />
			</a>
			<!--end::Logo-->
			<!--begin::Toolbar-->
			<div class="d-flex align-items-center">
				<!--begin::Aside Mobile Toggle-->
				<button class="btn p-0 burger-icon burger-icon-left" id="kt_aside_mobile_toggle">
					<span></span>
				</button>
				<!--end::Aside Mobile Toggle-->
				<!--begin::Header Menu Mobile Toggle-->
				 
				<!--end::Header Menu Mobile Toggle-->
				<!--begin::Topbar Mobile Toggle-->
				<button class="btn btn-hover-text-primary p-0 ml-2" id="kt_header_mobile_topbar_toggle">
					<span class="svg-icon svg-icon-xl">
						<!--begin::Svg Icon | path:assets/media/svg/icons/General/User.svg-->
						<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
							<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
								<polygon points="0 0 24 0 24 24 0 24" />
								<path d="M12,11 C9.790861,11 8,9.209139 8,7 C8,4.790861 9.790861,3 12,3 C14.209139,3 16,4.790861 16,7 C16,9.209139 14.209139,11 12,11 Z" fill="#000000" fill-rule="nonzero" opacity="0.3" />
								<path d="M3.00065168,20.1992055 C3.38825852,15.4265159 7.26191235,13 11.9833413,13 C16.7712164,13 20.7048837,15.2931929 20.9979143,20.2 C21.0095879,20.3954741 20.9979143,21 20.2466999,21 C16.541124,21 11.0347247,21 3.72750223,21 C3.47671215,21 2.97953825,20.45918 3.00065168,20.1992055 Z" fill="#000000" fill-rule="nonzero" />
							</g>
						</svg>
						<!--end::Svg Icon-->
					</span>
				</button>
				<!--end::Topbar Mobile Toggle-->
			</div>
			<!--end::Toolbar-->
		</div>
		<!--end::Header Mobile-->
		
		
		
		<div class="d-flex flex-column flex-root">
			<!--begin::Page-->
			<div class="d-flex flex-row flex-column-fluid page">
				<!--begin::Aside-->
				<div class="aside aside-left aside-fixed d-flex flex-column flex-row-auto" id="kt_aside">
					<!--begin::Brand-->
					<div class="brand flex-column-auto" id="kt_brand">
						<!--begin::Logo-->
						<a href="<?php echo e(url(app()->getLocale().'/admin/home')); ?>"  >
							<img alt="Logo" src="<?php echo e($setting->white_logo); ?>" style="max-height: 55px;" />
						</a>
						<!--end::Logo-->
						<!--begin::Toggle-->
						<button class="brand-toggle btn btn-sm px-0" id="kt_aside_toggle">
							<span class="svg-icon svg-icon svg-icon-xl">
								<!--begin::Svg Icon | path:assets/media/svg/icons/Navigation/Angle-double-left.svg-->
								<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
									<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
										<polygon points="0 0 24 0 24 24 0 24" />
										<path d="M5.29288961,6.70710318 C4.90236532,6.31657888 4.90236532,5.68341391 5.29288961,5.29288961 C5.68341391,4.90236532 6.31657888,4.90236532 6.70710318,5.29288961 L12.7071032,11.2928896 C13.0856821,11.6714686 13.0989277,12.281055 12.7371505,12.675721 L7.23715054,18.675721 C6.86395813,19.08284 6.23139076,19.1103429 5.82427177,18.7371505 C5.41715278,18.3639581 5.38964985,17.7313908 5.76284226,17.3242718 L10.6158586,12.0300721 L5.29288961,6.70710318 Z" fill="#000000" fill-rule="nonzero" transform="translate(8.999997, 11.999999) scale(-1, 1) translate(-8.999997, -11.999999)" />
										<path d="M10.7071009,15.7071068 C10.3165766,16.0976311 9.68341162,16.0976311 9.29288733,15.7071068 C8.90236304,15.3165825 8.90236304,14.6834175 9.29288733,14.2928932 L15.2928873,8.29289322 C15.6714663,7.91431428 16.2810527,7.90106866 16.6757187,8.26284586 L22.6757187,13.7628459 C23.0828377,14.1360383 23.1103407,14.7686056 22.7371482,15.1757246 C22.3639558,15.5828436 21.7313885,15.6103465 21.3242695,15.2371541 L16.0300699,10.3841378 L10.7071009,15.7071068 Z" fill="#000000" fill-rule="nonzero" opacity="0.3" transform="translate(15.999997, 11.999999) scale(-1, 1) rotate(-270.000000) translate(-15.999997, -11.999999)" />
									</g>
								</svg>
								<!--end::Svg Icon-->
							</span>
						</button>
						<!--end::Toolbar-->
					</div>
					<!--end::Brand-->
					<!--begin::Aside Menu-->
					<div class="aside-menu-wrapper flex-column-fluid" id="kt_aside_menu_wrapper">
						<!--begin::Menu Container-->
						<div id="kt_aside_menu" class="aside-menu my-4" data-menu-vertical="1" data-menu-scroll="1" data-menu-dropdown-timeout="500">
							<!--begin::Menu Nav-->
							<ul class="menu-nav">

                                
                                    <li class="menu-item <?php echo e((explode("/", request()->url())[5] == "home") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
                                        <a href="<?php echo e(url(getLocal().'/admin/home')); ?>" class="menu-link">
                                            <span class="svg-icon menu-icon">
                                                <!--begin::Svg Icon | path:assets/media/svg/icons/Design/Layers.svg-->
                                                <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                                    <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                                        <polygon points="0 0 24 0 24 24 0 24" />
                                                        <path d="M12.9336061,16.072447 L19.36,10.9564761 L19.5181585,10.8312381 C20.1676248,10.3169571 20.2772143,9.3735535 19.7629333,8.72408713 C19.6917232,8.63415859 19.6104327,8.55269514 19.5206557,8.48129411 L12.9336854,3.24257445 C12.3871201,2.80788259 11.6128799,2.80788259 11.0663146,3.24257445 L4.47482784,8.48488609 C3.82645598,9.00054628 3.71887192,9.94418071 4.23453211,10.5925526 C4.30500305,10.6811601 4.38527899,10.7615046 4.47382636,10.8320511 L4.63,10.9564761 L11.0659024,16.0730648 C11.6126744,16.5077525 12.3871218,16.5074963 12.9336061,16.072447 Z" fill="#000000" fill-rule="nonzero" />
                                                        <path d="M11.0563554,18.6706981 L5.33593024,14.122919 C4.94553994,13.8125559 4.37746707,13.8774308 4.06710397,14.2678211 C4.06471678,14.2708238 4.06234874,14.2738418 4.06,14.2768747 L4.06,14.2768747 C3.75257288,14.6738539 3.82516916,15.244888 4.22214834,15.5523151 C4.22358765,15.5534297 4.2250303,15.55454 4.22647627,15.555646 L11.0872776,20.8031356 C11.6250734,21.2144692 12.371757,21.2145375 12.909628,20.8033023 L19.7677785,15.559828 C20.1693192,15.2528257 20.2459576,14.6784381 19.9389553,14.2768974 C19.9376429,14.2751809 19.9363245,14.2734691 19.935,14.2717619 L19.935,14.2717619 C19.6266937,13.8743807 19.0546209,13.8021712 18.6572397,14.1104775 C18.654352,14.112718 18.6514778,14.1149757 18.6486172,14.1172508 L12.9235044,18.6705218 C12.377022,19.1051477 11.6029199,19.1052208 11.0563554,18.6706981 Z" fill="#000000" opacity="0.3" />
                                                    </g>
                                                </svg>
                                                <!--end::Svg Icon-->
                                            </span>
                                            <span class="menu-text"><?php echo e(__('cp.home')); ?></span>
                                        </a>
                                    </li>


									<?php if(can(['users-show' , 'users-create' , 'users-edit' , 'users-delete'])): ?>
                                        <li class="menu-item <?php echo e((explode("/", request()->url())[5] == "users") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
                                            <a href="<?php echo e(url(getLocal().'/admin/users')); ?>" class="menu-link">
                                               <span class="svg-icon menu-icon">
    											<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                                        <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                                            <polygon points="0 0 24 0 24 24 0 24"/>
                                                            <path d="M12,11 C9.790861,11 8,9.209139 8,7 C8,4.790861 9.790861,3 12,3 C14.209139,3 16,4.790861 16,7 C16,9.209139 14.209139,11 12,11 Z" fill="#000000" fill-rule="nonzero" opacity="0.3"/>
                                                            <path d="M3.00065168,20.1992055 C3.38825852,15.4265159 7.26191235,13 11.9833413,13 C16.7712164,13 20.7048837,15.2931929 20.9979143,20.2 C21.0095879,20.3954741 20.9979143,21 20.2466999,21 C16.541124,21 11.0347247,21 3.72750223,21 C3.47671215,21 2.97953825,20.45918 3.00065168,20.1992055 Z" fill="#000000" fill-rule="nonzero"/>
                                                        </g>
                                                    </svg>
                                                </span>
                                                <span class="menu-text"><?php echo e(__('cp.users')); ?></span>
                                            </a>
                                         </li>
                                     <?php endif; ?>
								 
                               
  
									 <?php if(can(['products-show' , 'products-create' , 'products-edit' , 'products-delete'])): ?>
										<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "products") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
											<a href="<?php echo e(url(getLocal().'/admin/products')); ?>" class="menu-link">
												<span class="svg-icon menu-icon">
													<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
														<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
															<rect x="0" y="0" width="24" height="24"/>
															<path d="M10.5,5 L19.5,5 C20.3284271,5 21,5.67157288 21,6.5 C21,7.32842712 20.3284271,8 19.5,8 L10.5,8 C9.67157288,8 9,7.32842712 9,6.5 C9,5.67157288 9.67157288,5 10.5,5 Z M10.5,10 L19.5,10 C20.3284271,10 21,10.6715729 21,11.5 C21,12.3284271 20.3284271,13 19.5,13 L10.5,13 C9.67157288,13 9,12.3284271 9,11.5 C9,10.6715729 9.67157288,10 10.5,10 Z M10.5,15 L19.5,15 C20.3284271,15 21,15.6715729 21,16.5 C21,17.3284271 20.3284271,18 19.5,18 L10.5,18 C9.67157288,18 9,17.3284271 9,16.5 C9,15.6715729 9.67157288,15 10.5,15 Z" fill="#000000"/>
															<path d="M5.5,8 C4.67157288,8 4,7.32842712 4,6.5 C4,5.67157288 4.67157288,5 5.5,5 C6.32842712,5 7,5.67157288 7,6.5 C7,7.32842712 6.32842712,8 5.5,8 Z M5.5,13 C4.67157288,13 4,12.3284271 4,11.5 C4,10.6715729 4.67157288,10 5.5,10 C6.32842712,10 7,10.6715729 7,11.5 C7,12.3284271 6.32842712,13 5.5,13 Z M5.5,18 C4.67157288,18 4,17.3284271 4,16.5 C4,15.6715729 4.67157288,15 5.5,15 C6.32842712,15 7,15.6715729 7,16.5 C7,17.3284271 6.32842712,18 5.5,18 Z" fill="#000000" opacity="0.3"/>
														</g>
													</svg>
												</span>
												<span class="menu-text"><?php echo e(__('cp.products')); ?></span>
											</a>
										</li>
									<?php endif; ?>


									<?php if(can(['orders'])): ?>         
									<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "orders") ? "menu-item-here" : ''); ?>"  aria-haspopup="true">
										<a href="<?php echo e(url(getLocal().'/admin/orders')); ?>" class="menu-link">
											<span class="svg-icon menu-icon">
												<svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 122.43 122.88" style="enable-background:new 0 0 122.43 122.88" xml:space="preserve">
												   <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
													   <path class="st0" d="M22.63,12.6h93.3c6.1,0,5.77,2.47,5.24,8.77l-3.47,44.23c-0.59,7.05-0.09,5.34-7.56,6.41l-68.62,8.73 l3.63,10.53c29.77,0,44.16,0,73.91,0c1,3.74,2.36,9.83,3.36,14h-12.28l-1.18-4.26c-24.8,0-34.25,0-59.06,0 c-13.55-0.23-12.19,3.44-15.44-8.27L11.18,8.11H0V0h19.61C20.52,3.41,21.78,9.15,22.63,12.6L22.63,12.6z M53.69,103.92 c5.23,0,9.48,4.25,9.48,9.48c0,5.24-4.24,9.48-9.48,9.48c-5.24,0-9.48-4.24-9.48-9.48C44.21,108.17,48.45,103.92,53.69,103.92 L53.69,103.92z M92.79,103.92c5.23,0,9.48,4.25,9.48,9.48c0,5.24-4.25,9.48-9.48,9.48c-5.24,0-9.48-4.24-9.48-9.48 C83.31,108.17,87.55,103.92,92.79,103.92L92.79,103.92z M30.8,43.07H45.9l-5.48-22.91c-5.4,0-10.72-0.01-15.93-0.01l1.84,6.86 L26.39,27L30.8,43.07L30.8,43.07L30.8,43.07z M48.31,20.17l5.48,22.9h14.54l-5.5-22.88L48.31,20.17L48.31,20.17L48.31,20.17z M70.74,20.2l5.5,22.87h13.91l-5.48-22.85L70.74,20.2L70.74,20.2L70.74,20.2z M92.58,20.23l5.48,22.85l13.92,0l1.54-18.36 c0.43-5.12,1.33-4.47-3.63-4.47C104.23,20.24,98.44,20.23,92.58,20.23L92.58,20.23L92.58,20.23z M111.49,48.89H99.45l3.97,16.56 l0.98-0.13c6.07-0.87,5.67,0.52,6.15-5.21L111.49,48.89L111.49,48.89z M95.77,66.5l-4.22-17.61h-13.9l4.67,19.44L95.77,66.5 L95.77,66.5L95.77,66.5z M74.66,69.37l-4.93-20.49l-14.55,0l5.37,22.41L74.66,69.37L74.66,69.37L74.66,69.37z M52.9,72.34 l-5.61-23.45H32.4l6.96,25.3L52.9,72.34L52.9,72.34z" fill="#000000"/>
												   </g>
											   </svg>
											</span>
											<span class="menu-text"><?php echo e(__('cp.orders')); ?></span>
											
											 <?php
											   $storeReques_count=App\Models\Order::query()->where('payment_status',1)->where('status',1)->count();
											 ?>
											 <?php if($storeReques_count>0): ?>
											   <span class="label label-rounded label-danger"><?php echo e($storeReques_count); ?></span>
											 <?php endif; ?>
						 
						 
										</a>
									</li>
								<?php endif; ?>


								<li class="menu-item menu-item-submenu <?php echo e((in_array(explode("/", request()->url())[5] ,["categories","mainCategories"])) ? "menu-item-open" : ''); ?>" aria-haspopup="true" data-menu-toggle="hover">
									<a href="javascript:;" class="menu-link menu-toggle">
										<span class="svg-icon menu-icon">
											<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
											<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
												<rect x="0" y="0" width="24" height="24"/>
												<path d="M10.5,5 L19.5,5 C20.3284271,5 21,5.67157288 21,6.5 C21,7.32842712 20.3284271,8 19.5,8 L10.5,8 C9.67157288,8 9,7.32842712 9,6.5 C9,5.67157288 9.67157288,5 10.5,5 Z M10.5,10 L19.5,10 C20.3284271,10 21,10.6715729 21,11.5 C21,12.3284271 20.3284271,13 19.5,13 L10.5,13 C9.67157288,13 9,12.3284271 9,11.5 C9,10.6715729 9.67157288,10 10.5,10 Z M10.5,15 L19.5,15 C20.3284271,15 21,15.6715729 21,16.5 C21,17.3284271 20.3284271,18 19.5,18 L10.5,18 C9.67157288,18 9,17.3284271 9,16.5 C9,15.6715729 9.67157288,15 10.5,15 Z" fill="#000000"/>
												<path d="M5.5,8 C4.67157288,8 4,7.32842712 4,6.5 C4,5.67157288 4.67157288,5 5.5,5 C6.32842712,5 7,5.67157288 7,6.5 C7,7.32842712 6.32842712,8 5.5,8 Z M5.5,13 C4.67157288,13 4,12.3284271 4,11.5 C4,10.6715729 4.67157288,10 5.5,10 C6.32842712,10 7,10.6715729 7,11.5 C7,12.3284271 6.32842712,13 5.5,13 Z M5.5,18 C4.67157288,18 4,17.3284271 4,16.5 C4,15.6715729 4.67157288,15 5.5,15 C6.32842712,15 7,15.6715729 7,16.5 C7,17.3284271 6.32842712,18 5.5,18 Z" fill="#000000" opacity="0.3"/>
											</g>
											</svg>
										</span>
										<span class="menu-text"><?php echo e(__('cp.categories')); ?></span>
										<i class="menu-arrow"></i>
									</a>
									<div class="menu-submenu">
										<ul class="menu-subnav">
											<?php if(can(['categories-show' , 'categories-create' , 'categories-edit' , 'categories-delete'])): ?>
												<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "mainCategories") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
													<a href="<?php echo e(url(getLocal().'/admin/mainCategories')); ?>" class="menu-link">
														<i class="menu-bullet menu-bullet-dot"><span></span></i>
														<span class="menu-text"><?php echo e(__('cp.mainCategories')); ?></span>
													</a>
												</li>

												<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "categories") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
													<a href="<?php echo e(url(getLocal().'/admin/categories')); ?>" class="menu-link">
														<i class="menu-bullet menu-bullet-dot"><span></span></i>
														<span class="menu-text"><?php echo e(__('cp.categories')); ?></span>
													</a>
												</li>											 
												
											   <?php endif; ?>
										</ul>
									</div>
								</li>
								
								<?php if(can(['colors-show' , 'colors-create' , 'colors-edit' , 'colors-delete'])): ?>
								<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "colors") ? "menu-item-here" : ''); ?>"                                     aria-haspopup="true">
									<a href="<?php echo e(url(getLocal().'/admin/colors')); ?>" class="menu-link">
										<span class="svg-icon menu-icon">
											<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
												<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
													<rect x="0" y="0" width="24" height="24"/>
													<path d="M12,10.9996338 C12.8356605,10.3719448 13.8743941,10 15,10 C17.7614237,10 20,12.2385763 20,15 C20,17.7614237 17.7614237,20 15,20 C13.8743941,20 12.8356605,19.6280552 12,19.0003662 C11.1643395,19.6280552 10.1256059,20 9,20 C6.23857625,20 4,17.7614237 4,15 C4,12.2385763 6.23857625,10 9,10 C10.1256059,10 11.1643395,10.3719448 12,10.9996338 Z M13.3336047,12.504354 C13.757474,13.2388026 14,14.0910788 14,15 C14,15.9088933 13.7574889,16.761145 13.3336438,17.4955783 C13.8188886,17.8206693 14.3938466,18 15,18 C16.6568542,18 18,16.6568542 18,15 C18,13.3431458 16.6568542,12 15,12 C14.3930587,12 13.8175971,12.18044 13.3336047,12.504354 Z" fill="#000000" fill-rule="nonzero" opacity="0.3"/>
													<circle fill="#000000" cx="12" cy="9" r="5"/>
												</g>
											</svg>
										</span>
										<span class="menu-text"><?php echo e(__('cp.colors')); ?></span>
									</a>
								</li>
							<?php endif; ?>

							<?php if(can(['sizes-show' , 'sizes-create' , 'sizes-edit' , 'sizes-delete'])): ?>
							<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "sizes") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
							   <a href="<?php echo e(url(getLocal().'/admin/sizes')); ?>" class="menu-link">
									<span class="svg-icon menu-icon">
										<svg width="20px" height="20px" xmlns="http://www.w3.org/2000/svg" shape-rendering="geometricPrecision" text-rendering="geometricPrecision" image-rendering="optimizeQuality" fill-rule="evenodd" clip-rule="evenodd" viewBox="0 0 512 301.57">
											<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
												<path fill-rule="nonzero" d="M65.11 107.53 253.54 1.15a8.968 8.968 0 0 1 8.82.02l188.27 107.31c4.31 2.45 5.83 7.94 3.38 12.25a8.987 8.987 0 0 1-3.13 3.23L264.6 237.36c-2.99 1.83-6.64 1.69-9.44-.05L64.4 123.34c-4.25-2.55-5.64-8.07-3.09-12.32a8.912 8.912 0 0 1 3.8-3.49zm253.74 176.35c4.79 1.26 7.66 6.19 6.4 10.99-1.26 4.79-6.19 7.66-10.98 6.4l-30.27-8c-4.8-1.26-7.67-6.19-6.4-10.99l8.15-30.84c1.26-4.8 6.18-7.66 10.98-6.4 4.8 1.26 7.67 6.18 6.41 10.98l-2.81 10.61 179.38-103.48-9.85-2.64c-4.8-1.28-7.65-6.22-6.37-11.01 1.28-4.8 6.22-7.66 11.02-6.38l30.81 8.26c4.8 1.28 7.65 6.22 6.37 11.02l-8.1 30.24c-1.28 4.8-6.22 7.65-11.02 6.37-4.8-1.28-7.65-6.22-6.37-11.02l2.49-9.3-178.42 102.92 8.58 2.27zm-115.09 17.38c-4.96.41-9.32-3.28-9.72-8.23-.4-4.96 3.28-9.32 8.24-9.72l9.07-.77-187.91-112.3 2.36 8.82c1.28 4.79-1.57 9.73-6.37 11.01-4.8 1.29-9.74-1.57-11.02-6.37l-8.1-30.23c-1.28-4.8 1.57-9.74 6.37-11.02l30.81-8.26c4.8-1.28 9.74 1.57 11.02 6.37 1.28 4.8-1.57 9.73-6.37 11.02l-10.28 2.75 191.55 114.49-.87-10.23c-.4-4.95 3.28-9.31 8.24-9.71 4.95-.41 9.31 3.28 9.71 8.23l2.7 31.79c.41 4.95-3.28 9.31-8.23 9.72l-31.2 2.64zM257.9 19.29 86.88 115.84l173 103.36L428.5 116.54 257.9 19.29z" fill="#000000"/>
											</g>
										</svg>
									</span>
								   <span class="menu-text"><?php echo e(__('cp.sizes')); ?></span>
							   </a>
						   </li>
							 <?php endif; ?>


									<li class="menu-item menu-item-submenu <?php echo e((in_array(explode("/", request()->url())[5] ,["topBins","topGovernorates","kuwaitRanks","OCSBINsRanks","governorateRanks","collectionHistories" ,"serviceOrders","websiteOrders","bestSellingPackages"])) ? "menu-item-open" : ''); ?>" aria-haspopup="true" data-menu-toggle="hover">
										<a href="javascript:;" class="menu-link menu-toggle">
											<span class="svg-icon menu-icon">
												<!--begin::Svg Icon | path:/var/www/preview.keenthemes.com/metronic/releases/2021-05-14-112058/theme/html/demo1/dist/../src/media/svg/icons/Media/Equalizer.svg--><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                                    <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                                        <rect x="0" y="0" width="24" height="24"/>
                                                        <rect fill="#000000" opacity="0.3" x="13" y="4" width="3" height="16" rx="1.5"/>
                                                        <rect fill="#000000" x="8" y="9" width="3" height="11" rx="1.5"/>
                                                        <rect fill="#000000" x="18" y="11" width="3" height="9" rx="1.5"/>
                                                        <rect fill="#000000" x="3" y="13" width="3" height="7" rx="1.5"/>
                                                    </g>
                                                </svg><!--end::Svg Icon-->
													
												</span>
											<span class="menu-text"><?php echo e(__('cp.reports')); ?></span>
											<i class="menu-arrow"></i>
										</a>
										
										<div class="menu-submenu">
											<ul class="menu-subnav">
												    <?php if(can(['reports'])): ?>
														<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "topBins") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
															<a href="<?php echo e(url(getLocal().'/admin/topBins')); ?>" class="menu-link">
																<i class="menu-bullet menu-bullet-dot"><span></span></i>
																<span class="menu-text"><?php echo e(__('cp.Top OCS BIN')); ?></span>
															</a>
														</li>
													 <?php endif; ?>
												    <?php if(can(['reports'])): ?>
														<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "topGovernorates") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
															<a href="<?php echo e(url(getLocal().'/admin/topGovernorates')); ?>" class="menu-link">
																<i class="menu-bullet menu-bullet-dot"><span></span></i>
																<span class="menu-text"><?php echo e(__('cp.Top Governorates')); ?></span>
															</a>
														</li>
													 <?php endif; ?>
												   <?php if(can(['reports'])): ?>
													 <li class="menu-item <?php echo e((explode("/", request()->url())[5] == "kuwaitRanks") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
														<a href="<?php echo e(url(getLocal().'/admin/kuwaitRanks')); ?>" class="menu-link">
															<i class="menu-bullet menu-bullet-dot"><span></span></i>
															<span class="menu-text"><?php echo e(__('cp.kuwaitRanks')); ?></span>
														</a>
													</li>
													 <?php endif; ?>
													 <?php if(can(['reports'])): ?>
														<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "governorateRanks") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
															<a href="<?php echo e(url(getLocal().'/admin/governorateRanks?governorate_id=1')); ?>" class="menu-link">
																<i class="menu-bullet menu-bullet-dot"><span></span></i>
																<span class="menu-text"><?php echo e(__('cp.governorateRanks')); ?></span>
															</a>
														</li>
													 <?php endif; ?>
													  
													 
													 <?php if(can(['reports'])): ?>
														<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "collectionHistories") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
															<a href="<?php echo e(url(getLocal().'/admin/collectionHistories')); ?>" class="menu-link">
																<i class="menu-bullet menu-bullet-dot"><span></span></i>
																<span class="menu-text"><?php echo e(__('cp.collectionHistories')); ?></span>
															</a>
														</li>
													 <?php endif; ?>
													 
													 <?php if(can(['reports'])): ?>
														<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "serviceOrders") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
															<a href="<?php echo e(url(getLocal().'/admin/serviceOrders')); ?>" class="menu-link">
																<i class="menu-bullet menu-bullet-dot"><span></span></i>
																<span class="menu-text"><?php echo e(__('cp.Service Orders')); ?></span>
															</a>
														</li>
													 <?php endif; ?>
													 <?php if(can(['reports'])): ?>
														<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "websiteOrders") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
															<a href="<?php echo e(url(getLocal().'/admin/websiteOrders')); ?>" class="menu-link">
																<i class="menu-bullet menu-bullet-dot"><span></span></i>
																<span class="menu-text"><?php echo e(__('cp.websiteOrders')); ?></span>
															</a>
														</li>
													 <?php endif; ?>
													 <?php if(can(['bestSellingPackages'])): ?>
														<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "bestSellingPackages") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
															<a href="<?php echo e(url(getLocal().'/admin/bestSellingPackages')); ?>" class="menu-link">
																<i class="menu-bullet menu-bullet-dot"><span></span></i>
																<span class="menu-text"><?php echo e(__('cp.bestSellingPackages')); ?></span>
															</a>
														</li>
													 <?php endif; ?>
													 <?php if(can(['bestSellingProducts'])): ?>
														<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "bestSellingProducts") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
															<a href="<?php echo e(url(getLocal().'/admin/bestSellingProducts')); ?>" class="menu-link">
																<i class="menu-bullet menu-bullet-dot"><span></span></i>
																<span class="menu-text"><?php echo e(__('cp.Top 50 best-selling products')); ?></span>
															</a>
														</li>
													 <?php endif; ?>
		 
											</ul>
										</div>
									</li>

								  

									<?php if(can(['promotions-show' , 'promotions-create' , 'promotions-edit' , 'promotions-delete'])): ?>
									<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "promotions") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
										<a href="<?php echo e(url(getLocal().'/admin/promotions')); ?>" class="menu-link">
											<span class="svg-icon menu-icon">
												<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
													<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
														<rect x="0" y="0" width="24" height="24"></rect>
														<path d="M4,6 L20,6 C20.5522847,6 21,6.44771525 21,7 L21,8 C21,8.55228475 20.5522847,9 20,9 L4,9 C3.44771525,9 3,8.55228475 3,8 L3,7 C3,6.44771525 3.44771525,6 4,6 Z M5,11 L10,11 C10.5522847,11 11,11.4477153 11,12 L11,19 C11,19.5522847 10.5522847,20 10,20 L5,20 C4.44771525,20 4,19.5522847 4,19 L4,12 C4,11.4477153 4.44771525,11 5,11 Z M14,11 L19,11 C19.5522847,11 20,11.4477153 20,12 L20,19 C20,19.5522847 19.5522847,20 19,20 L14,20 C13.4477153,20 13,19.5522847 13,19 L13,12 C13,11.4477153 13.4477153,11 14,11 Z" fill="#000000"></path>
														<path d="M14.4452998,2.16794971 C14.9048285,1.86159725 15.5256978,1.98577112 15.8320503,2.4452998 C16.1384028,2.90482849 16.0142289,3.52569784 15.5547002,3.83205029 L12,6.20185043 L8.4452998,3.83205029 C7.98577112,3.52569784 7.86159725,2.90482849 8.16794971,2.4452998 C8.47430216,1.98577112 9.09517151,1.86159725 9.5547002,2.16794971 L12,3.79814957 L14.4452998,2.16794971 Z" fill="#000000" fill-rule="nonzero" opacity="0.3"></path>
													</g>
												</svg>
											</span>
											<span class="menu-text"><?php echo e(__('cp.promotions')); ?></span>
										</a>
									</li>
								<?php endif; ?>
								    
						     	 
 
						     		

									<?php if(can(['banners-show' , 'banners-create' , 'banners-edit' , 'banners-delete'])): ?>
										<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "banners") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
											<a href="<?php echo e(url(getLocal().'/admin/banners')); ?>" class="menu-link">
													<span class="svg-icon menu-icon">
														<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px"
																height="24px" viewBox="0 0 24 24" version="1.1">
															<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
																<rect x="0" y="0" width="24" height="24"/>
																<path d="M11,20 L11,17 C11,16.4477153 11.4477153,16 12,16 C12.5522847,16 13,16.4477153 13,17 L13,20 L15.5,20 C15.7761424,20 16,20.2238576 16,20.5 C16,20.7761424 15.7761424,21 15.5,21 L8.5,21 C8.22385763,21 8,20.7761424 8,20.5 C8,20.2238576 8.22385763,20 8.5,20 L11,20 Z" fill="#000000" opacity="0.3"/>
																<path d="M3,5 L21,5 C21.5522847,5 22,5.44771525 22,6 L22,16 C22,16.5522847 21.5522847,17 21,17 L3,17 C2.44771525,17 2,16.5522847 2,16 L2,6 C2,5.44771525 2.44771525,5 3,5 Z M4.5,8 C4.22385763,8 4,8.22385763 4,8.5 C4,8.77614237 4.22385763,9 4.5,9 L13.5,9 C13.7761424,9 14,8.77614237 14,8.5 C14,8.22385763 13.7761424,8 13.5,8 L4.5,8 Z M4.5,10 C4.22385763,10 4,10.2238576 4,10.5 C4,10.7761424 4.22385763,11 4.5,11 L7.5,11 C7.77614237,11 8,10.7761424 8,10.5 C8,10.2238576 7.77614237,10 7.5,10 L4.5,10 Z" fill="#000000"/>
															</g>
														</svg>
													</span>
												<span class="menu-text"><?php echo e(__('cp.banners')); ?></span>
											</a>
										</li>
									<?php endif; ?>
 

									<?php if(can(['governorates-show' , 'governorates-create' , 'governorates-edit' , 'governorates-delete'])): ?>
										<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "governorates") ? "menu-item-here" : ''); ?>"                                     aria-haspopup="true">
											<a href="<?php echo e(url(getLocal().'/admin/governorates')); ?>" class="menu-link">
												<span class="svg-icon menu-icon">
													<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
														<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
															 <rect x="0" y="0" width="24" height="24"/>
															 <path d="M5,10.5 C5,6 8,3 12.5,3 C17,3 20,6.75 20,10.5 C20,12.8325623 17.8236613,16.03566 13.470984,20.1092932 C12.9154018,20.6292577 12.0585054,20.6508331 11.4774555,20.1594925 C7.15915182,16.5078313 5,13.2880005 5,10.5 Z M12.5,12 C13.8807119,12 15,10.8807119 15,9.5 C15,8.11928813 13.8807119,7 12.5,7 C11.1192881,7 10,8.11928813 10,9.5 C10,10.8807119 11.1192881,12 12.5,12 Z" fill="#000000" fill-rule="nonzero"/>
														 </g>
													 </svg>
												</span>
												<span class="menu-text"><?php echo e(__('cp.governorates')); ?></span>
											</a>
										</li>
									<?php endif; ?>

									 <?php if(can(['areas-show' , 'areas-create' , 'areas-edit' , 'areas-delete'])): ?> 
                                         <li class="menu-item <?php echo e((explode("/", request()->url())[5] == "areas") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
                                            <a href="<?php echo e(url(getLocal().'/admin/areas')); ?>" class="menu-link">
                                                <span class="svg-icon menu-icon">
                                                    <!--begin::Svg Icon | path:/var/www/preview.keenthemes.com/metronic/releases/2021-05-14-112058/theme/html/demo1/dist/../src/media/svg/icons/Map/Direction2.svg--><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                                    <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                                        <rect x="0" y="0" width="24" height="24"/>
                                                        <path d="M14,13.381038 L14,3.47213595 L7.99460483,15.4829263 L14,13.381038 Z M4.88230018,17.2353996 L13.2844582,0.431083506 C13.4820496,0.0359007077 13.9625881,-0.12427877 14.3577709,0.0733126292 C14.5125928,0.15072359 14.6381308,0.276261584 14.7155418,0.431083506 L23.1176998,17.2353996 C23.3152912,17.6305824 23.1551117,18.1111209 22.7599289,18.3087123 C22.5664522,18.4054506 22.3420471,18.4197165 22.1378777,18.3482572 L14,15.5 L5.86212227,18.3482572 C5.44509941,18.4942152 4.98871325,18.2744737 4.84275525,17.8574509 C4.77129597,17.6532815 4.78556182,17.4288764 4.88230018,17.2353996 Z" fill="#000000" fill-rule="nonzero" transform="translate(14.000087, 9.191034) rotate(-315.000000) translate(-14.000087, -9.191034) "/>
                                                    </g>
                                                </svg><!--end::Svg Icon-->
                                                </span>
                                                <span class="menu-text"><?php echo e(__('cp.areas')); ?></span>
                                            </a>
                                         </li>
                                     <?php endif; ?>
 
 
							
	  
							 
            	             	<?php if(can('notifications')): ?>
                                         <li class="menu-item <?php echo e((explode("/", request()->url())[5] == "notifications") ? "menu-item-here" : ''); ?>"
                                            aria-haspopup="true">
                                            <a href="<?php echo e(url(getLocal().'/admin/notifications')); ?>" class="menu-link">
                                               <span class="svg-icon menu-icon">
                                           		    <svg
            											xmlns="http://www.w3.org/2000/svg"
            											xmlns:xlink="http://www.w3.org/1999/xlink" width="24px"
            											height="24px" viewBox="0 0 24 24" version="1.1">
            											<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
            												<path
            													d="M17,12 L18.5,12 C19.3284271,12 20,12.6715729 20,13.5 C20,14.3284271 19.3284271,15 18.5,15 L5.5,15 C4.67157288,15 4,14.3284271 4,13.5 C4,12.6715729 4.67157288,12 5.5,12 L7,12 L7.5582739,6.97553494 C7.80974924,4.71225688 9.72279394,3 12,3 C14.2772061,3 16.1902508,4.71225688 16.4417261,6.97553494 L17,12 Z"
            													fill="#000000"/>
            												<rect fill="#000000" opacity="0.3" x="10" y="16" width="4" height="4" rx="2"/>
            											</g>
            										</svg>
            								    </span>
            									<span class="menu-text"><?php echo e(__('cp.notifications')); ?></span>
                                            </a>
                                        </li>
                                    <?php endif; ?>
									 
									 <?php if(can(['roles-show' , 'roles-create' , 'roles-edit' , 'roles-delete'])): ?>  
                             
									 <li class="menu-item <?php echo e((explode("/", request()->url())[5] == "roles") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
												<a href="<?php echo e(url(getLocal().'/admin/roles')); ?>" class="menu-link">
													<span class="svg-icon menu-icon">
														<svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 122.88 98.75" style="enable-background:new 0 0 122.88 98.75" xml:space="preserve">
															<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
																<path class="st0" d="M76.71,23.6l15.76,15.97v7.51l-7.46,0v-5.65h-6.18v-6.18h-5.91l-1.71-5.57c-2.72,1.82-6.03,2.88-9.58,2.88 c-9.32,0-16.88-7.29-16.88-16.28C44.75,7.29,52.31,0,61.63,0c9.32,0,16.88,7.29,16.88,16.28C78.51,18.91,77.86,21.4,76.71,23.6 L76.71,23.6L76.71,23.6z M0,45.47h24.83v44.18H0V45.47L0,45.47z M29.83,85.94V49.02h16.61c7.04,1.26,14.08,5.08,21.12,9.51h12.9 c5.84,0.35,8.9,6.27,3.22,10.16c-4.53,3.32-10.49,3.13-16.61,2.58c-4.22-0.21-4.4,5.46,0,5.48c1.53,0.12,3.19-0.24,4.64-0.24 c7.63-0.01,13.92-1.47,17.77-7.5l1.93-4.51l19.19-9.51c9.6-3.16,16.42,6.88,9.35,13.87C106.06,78.96,91.81,87.28,77.23,94 c-10.59,6.44-21.18,6.22-31.76,0L29.83,85.94L29.83,85.94z M59.2,11.07c1.66,0,3.01,1.35,3.01,3.01c0,1.66-1.35,3.01-3.01,3.01 c-1.67,0-3.01-1.35-3.01-3.01C56.19,12.41,57.54,11.07,59.2,11.07L59.2,11.07z" fill="#000000" fill-rule="nonzero"/>
															</g>
														</svg>
													</span>
													<span class="menu-text"><?php echo e(__('cp.roles')); ?></span>
												</a>
											</li>
									 <?php endif; ?>


                            <?php if(can(['admins-show' , 'admins-create' , 'admins-edit' , 'admins-delete'])): ?>
								<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "admins") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
									<a href="<?php echo e(url(getLocal().'/admin/admins')); ?>" class="menu-link">
										<span class="svg-icon menu-icon">
											<!--begin::Svg Icon | path:/var/www/preview.keenthemes.com/metronic/releases/2021-05-14-112058/theme/html/demo1/dist/../src/media/svg/icons/Communication/Group.svg--><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                                                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                                    <polygon points="0 0 24 0 24 24 0 24"/>
                                                    <path d="M18,14 C16.3431458,14 15,12.6568542 15,11 C15,9.34314575 16.3431458,8 18,8 C19.6568542,8 21,9.34314575 21,11 C21,12.6568542 19.6568542,14 18,14 Z M9,11 C6.790861,11 5,9.209139 5,7 C5,4.790861 6.790861,3 9,3 C11.209139,3 13,4.790861 13,7 C13,9.209139 11.209139,11 9,11 Z" fill="#000000" fill-rule="nonzero" opacity="0.3"/>
                                                    <path d="M17.6011961,15.0006174 C21.0077043,15.0378534 23.7891749,16.7601418 23.9984937,20.4 C24.0069246,20.5466056 23.9984937,21 23.4559499,21 L19.6,21 C19.6,18.7490654 18.8562935,16.6718327 17.6011961,15.0006174 Z M0.00065168429,20.1992055 C0.388258525,15.4265159 4.26191235,13 8.98334134,13 C13.7712164,13 17.7048837,15.2931929 17.9979143,20.2 C18.0095879,20.3954741 17.9979143,21 17.2466999,21 C13.541124,21 8.03472472,21 0.727502227,21 C0.476712155,21 -0.0204617505,20.45918 0.00065168429,20.1992055 Z" fill="#000000" fill-rule="nonzero"/>
                                                </g>
                                            </svg>
                                            <!--end::Svg Icon-->
										</span>
										<span class="menu-text"><?php echo e(__('cp.admins')); ?></span>
									</a>
								</li>
							<?php endif; ?>
                         
							
							<?php if(can(['pages-show' , 'pages-create' , 'pages-edit' , 'pages-delete'])): ?>
							<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "pages") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
								<a href="<?php echo e(url(getLocal().'/admin/pages')); ?>" class="menu-link">
								<span class="svg-icon menu-icon">
									<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
										<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
											<polygon points="0 0 24 0 24 24 0 24"/>
											<path d="M5.85714286,2 L13.7364114,2 C14.0910962,2 14.4343066,2.12568431 14.7051108,2.35473959 L19.4686994,6.3839416 C19.8056532,6.66894833 20,7.08787823 20,7.52920201 L20,20.0833333 C20,21.8738751 19.9795521,22 18.1428571,22 L5.85714286,22 C4.02044787,22 4,21.8738751 4,20.0833333 L4,3.91666667 C4,2.12612489 4.02044787,2 5.85714286,2 Z" fill="#000000" fill-rule="nonzero" opacity="0.3"/>
											<rect fill="#000000" x="6" y="11" width="9" height="2" rx="1"/>
											<rect fill="#000000" x="6" y="15" width="5" height="2" rx="1"/>
										</g>
									</svg>
									</span>
									<span class="menu-text"><?php echo e(__('cp.pages')); ?></span>
								</a>
							</li>
							<?php endif; ?>
									

							<li class="menu-item menu-item-submenu <?php echo e((in_array(explode("/", request()->url())[5] ,["contact","driverContact","feedbackAndSuggestions"])) ? "menu-item-open" : ''); ?>" aria-haspopup="true" data-menu-toggle="hover">
								<a href="javascript:;" class="menu-link menu-toggle">
									<span class="svg-icon menu-icon">
										<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
											<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
												<rect x="0" y="0" width="24" height="24"/>
												<path d="M21.9999843,15.009808 L22.0249378,15 L22.0249378,19.5857864 C22.0249378,20.1380712 21.5772226,20.5857864 21.0249378,20.5857864 C20.7597213,20.5857864 20.5053674,20.4804296 20.317831,20.2928932 L18.0249378,18 L5,18 C3.34314575,18 2,16.6568542 2,15 L2,6 C2,4.34314575 3.34314575,3 5,3 L19,3 C20.6568542,3 22,4.34314575 22,6 L22,15 C22,15.0032706 21.9999948,15.0065399 21.9999843,15.009808 Z M6.16794971,10.5547002 C7.67758127,12.8191475 9.64566871,14 12,14 C14.3543313,14 16.3224187,12.8191475 17.8320503,10.5547002 C18.1384028,10.0951715 18.0142289,9.47430216 17.5547002,9.16794971 C17.0951715,8.86159725 16.4743022,8.98577112 16.1679497,9.4452998 C15.0109146,11.1808525 13.6456687,12 12,12 C10.3543313,12 8.9890854,11.1808525 7.83205029,9.4452998 C7.52569784,8.98577112 6.90482849,8.86159725 6.4452998,9.16794971 C5.98577112,9.47430216 5.86159725,10.0951715 6.16794971,10.5547002 Z" fill="#000000"/>
											</g>
										</svg>
											
										</span>
									<span class="menu-text"><?php echo e(__('cp.contact')); ?></span>
									<i class="menu-arrow"></i>
								</a>
								
								<div class="menu-submenu">
									<ul class="menu-subnav">
										 
										<?php if(can(['contact'])): ?>   
											<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "contact") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
												<a href="<?php echo e(url(getLocal().'/admin/contact')); ?>" class="menu-link">
													<i class="menu-bullet menu-bullet-dot"><span></span></i>
													<span class="menu-text"><?php echo e(__('cp.Users contact')); ?></span>
													<?php
														 $contact_count=App\Models\Contact::query()->where('read',0)->count();
													?>
													<?php if($contact_count>0): ?>
														<span class="menu-label">
															<span class="label label-rounded label-danger"><?php echo e($contact_count); ?></span>
														</span>
													<?php endif; ?>
												</a>
											</li>
										<?php endif; ?>
										<?php if(can(['contact'])): ?>   
											<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "driverContact") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
												<a href="<?php echo e(url(getLocal().'/admin/driverContact')); ?>" class="menu-link">
													<i class="menu-bullet menu-bullet-dot"><span></span></i>
													<span class="menu-text"><?php echo e(__('cp.Driver contact')); ?></span>
													<?php
														 $contact_count=App\Models\Contact::query()->where('read',0)->count();
													?>
													<?php if($contact_count>0): ?>
														<span class="menu-label">
															<span class="label label-rounded label-danger"><?php echo e($contact_count); ?></span>
														</span>
													<?php endif; ?>
												</a>
											</li>
										<?php endif; ?>
										<?php if(can(['feedbackAndSuggestions'])): ?>   
											<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "feedbackAndSuggestions") ? "menu-item-here" : ''); ?>" aria-haspopup="true">
												<a href="<?php echo e(url(getLocal().'/admin/feedbackAndSuggestions')); ?>" class="menu-link">
													<i class="menu-bullet menu-bullet-dot"><span></span></i>
													<span class="menu-text"><?php echo e(__('cp.Feedback & Suggestions')); ?></span>
													<?php
														$contact_count=App\Models\Contact::query()->where('read',0)->count();
													?>
													<?php if($contact_count>0): ?>
														<span class="menu-label">
															<span class="label label-rounded label-danger"><?php echo e($contact_count); ?></span>
														</span>
													<?php endif; ?>
												</a>
											</li>
										<?php endif; ?>

									</ul>
								</div>
							</li>



					 	   
                        	
                        	

                                     
									  
								 
									  
									  <?php if(can(['settings-show' , 'settings-create' , 'settings-edit' , 'settings-delete'])): ?>
											<li class="menu-item <?php echo e((explode("/", request()->url())[5] == "settings") ? "menu-item-here" : ''); ?>"
											aria-haspopup="true">
											<a href="<?php echo e(url(getLocal().'/admin/settings')); ?>" class="menu-link">
												<span class="svg-icon menu-icon">
																<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px"
																			height="24px" viewBox="0 0 24 24" version="1.1">
																<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
																	<rect x="0" y="0" width="24" height="24"/>
																	<path
																		d="M5,8.6862915 L5,5 L8.6862915,5 L11.5857864,2.10050506 L14.4852814,5 L19,5 L19,9.51471863 L21.4852814,12 L19,14.4852814 L19,19 L14.4852814,19 L11.5857864,21.8994949 L8.6862915,19 L5,19 L5,15.3137085 L1.6862915,12 L5,8.6862915 Z M12,15 C13.6568542,15 15,13.6568542 15,12 C15,10.3431458 13.6568542,9 12,9 C10.3431458,9 9,10.3431458 9,12 C9,13.6568542 10.3431458,15 12,15 Z"
																		fill="#000000"/>
																</g>
															</svg>
												</span>
												<span class="menu-text"><?php echo e(__('cp.settings')); ?></span>
											</a>
								            </li>
									  <?php endif; ?>

 									
 							</ul>
							<!--end::Menu Nav-->
						</div>
						<!--end::Menu Container-->
					</div>
					<!--end::Aside Menu-->
				</div>
				<!--end::Aside-->
				<!--begin::Wrapper-->
				
				
			 
				<div class="d-flex flex-column flex-row-fluid wrapper" id="kt_wrapper">
					<!--begin::Header-->
					<div id="kt_header" class="header header-fixed">
						<!--begin::Container-->
						<div class="container-fluid d-flex align-items-stretch justify-content-between">
							<!--begin::Header Menu Wrapper-->
							<div class="header-menu-wrapper header-menu-wrapper-left" id="kt_header_menu_wrapper">
								<!--begin::Header Menu-->
								<div id="kt_header_menu" class="header-menu header-menu-mobile header-menu-layout-default">
									<!--begin::Header Nav-->
									<ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2 font-size-sm">
                                        <li class="breadcrumb-item">
                                        <a href="<?php echo e(url(app()->getLocale().'/admin/home')); ?>" class="text-dark font-weight-bold"><?php echo e(__('cp.home')); ?></a>
                                        </li>
                                        <li class="breadcrumb-item">
                                            <a href="" class="text-muted"><?php echo $__env->yieldContent('title'); ?></a>
                                        </li>
                                    </ul>




                                
									<!--end::Header Nav-->
								</div>
								<!--end::Header Menu-->
							</div>
							<!--end::Header Menu Wrapper-->
							<!--begin::Topbar-->
							<div class="topbar">
	
								<div class="dropdown">
									<!--begin::Toggle-->
									<div class="topbar-item" data-toggle="dropdown" data-offset="10px,0px">
										<div class="btn btn-icon btn-clean btn-dropdown btn-lg mr-1">
                                       <?php if(app()->getLocale() == 'en'): ?>
                                           <?php
                                            $lang = LaravelLocalization::getSupportedLocales()['en']
                                            ?>
                                            <img class="h-20px w-20px rounded-sm" src="<?php echo e(url('admin_assets/media/svg/flags/012-uk.svg')); ?>" alt="">
                                        <?php else: ?>
                                           <?php
                                            $lang = LaravelLocalization::getSupportedLocales()['ar']
                                            ?>
                                            <img class="h-20px w-20px rounded-sm" src="<?php echo e(url('admin_assets/media/svg/flags/107-kwait.svg')); ?>" alt="">
                                            
                                          
                                        <?php endif; ?>
										</div>
									</div>
									<!--end::Toggle-->
									<!--begin::Dropdown-->
									<div class="dropdown-menu p-0 m-0 dropdown-menu-anim-up dropdown-menu-sm dropdown-menu-right">
										<!--begin::Nav-->
										<ul class="navi navi-hover py-4">
											<!--begin::Item-->
											<li class="navi-item active">
                                                <?php
                                                $lang = LaravelLocalization::getSupportedLocales()['en']
                                                ?>
                                                <a href="<?php echo e(LaravelLocalization::getLocalizedURL('en', null, [], true)); ?>" class="navi-link">
                                                    <span class="symbol symbol-20 mr-3"><img src="<?php echo e(url('admin_assets/media/svg/flags/012-uk.svg')); ?>" alt=""></span>
                                                    <span class="navi-text"><?php echo e($lang['native']); ?></span>
                                                </a>
                                               

											</li>
											<!--end::Item-->
											<!--begin::Item-->
											<li class="navi-item">
                                                <?php
                                                $lang = LaravelLocalization::getSupportedLocales()['ar']
                                                ?>
                                                <a href="<?php echo e(LaravelLocalization::getLocalizedURL('ar', null, [], true)); ?>" class="navi-link">
                                                    <span class="symbol symbol-20 mr-3"><img src="<?php echo e(url('admin_assets/media/svg/flags/107-kwait.svg')); ?>" alt=""></span>
                                                    <span class="navi-text"><?php echo e($lang['native']); ?></span>
                                                </a>
											</li>
											<!--end::Item-->
                                            <!--begin::Item-->
                                            
										
                                            
											<!--end::Item-->
										</ul>
										<!--end::Nav-->
									</div>
									<!--end::Dropdown-->
								</div>
								<!--end::Languages-->
								<!--begin::User-->
								<div class="topbar-item">
									<div class="btn btn-icon w-auto btn-clean d-flex align-items-center btn-lg px-2" id="kt_quick_user_toggle">
										
										<span class="text-dark-50 font-weight-bolder font-size-base d-none d-md-inline mr-3"><?php echo e(auth()->guard('admin')->user()->name); ?></span>
										<span class="symbol symbol-35 symbol-light-success">
											<span class="symbol-label font-size-h5 font-weight-bold"><?php echo e(mb_substr(auth()->guard('admin')->user()->name,0,1,'utf-8')); ?></span>
										</span>
									</div>
								</div>
								<!--end::User-->
							</div>
							<!--end::Topbar-->
						</div>
						<!--end::Container-->
					</div>
                    <!--end::Header-->
					<?php if(count($errors) > 0): ?>
					<div class="container pt30">
						<div class="alert alert-custom alert-white alert-shadow gutter-b" role="alert">
							<div class="alert-icon">
								<span class="svg-icon svg-icon-primary svg-icon-xl">
									<!--begin::Svg Icon | path:assets/media/svg/icons/Tools/Compass.svg-->
									<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
										 width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
										<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
											<rect x="0" y="0" width="24" height="24"></rect>
											<path
												d="M7.07744993,12.3040451 C7.72444571,13.0716094 8.54044565,13.6920474 9.46808594,14.1079953 L5,23 L4.5,18 L7.07744993,12.3040451 Z M14.5865511,14.2597864 C15.5319561,13.9019016 16.375416,13.3366121 17.0614026,12.6194459 L19.5,18 L19,23 L14.5865511,14.2597864 Z M12,3.55271368e-14 C12.8284271,3.53749572e-14 13.5,0.671572875 13.5,1.5 L13.5,4 L10.5,4 L10.5,1.5 C10.5,0.671572875 11.1715729,3.56793164e-14 12,3.55271368e-14 Z"
												fill="#000000" opacity="0.3"></path>
											<path
												d="M12,10 C13.1045695,10 14,9.1045695 14,8 C14,6.8954305 13.1045695,6 12,6 C10.8954305,6 10,6.8954305 10,8 C10,9.1045695 10.8954305,10 12,10 Z M12,13 C9.23857625,13 7,10.7614237 7,8 C7,5.23857625 9.23857625,3 12,3 C14.7614237,3 17,5.23857625 17,8 C17,10.7614237 14.7614237,13 12,13 Z"
												fill="#000000" fill-rule="nonzero"></path>
										</g>
									</svg>
									<!--end::Svg Icon-->
								</span>
							</div>
	
	
							<div class="alert-text" style="color:red">
								<?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
									<p><?php echo e($error); ?> </p>
								<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
							</div>
	
						</div>
					</div>
				<?php endif; ?>
	
			<!--    <?php if(session('status')): ?>-->
			<!--        <ul style="border: 1px solid #01b070; background-color: white">-->
			<!--            <li style="color: #01b070; margin: 15px"><?php echo e(session('status')); ?></li>-->
			<!--        </ul>-->
			<!--<?php endif; ?>-->
			
					  <?php if(session('status')): ?>
					<div class="container pt30">
						<div class="alert alert-custom alert-white alert-shadow gutter-b" style="border-color:green" role="alert">
							<div class="alert-icon">
								<span class="svg-icon svg-icon-primary svg-icon-xl">
									<!--begin::Svg Icon | path:assets/media/svg/icons/Tools/Compass.svg-->
									<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
										 width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
										<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
											<rect x="0" y="0" width="24" height="24"></rect>
											<path
												d="M7.07744993,12.3040451 C7.72444571,13.0716094 8.54044565,13.6920474 9.46808594,14.1079953 L5,23 L4.5,18 L7.07744993,12.3040451 Z M14.5865511,14.2597864 C15.5319561,13.9019016 16.375416,13.3366121 17.0614026,12.6194459 L19.5,18 L19,23 L14.5865511,14.2597864 Z M12,3.55271368e-14 C12.8284271,3.53749572e-14 13.5,0.671572875 13.5,1.5 L13.5,4 L10.5,4 L10.5,1.5 C10.5,0.671572875 11.1715729,3.56793164e-14 12,3.55271368e-14 Z"
												fill="#000000" opacity="0.3"></path>
											<path
												d="M12,10 C13.1045695,10 14,9.1045695 14,8 C14,6.8954305 13.1045695,6 12,6 C10.8954305,6 10,6.8954305 10,8 C10,9.1045695 10.8954305,10 12,10 Z M12,13 C9.23857625,13 7,10.7614237 7,8 C7,5.23857625 9.23857625,3 12,3 C14.7614237,3 17,5.23857625 17,8 C17,10.7614237 14.7614237,13 12,13 Z"
												fill="#000000" fill-rule="nonzero"></path>
										</g>
									</svg>
									<!--end::Svg Icon-->
								</span>
							</div>
	
	
							<div class="alert-text" style="color:green">
							 
									<p><?php echo e(session('status')); ?> </p>
						   
							</div>
	
						</div>
					</div>
				<?php endif; ?>
						<?php echo $__env->yieldContent('content'); ?>
					<!--end::Content-->
					<div class="footer bg-white py-4 d-flex flex-lg-column" id="kt_footer">
						<div class="container-fluid d-flex flex-column flex-md-row align-items-center justify-content-between">
							<div class="text-dark order-2 order-md-1">
								<span class="text-muted font-weight-bold mr-2"><?php echo e(date("Y")); ?>'&copy; Powered By</span>
								<a href="https://linekw.com/" target="_blank" class="text-dark-75 text-hover-primary"><?php echo e('Line'); ?></a>
							</div>
						</div>
					</div>
					<!--end::Footer-->
				</div>
				
				
				
				
				<!--end::Wrapper-->
			</div>
			<!--end::Page-->
		</div>
		<!--end::Main-->
		
       
		<div id="kt_quick_user" class="offcanvas offcanvas-right p-10">
			<!--begin::Header-->
			<div class="offcanvas-header d-flex align-items-center justify-content-between pb-5">
				<!--<h3 class="font-weight-bold m-0">User Profile-->
				<!--<small class="text-muted font-size-sm ml-2">12 messages</small></h3>-->
				<a href="#" class="btn btn-xs btn-icon btn-light btn-hover-primary" id="kt_quick_user_close">
					<i class="ki ki-close icon-xs text-muted"></i>
				</a>
			</div>
			<!--end::Header-->
			<!--begin::Content-->
			<div class="offcanvas-content pr-5 mr-n5">
				<!--begin::Header-->
				<div class="d-flex align-items-center mt-5">
					<div class="symbol symbol-100 mr-5">
						<div class="symbol-label" style="background-image:url('<?php echo e(auth()->guard('admin')->user()->image); ?>')"></div>
						<i class="symbol-badge bg-success"></i>
					</div>
					<div class="d-flex flex-column">
						<a href="#" class="font-weight-bold font-size-h5 text-dark-75 text-hover-primary"><?php echo e(auth()->guard('admin')->user()->name); ?></a>
						<!--<div class="text-muted mt-1">Admin</div>-->
						<div class="navi mt-2">
							<a href="#" class="navi-item">
								<span class="navi-link p-0 pb-2">
									<span class="navi-icon mr-1">
										<span class="svg-icon svg-icon-lg svg-icon-primary">
											<!--begin::Svg Icon | path:assets/media/svg/icons/Communication/Mail-notification.svg-->
											<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
												<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
													<rect x="0" y="0" width="24" height="24" />
													<path d="M21,12.0829584 C20.6747915,12.0283988 20.3407122,12 20,12 C16.6862915,12 14,14.6862915 14,18 C14,18.3407122 14.0283988,18.6747915 14.0829584,19 L5,19 C3.8954305,19 3,18.1045695 3,17 L3,8 C3,6.8954305 3.8954305,6 5,6 L19,6 C20.1045695,6 21,6.8954305 21,8 L21,12.0829584 Z M18.1444251,7.83964668 L12,11.1481833 L5.85557487,7.83964668 C5.4908718,7.6432681 5.03602525,7.77972206 4.83964668,8.14442513 C4.6432681,8.5091282 4.77972206,8.96397475 5.14442513,9.16035332 L11.6444251,12.6603533 C11.8664074,12.7798822 12.1335926,12.7798822 12.3555749,12.6603533 L18.8555749,9.16035332 C19.2202779,8.96397475 19.3567319,8.5091282 19.1603533,8.14442513 C18.9639747,7.77972206 18.5091282,7.6432681 18.1444251,7.83964668 Z" fill="#000000" />
													<circle fill="#000000" opacity="0.3" cx="19.5" cy="17.5" r="2.5" />
												</g>
											</svg>
											<!--end::Svg Icon-->
										</span>
									</span>
									<span class="navi-text text-muted text-hover-primary"><?php echo e(auth()->guard('admin')->user()->email); ?></span>
								</span>
							</a>
							<a href="<?php echo e(url(getLocal().'/admin/logout')); ?>" class="btn btn-sm btn-light-primary font-weight-bolder py-2 px-5"><?php echo e(__('cp.logout')); ?></a>
						 
						</div>
					</div>
				</div>
				<!--end::Header-->
				<!--begin::Separator-->
				<div class="separator separator-dashed mt-8 mb-5"></div>
				<!--end::Separator-->
				<!--begin::Nav-->
				<div class="navi navi-spacer-x-0 p-0">
					<!--begin::Item-->
					<a href="<?php echo e(url(getLocal().'/admin/editMyProfile')); ?>" class="navi-item">
						<div class="navi-link">
							<div class="symbol symbol-40 bg-light mr-3">
								<div class="symbol-label">
									<span class="svg-icon svg-icon-md svg-icon-success">
										<!--begin::Svg Icon | path:assets/media/svg/icons/General/Notification2.svg-->
										<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
											<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
												<rect x="0" y="0" width="24" height="24" />
												<path d="M13.2070325,4 C13.0721672,4.47683179 13,4.97998812 13,5.5 C13,8.53756612 15.4624339,11 18.5,11 C19.0200119,11 19.5231682,10.9278328 20,10.7929675 L20,17 C20,18.6568542 18.6568542,20 17,20 L7,20 C5.34314575,20 4,18.6568542 4,17 L4,7 C4,5.34314575 5.34314575,4 7,4 L13.2070325,4 Z" fill="#000000" />
												<circle fill="#000000" opacity="0.3" cx="18.5" cy="5.5" r="2.5" />
											</g>
										</svg>
										<!--end::Svg Icon-->
									</span>
								</div>
							</div>
							<div class="navi-text">
								<div class="font-weight-bold"><?php echo e(__('cp.edit_my_profile')); ?></div>
								<!--<div class="text-muted">Account settings and more-->
								<!--<span class="label label-light-danger label-inline font-weight-bold">update</span></div>-->
							</div>
						</div>
					 
					</a>
					<!--end:Item-->
					<!--begin::Item-->
					<a href="<?php echo e(url(getLocal().'/admin/changeMyPassword')); ?>" class="navi-item">
						<div class="navi-link">
							<div class="symbol symbol-40 bg-light mr-3">
								<div class="symbol-label">
									<i class="la la-key"></i>
									
								</div>
							</div>
							<div class="navi-text">
								<div class="font-weight-bold"><?php echo e(__('cp.Change_Password')); ?></div>
								<!--<div class="text-muted">Inbox and tasks</div>-->
							</div>
						</div>
					</a>
					
					
					<!--end:Item-->
					<!--begin::Item-->
					<!--<a href="custom/apps/user/profile-2.html" class="navi-item">-->
					<!--	<div class="navi-link">-->
					<!--		<div class="symbol symbol-40 bg-light mr-3">-->
					<!--			<div class="symbol-label">-->
					<!--				<span class="svg-icon svg-icon-md svg-icon-danger">-->
										<!--begin::Svg Icon | path:assets/media/svg/icons/Files/Selected-file.svg-->
					<!--					<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">-->
					<!--						<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">-->
					<!--							<polygon points="0 0 24 0 24 24 0 24" />-->
					<!--							<path d="M4.85714286,1 L11.7364114,1 C12.0910962,1 12.4343066,1.12568431 12.7051108,1.35473959 L17.4686994,5.3839416 C17.8056532,5.66894833 18,6.08787823 18,6.52920201 L18,19.0833333 C18,20.8738751 17.9795521,21 16.1428571,21 L4.85714286,21 C3.02044787,21 3,20.8738751 3,19.0833333 L3,2.91666667 C3,1.12612489 3.02044787,1 4.85714286,1 Z M8,12 C7.44771525,12 7,12.4477153 7,13 C7,13.5522847 7.44771525,14 8,14 L15,14 C15.5522847,14 16,13.5522847 16,13 C16,12.4477153 15.5522847,12 15,12 L8,12 Z M8,16 C7.44771525,16 7,16.4477153 7,17 C7,17.5522847 7.44771525,18 8,18 L11,18 C11.5522847,18 12,17.5522847 12,17 C12,16.4477153 11.5522847,16 11,16 L8,16 Z" fill="#000000" fill-rule="nonzero" opacity="0.3" />-->
					<!--							<path d="M6.85714286,3 L14.7364114,3 C15.0910962,3 15.4343066,3.12568431 15.7051108,3.35473959 L20.4686994,7.3839416 C20.8056532,7.66894833 21,8.08787823 21,8.52920201 L21,21.0833333 C21,22.8738751 20.9795521,23 19.1428571,23 L6.85714286,23 C5.02044787,23 5,22.8738751 5,21.0833333 L5,4.91666667 C5,3.12612489 5.02044787,3 6.85714286,3 Z M8,12 C7.44771525,12 7,12.4477153 7,13 C7,13.5522847 7.44771525,14 8,14 L15,14 C15.5522847,14 16,13.5522847 16,13 C16,12.4477153 15.5522847,12 15,12 L8,12 Z M8,16 C7.44771525,16 7,16.4477153 7,17 C7,17.5522847 7.44771525,18 8,18 L11,18 C11.5522847,18 12,17.5522847 12,17 C12,16.4477153 11.5522847,16 11,16 L8,16 Z" fill="#000000" fill-rule="nonzero" />-->
					<!--						</g>-->
					<!--					</svg>-->
										<!--end::Svg Icon-->
					<!--				</span>-->
					<!--			</div>-->
					<!--		</div>-->
					<!--		<div class="navi-text">-->
					<!--			<div class="font-weight-bold">My Activities</div>-->
					<!--			<div class="text-muted">Logs and notifications</div>-->
					<!--		</div>-->
					<!--	</div>-->
					<!--</a>-->
					<!--end:Item-->
					<!--begin::Item-->
					<!--<a href="custom/apps/userprofile-1/overview.html" class="navi-item">-->
					<!--	<div class="navi-link">-->
					<!--		<div class="symbol symbol-40 bg-light mr-3">-->
					<!--			<div class="symbol-label">-->
					<!--				<span class="svg-icon svg-icon-md svg-icon-primary">-->
										<!--begin::Svg Icon | path:assets/media/svg/icons/Communication/Mail-opened.svg-->
					<!--					<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">-->
					<!--						<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">-->
					<!--							<rect x="0" y="0" width="24" height="24" />-->
					<!--							<path d="M6,2 L18,2 C18.5522847,2 19,2.44771525 19,3 L19,12 C19,12.5522847 18.5522847,13 18,13 L6,13 C5.44771525,13 5,12.5522847 5,12 L5,3 C5,2.44771525 5.44771525,2 6,2 Z M7.5,5 C7.22385763,5 7,5.22385763 7,5.5 C7,5.77614237 7.22385763,6 7.5,6 L13.5,6 C13.7761424,6 14,5.77614237 14,5.5 C14,5.22385763 13.7761424,5 13.5,5 L7.5,5 Z M7.5,7 C7.22385763,7 7,7.22385763 7,7.5 C7,7.77614237 7.22385763,8 7.5,8 L10.5,8 C10.7761424,8 11,7.77614237 11,7.5 C11,7.22385763 10.7761424,7 10.5,7 L7.5,7 Z" fill="#000000" opacity="0.3" />-->
					<!--							<path d="M3.79274528,6.57253826 L12,12.5 L20.2072547,6.57253826 C20.4311176,6.4108595 20.7436609,6.46126971 20.9053396,6.68513259 C20.9668779,6.77033951 21,6.87277228 21,6.97787787 L21,17 C21,18.1045695 20.1045695,19 19,19 L5,19 C3.8954305,19 3,18.1045695 3,17 L3,6.97787787 C3,6.70173549 3.22385763,6.47787787 3.5,6.47787787 C3.60510559,6.47787787 3.70753836,6.51099993 3.79274528,6.57253826 Z" fill="#000000" />-->
					<!--						</g>-->
					<!--					</svg>-->
										<!--end::Svg Icon-->
					<!--				</span>-->
					<!--			</div>-->
					<!--		</div>-->
					<!--		<div class="navi-text">-->
					<!--			<div class="font-weight-bold">My Tasks</div>-->
					<!--			<div class="text-muted">latest tasks and projects</div>-->
					<!--		</div>-->
					<!--	</div>-->
					<!--</a>-->
					<!--end:Item-->
				</div>
				<!--end::Nav-->

			</div>
			<!--end::Content-->
		</div>
       
        <div class="modal modal-sticky modal-sticky-bottom-right" id="kt_chat_modal" role="dialog" data-backdrop="false">
			<div class="modal-dialog" role="document">
				<div class="modal-content">
					<!--begin::Card-->
					<div class="card card-custom">
						<!--begin::Header-->
						<div class="card-header align-items-center px-4 py-3">
							<div class="text-left flex-grow-1">
								<!--begin::Dropdown Menu-->
								<div class="dropdown dropdown-inline">
									<button type="button" class="btn btn-clean btn-sm btn-icon btn-icon-md" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
										<span class="svg-icon svg-icon-lg">
											<!--begin::Svg Icon | path:assets/media/svg/icons/Communication/Add-user.svg-->
											<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
												<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
													<polygon points="0 0 24 0 24 24 0 24" />
													<path d="M18,8 L16,8 C15.4477153,8 15,7.55228475 15,7 C15,6.44771525 15.4477153,6 16,6 L18,6 L18,4 C18,3.44771525 18.4477153,3 19,3 C19.5522847,3 20,3.44771525 20,4 L20,6 L22,6 C22.5522847,6 23,6.44771525 23,7 C23,7.55228475 22.5522847,8 22,8 L20,8 L20,10 C20,10.5522847 19.5522847,11 19,11 C18.4477153,11 18,10.5522847 18,10 L18,8 Z M9,11 C6.790861,11 5,9.209139 5,7 C5,4.790861 6.790861,3 9,3 C11.209139,3 13,4.790861 13,7 C13,9.209139 11.209139,11 9,11 Z" fill="#000000" fill-rule="nonzero" opacity="0.3" />
													<path d="M0.00065168429,20.1992055 C0.388258525,15.4265159 4.26191235,13 8.98334134,13 C13.7712164,13 17.7048837,15.2931929 17.9979143,20.2 C18.0095879,20.3954741 17.9979143,21 17.2466999,21 C13.541124,21 8.03472472,21 0.727502227,21 C0.476712155,21 -0.0204617505,20.45918 0.00065168429,20.1992055 Z" fill="#000000" fill-rule="nonzero" />
												</g>
											</svg>
											<!--end::Svg Icon-->
										</span>
									</button>
									<div class="dropdown-menu p-0 m-0 dropdown-menu-right dropdown-menu-md">
										<!--begin::Navigation-->
										<ul class="navi navi-hover py-5">
											<li class="navi-item">
												<a href="#" class="navi-link">
													<span class="navi-icon">
														<i class="flaticon2-drop"></i>
													</span>
													<span class="navi-text">New Group</span>
												</a>
											</li>
											<li class="navi-item">
												<a href="#" class="navi-link">
													<span class="navi-icon">
														<i class="flaticon2-list-3"></i>
													</span>
													<span class="navi-text">Contacts</span>
												</a>
											</li>
											<li class="navi-item">
												<a href="#" class="navi-link">
													<span class="navi-icon">
														<i class="flaticon2-rocket-1"></i>
													</span>
													<span class="navi-text">Groups</span>
													<span class="navi-link-badge">
														<span class="label label-light-primary label-inline font-weight-bold">new</span>
													</span>
												</a>
											</li>
											<li class="navi-item">
												<a href="#" class="navi-link">
													<span class="navi-icon">
														<i class="flaticon2-bell-2"></i>
													</span>
													<span class="navi-text">Calls</span>
												</a>
											</li>
											<li class="navi-item">
												<a href="#" class="navi-link">
													<span class="navi-icon">
														<i class="flaticon2-gear"></i>
													</span>
													<span class="navi-text">Settings</span>
												</a>
											</li>
											<li class="navi-separator my-3"></li>
											<li class="navi-item">
												<a href="#" class="navi-link">
													<span class="navi-icon">
														<i class="flaticon2-magnifier-tool"></i>
													</span>
													<span class="navi-text">Help</span>
												</a>
											</li>
											<li class="navi-item">
												<a href="#" class="navi-link">
													<span class="navi-icon">
														<i class="flaticon2-bell-2"></i>
													</span>
													<span class="navi-text">Privacy</span>
													<span class="navi-link-badge">
														<span class="label label-light-danger label-rounded font-weight-bold">5</span>
													</span>
												</a>
											</li>
										</ul>
										<!--end::Navigation-->
									</div>
								</div>
								<!--end::Dropdown Menu-->
							</div>
							<div class="text-center flex-grow-1">
								<div class="text-dark-75 font-weight-bold font-size-h5">Matt Pears</div>
								<div>
									<span class="label label-dot label-success"></span>
									<span class="font-weight-bold text-muted font-size-sm">Active</span>
								</div>
							</div>
							<div class="text-right flex-grow-1">
								<button type="button" class="btn btn-clean btn-sm btn-icon btn-icon-md" data-dismiss="modal">
									<i class="ki ki-close icon-1x"></i>
								</button>
							</div>
						</div>
						<!--end::Header-->
						<!--begin::Body-->
						<div class="card-body">
							<!--begin::Scroll-->
							<div class="scroll scroll-pull" data-height="400" data-mobile-height="350">
								<!--begin::Messages-->
								<div class="messages">
									<!--begin::Message In-->
									<div class="d-flex flex-column mb-5 align-items-start">
										<div class="d-flex align-items-center">
											<div class="symbol symbol-circle symbol-40 mr-3">
												<img alt="Pic" src="<?php echo e(url('/admin_assets/media/users/300_12.jpg')); ?>" />
											</div>
											<div>
												<a href="#" class="text-dark-75 text-hover-primary font-weight-bold font-size-h6">Matt Pears</a>
												<span class="text-muted font-size-sm">2 Hours</span>
											</div>
										</div>
										<div class="mt-2 rounded p-5 bg-light-success text-dark-50 font-weight-bold font-size-lg text-left max-w-400px">How likely are you to recommend our company to your friends and family?</div>
									</div>
									<!--end::Message In-->
									<!--begin::Message Out-->
									<div class="d-flex flex-column mb-5 align-items-end">
										<div class="d-flex align-items-center">
											<div>
												<span class="text-muted font-size-sm">3 minutes</span>
												<a href="#" class="text-dark-75 text-hover-primary font-weight-bold font-size-h6">You</a>
											</div>
											<div class="symbol symbol-circle symbol-40 ml-3">
												<img alt="Pic" src="<?php echo e(url('/admin_assets/media/users/300_21.jpg')); ?>" />
											</div>
										</div>
										<div class="mt-2 rounded p-5 bg-light-primary text-dark-50 font-weight-bold font-size-lg text-right max-w-400px">Hey there, we’re just writing to let you know that you’ve been subscribed to a repository on GitHub.</div>
									</div>
									<!--end::Message Out-->
									<!--begin::Message In-->
									<div class="d-flex flex-column mb-5 align-items-start">
										<div class="d-flex align-items-center">
											<div class="symbol symbol-circle symbol-40 mr-3">
												<img alt="Pic" src="<?php echo e(url('/admin_assets/media/users/300_21.jpg')); ?>" />
											</div>
											<div>
												<a href="#" class="text-dark-75 text-hover-primary font-weight-bold font-size-h6">Matt Pears</a>
												<span class="text-muted font-size-sm">40 seconds</span>
											</div>
										</div>
										<div class="mt-2 rounded p-5 bg-light-success text-dark-50 font-weight-bold font-size-lg text-left max-w-400px">Ok, Understood!</div>
									</div>
									<!--end::Message In-->
									<!--begin::Message Out-->
									<div class="d-flex flex-column mb-5 align-items-end">
										<div class="d-flex align-items-center">
											<div>
												<span class="text-muted font-size-sm">Just now</span>
												<a href="#" class="text-dark-75 text-hover-primary font-weight-bold font-size-h6">You</a>
											</div>
											<div class="symbol symbol-circle symbol-40 ml-3">
												<img alt="Pic" src="<?php echo e(url('/admin_assets/media/users/300_21.jpg')); ?>" />
											</div>
										</div>
										<div class="mt-2 rounded p-5 bg-light-primary text-dark-50 font-weight-bold font-size-lg text-right max-w-400px">You’ll receive notifications for all issues, pull requests!</div>
									</div>
									<!--end::Message Out-->
									<!--begin::Message In-->
									<div class="d-flex flex-column mb-5 align-items-start">
										<div class="d-flex align-items-center">
											<div class="symbol symbol-circle symbol-40 mr-3">
												<img alt="Pic" src="<?php echo e(url('/admin_assets/media/users/300_12.jpg')); ?>" />
											</div>
											<div>
												<a href="#" class="text-dark-75 text-hover-primary font-weight-bold font-size-h6">Matt Pears</a>
												<span class="text-muted font-size-sm">40 seconds</span>
											</div>
										</div>
										<div class="mt-2 rounded p-5 bg-light-success text-dark-50 font-weight-bold font-size-lg text-left max-w-400px">You can unwatch this repository immediately by clicking here:
										<a href="#">https://github.com</a></div>
									</div>
									<!--end::Message In-->
									<!--begin::Message Out-->
									<div class="d-flex flex-column mb-5 align-items-end">
										<div class="d-flex align-items-center">
											<div>
												<span class="text-muted font-size-sm">Just now</span>
												<a href="#" class="text-dark-75 text-hover-primary font-weight-bold font-size-h6">You</a>
											</div>
											<div class="symbol symbol-circle symbol-40 ml-3">
												<img alt="Pic" src="<?php echo e(url('/admin_assets/media/users/300_21.jpg')); ?>" />
											</div>
										</div>
										<div class="mt-2 rounded p-5 bg-light-primary text-dark-50 font-weight-bold font-size-lg text-right max-w-400px">Discover what students who viewed Learn Figma - UI/UX Design. Essential Training also viewed</div>
									</div>
									<!--end::Message Out-->
									<!--begin::Message In-->
									<div class="d-flex flex-column mb-5 align-items-start">
										<div class="d-flex align-items-center">
											<div class="symbol symbol-circle symbol-40 mr-3">
												<img alt="Pic" src="<?php echo e(url('/admin_assets/media/users/300_12.jpg')); ?>" />
											</div>
											<div>
												<a href="#" class="text-dark-75 text-hover-primary font-weight-bold font-size-h6">Matt Pears</a>
												<span class="text-muted font-size-sm">40 seconds</span>
											</div>
										</div>
										<div class="mt-2 rounded p-5 bg-light-success text-dark-50 font-weight-bold font-size-lg text-left max-w-400px">Most purchased Business courses during this sale!</div>
									</div>
									<!--end::Message In-->
									<!--begin::Message Out-->
									<div class="d-flex flex-column mb-5 align-items-end">
										<div class="d-flex align-items-center">
											<div>
												<span class="text-muted font-size-sm">Just now</span>
												<a href="#" class="text-dark-75 text-hover-primary font-weight-bold font-size-h6">You</a>
											</div>
											<div class="symbol symbol-circle symbol-40 ml-3">
												<img alt="Pic" src="<?php echo e(url('/admin_assets/media/users/300_21.jpg')); ?>" />
											</div>
										</div>
										<div class="mt-2 rounded p-5 bg-light-primary text-dark-50 font-weight-bold font-size-lg text-right max-w-400px">Company BBQ to celebrate the last quater achievements and goals. Food and drinks provided</div>
									</div>
									<!--end::Message Out-->
								</div>
								<!--end::Messages-->
							</div>
							<!--end::Scroll-->
						</div>
						<!--end::Body-->
						<!--begin::Footer-->
						<div class="card-footer align-items-center">
							<!--begin::Compose-->
							<textarea class="form-control border-0 p-0" rows="2" placeholder="Type a message"></textarea>
							<div class="d-flex align-items-center justify-content-between mt-5">
								<div class="mr-3">
									<a href="#" class="btn btn-clean btn-icon btn-md mr-1">
										<i class="flaticon2-photograph icon-lg"></i>
									</a>
									<a href="#" class="btn btn-clean btn-icon btn-md">
										<i class="flaticon2-photo-camera icon-lg"></i>
									</a>
								</div>
								<div>
									<button type="button" class="btn btn-primary btn-md text-uppercase font-weight-bold chat-send py-2 px-6">Send</button>
								</div>
							</div>
							<!--begin::Compose-->
						</div>
						<!--end::Footer-->
					</div>
					<!--end::Card-->
				</div>
			</div>
		</div>
 
        
        <div id="deleteAll" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel1" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title"><?php echo e(__('cp.delete')); ?></h4>
            </div>
            <div class="modal-body">
                <p><?php echo e(__('cp.confirmDeleteAll')); ?> </p>
            </div>
            <div class="modal-footer">
                <button class="btn default" data-dismiss="modal" aria-hidden="true" ><?php echo e(__('cp.cancel')); ?></button>
                <a href="#" class="confirmAll" data-action="delete"><button class="btn btn-danger"><?php echo e(__('cp.delete')); ?></button></a>
            </div>
        </div>
    </div>
</div>

<div id="activation" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel1" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title"><?php echo e(__('cp.activation')); ?></h4>
            </div>
            <div class="modal-body">
                <p><?php echo e(__('cp.confirmActiveAll')); ?> </p>
            </div>
            <div class="modal-footer">
                <button class="btn default" data-dismiss="modal" aria-hidden="true"><?php echo e(__('cp.cancel')); ?></button>
                <a href="#" class="confirmAll" data-action="active">
                    <button class="btn btn-success"><?php echo e(__('cp.Yes')); ?></button>
                </a>
            </div>
        </div>
    </div>
</div>

<div id="cancel_activation" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel1" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title"><?php echo e(__('cp.cancel_activation')); ?></h4>
            </div>
            <div class="modal-body">
                <p><?php echo e(__('cp.confirmNotActiveAll')); ?> </p>
            </div>
            <div class="modal-footer">
                <button class="btn default" data-dismiss="modal" aria-hidden="true"><?php echo e(__('cp.cancel')); ?></button>
                <a href="#" class="confirmAll" data-action="not_active"><button class="btn btn-success"><?php echo e(__('cp.Yes')); ?></button></a>
            </div>
        </div>
    </div>
</div>

<div   data-notify="container" class="new_notification alert alert-success animate_animated animate_bounce" role="alert" data-notify-position="top-right" style="display:none; inline-block; margin: 0px auto; position: fixed; transition: all 0.5s ease-in-out 0s; z-index: 10000; top: 30px; right: 30px; animation-iteration-count: 1;"><button type="button" aria-hidden="true" class="close" data-notify="dismiss" style="display:none; position: absolute; right: 10px; top: 5px; z-index: 100002;">
</button><span data-notify="icon"></span><span data-notify="title">
	</span>
	<a  href="<?php echo e(url(getLocal().'/admin/orders')); ?>"><span style="color:aliceblue" data-notify="message"><?php echo app('translator')->get('cp.New orders'); ?></span>
	</a></div>
	
    
<script>var HOST_URL = "https://keenthemes.com/metronic/tools/preview";</script>
<!--begin::Global Config(global config for global JS scripts)-->
<script>var KTAppSettings = { "breakpoints": { "sm": 576, "md": 768, "lg": 992, "xl": 1200, "xxl": 1200 }, "colors": { "theme": { "base": { "white": "#ffffff", "primary": "#3699FF", "secondary": "#E5EAEE", "success": "#1BC5BD", "info": "#8950FC", "warning": "#FFA800", "danger": "#F64E60", "light": "#F3F6F9", "dark": "#212121" }, "light": { "white": "#ffffff", "primary": "#E1F0FF", "secondary": "#ECF0F3", "success": "#C9F7F5", "info": "#EEE5FF", "warning": "#FFF4DE", "danger": "#FFE2E5", "light": "#F3F6F9", "dark": "#D6D6E0" }, "inverse": { "white": "#ffffff", "primary": "#ffffff", "secondary": "#212121", "success": "#ffffff", "info": "#ffffff", "warning": "#ffffff", "danger": "#ffffff", "light": "#464E5F", "dark": "#ffffff" } }, "gray": { "gray-100": "#F3F6F9", "gray-200": "#ECF0F3", "gray-300": "#E5EAEE", "gray-400": "#D6D6E0", "gray-500": "#B5B5C3", "gray-600": "#80808F", "gray-700": "#464E5F", "gray-800": "#1B283F", "gray-900": "#212121" } }, "font-family": "Poppins" };</script>
<!--end::Global Config-->
<!--begin::Global Theme Bundle(used by all pages)-->
<script src="<?php echo e(asset('/admin_assets/plugins/global/plugins.bundle.js')); ?>"></script>
<script src="<?php echo e(asset('/admin_assets/plugins/custom/prismjs/prismjs.bundle.js')); ?>"></script>
<script src="<?php echo e(asset('/admin_assets/js/scripts.bundle.js')); ?>"></script>

<script src="<?php echo e(asset('/admin_assets/js/pages/crud/forms/widgets/bootstrap-switch.js')); ?>"></script>
<script src="<?php echo e(asset('/admin_assets/js/pages/crud/forms/widgets/bootstrap-touchspin.js')); ?>"></script>
<script src="<?php echo e(asset('/admin_assets/js/pages/crud/forms/widgets/bootstrap-datepicker.js')); ?>"></script>
<script src="<?php echo e(asset('/admin_assets/js/pages/crud/forms/widgets/bootstrap-timepicker.js')); ?>"></script>
<script src="<?php echo e(asset('/admin_assets/js/pages/crud/forms/widgets/bootstrap-datetimepicker.js')); ?>"></script>
<script src="<?php echo e(asset('/admin_assets/js/pages/crud/forms/widgets/ion-range-slider.js')); ?>"></script>
<script src="<?php echo e(asset('/admin_assets/js/pages/crud/forms/editors/summernote.js')); ?>"></script>
<script src="<?php echo e(asset('/admin_assets/js/pages/crud/forms/widgets/select2.js')); ?>"></script>
<script src="<?php echo e(asset('/admin_assets/plugins/jquery-validation/js/jquery.validate.js')); ?>"></script>
<script src="<?php echo e(asset('/admin_assets/plugins/jquery-validation/js/additional-methods.min.js')); ?>"></script>
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>


<script src="<?php echo e(asset('/admin_assets/plugins/custom/datatables/datatables.bundle.js')); ?>"></script>


<script src="https://www.gstatic.com/firebasejs/7.17.1/firebase-app.js"></script>
<script src="https://www.gstatic.com/firebasejs/7.17.1/firebase-analytics.js"></script>
<script src="https://www.gstatic.com/firebasejs/7.17.1/firebase-database.js"></script>
<script src="https://www.gstatic.com/firebasejs/7.17.1/firebase-auth.js"></script>
<script src="https://www.gstatic.com/firebasejs/7.17.1/firebase-firestore.js"></script>

<script>


const firebaseConfig = {
 
 };

   // Initialize Firebase
 firebase.initializeApp(firebaseConfig);
 
</script>

    <script type="text/javascript">

        // var statistics = firebase.database().ref("OrdersNotifications");
        // statistics.on('value', function (snapshot) {
        //     snapshot.forEach(function(childSnapshot) {
        //         var key =parseInt(childSnapshot.key) ;
        //         var childData = childSnapshot.val();
        //         if (childData && childData != 0) {
        //             if (sessionStorage.getItem("total_notifications") < childData) {
        //               sessionStorage.setItem("total_notifications", childData);
        //           }
        //              const audio = new Audio("<?php echo e(url('notify.mp3')); ?>");
        //               audio.play();
        //               $(".new_notification").show();
        //                setTimeout(function() {
        //                   $(".new_notification").hide(300);
        //               }, 5000);

        //       } else {
        //            $('.total_notifications').hide().text('');
        //       }
        //       });

        // });
    </script>
<script>
 
 


	</script> 
        <?php echo $__env->yieldContent('js'); ?>
        <?php echo $__env->yieldContent('script'); ?>
        <script>
			    var FormValidation = function () {

// basic validation
var handleValidation1 = function () {
	// for more info visit the official plugin documentation:
	// http://docs.jquery.com/Plugins/Validation

	var form1 = $('#form');
	var error1 = $('.alert-danger', form1);
	var success1 = $('.alert-success', form1);

	form1.validate({
		errorElement: 'span', //default input error message container
		errorClass: 'help-block help-block-error text-danger', // default input error message class
		focusInvalid: false, // do not focus the last invalid input
		ignore: ".ignore",  // validate all fields including form hidden input
		messages: {
			select_multi: {
				maxlength: jQuery.validator.format("Max {0} items allowed for selection"),
				minlength: jQuery.validator.format("At least {0} items must be selected"),
			},
		},
		rules: {
			// name: {
			//     minlength: 2,
			//     required: true
			// },
			// email: {
			//     required: true,
			//     email: true
			// },

			// mobile: {
			//     required: true,
			//     minlength: 8
			// },

			password: { required: true },
			confirm_password: { required: true , equalTo: '[name="password"]'},
			admin_type: {
			    required: true
			},
			 <?php echo $__env->yieldContent('validation'); ?>


			// title: {required: true},

		},

		invalidHandler: function (event, validator) { //display error alert on form submit
			success1.hide();
			error1.show();
			scrollTo(error1, -200);
			// App.scrollTo(error1, -200);
		},


		//     errorPlacement: function (error, element) { // render error placement for each input typeW
		//     if (element.parent(".input-group").size() > 0)
		//     {
		//         error.insertAfter(element.parent(".input-group"));
		//     }
		//     else if (element.attr("data-error-container"))
		//     {
		//         error.appendTo(element.attr("data-error-container"));
		//     }
		//     else
		//     {
		//         error.insertAfter(element); // for other inputs, just perform default behavior
		//     }
		// },

		highlight: function (element) { // hightlight error inputs

			$(element)
				.closest('.form-group').addClass('has-error'); // set error class to the control group
		},

		unhighlight: function (element) { // revert the change done by hightlight
			$(element)
				.closest('.form-group').removeClass('has-error'); // set error class to the control group
		},

		success: function (label) {
			label
				.closest('.form-group').removeClass('has-error'); // set success class to the control group
		},

		submitHandler: function (form) {
			success1.show();
			error1.hide
			e.submit()
		}
	});


};


return {
	//main function to initiate the module
	init: function () {

		handleValidation1();

	}

};

}();

jQuery(document).ready(function () {
FormValidation.init();
});


$r = '<?php echo e(app()->getLocale()); ?>';
if ($r == 'ar') {


//overright messsages
$.extend($.validator, {

	defaults: {
		messages: {},
		groups: {},
		rules: {},
		errorClass: "error",
		validClass: "valid",
		errorElement: "label",
		focusCleanup: false,
		focusInvalid: true,
		errorContainer: $([]),
		errorLabelContainer: $([]),
		onsubmit: true,
		ignore: ":hidden",
		ignoreTitle: false,
		onfocusin: function (element) {
			this.lastActive = element;

			// Hide error label and remove error class on focus if enabled
			if (this.settings.focusCleanup) {
				if (this.settings.unhighlight) {
					this.settings.unhighlight.call(this, element, this.settings.errorClass, this.settings.validClass);
				}
				this.hideThese(this.errorsFor(element));
			}
		},
		onfocusout: function (element) {
			if (!this.checkable(element) && (element.name in this.submitted || !this.optional(element))) {
				this.element(element);
			}
		},
		onkeyup: function (element, event) {
			// Avoid revalidate the field when pressing one of the following keys
			// Shift       => 16
			// Ctrl        => 17
			// Alt         => 18
			// Caps lock   => 20
			// End         => 35
			// Home        => 36
			// Left arrow  => 37
			// Up arrow    => 38
			// Right arrow => 39
			// Down arrow  => 40
			// Insert      => 45
			// Num lock    => 144
			// AltGr key   => 225
			var excludedKeys = [
				16, 17, 18, 20, 35, 36, 37,
				38, 39, 40, 45, 144, 225
			];

			if (event.which === 9 && this.elementValue(element) === "" || $.inArray(event.keyCode, excludedKeys) !== -1) {

			} else if (element.name in this.submitted || element === this.lastElement) {
				this.element(element);
			}
		},
		onclick: function (element) {
			// click on selects, radiobuttons and checkboxes
			if (element.name in this.submitted) {
				this.element(element);

				// or option elements, check parent select in that case
			} else if (element.parentNode.name in this.submitted) {
				this.element(element.parentNode);
			}
		},
		highlight: function (element, errorClass, validClass) {
			if (element.type === "radio") {
				this.findByName(element.name).addClass(errorClass).removeClass(validClass);
			} else {
				$(element).addClass(errorClass).removeClass(validClass);
			}
		},
		unhighlight: function (element, errorClass, validClass) {
			if (element.type === "radio") {
				this.findByName(element.name).removeClass(errorClass).addClass(validClass);
			} else {
				$(element).removeClass(errorClass).addClass(validClass);
			}
		}
	},

	// http://jqueryvalidation.org/jQuery.validator.setDefaults/
	setDefaults: function (settings) {
		$.extend($.validator.defaults, settings);
	},


	messages: {

		required: "هذا الحقل مطلوب",
		remote: "Please fix this field.",
		email: "الرجاء ادخال عنوان بريد الكتروني صحيح .",
		date: "الرجاء ادخال تاريخ صحيح.",
		dateISO: "Please enter a valid date ( ISO ).",
		number: "Please enter a valid number.",
		digits: "Please enter only digits.",
		creditcard: "Please enter a valid credit card number.",
		equalTo: "الرجاء ادخال نفس قيمة الباسوورد.",
		maxlength: $.validator.format("Please enter no more than {0} characters."),
		minlength: $.validator.format("Please enter at least {0} characters."),
		rangelength: $.validator.format("Please enter a value between {0} and {1} characters long."),
		range: $.validator.format("Please enter a value between {0} and {1}."),
		max: $.validator.format("الرجاء ادخال قيمة اقل او تساوي {0}."),
		min: $.validator.format("الرجاء ادخال قيمة اكبر او تساوي {0}."),
		category_id: "حقل التصنيف مطلوب"
	},

});
}
$('.select2').select2({}).on("change", function (e) {
  $(this).valid()
});
        </script>
 <script>

var IDArray = [];
    $("input:checkbox[name=chkBox]:checked").each(function () {
        IDArray.push($(this).val());
    });
    if (IDArray.length == 0) {
        $('.event').attr('disabled', 'disabled');
    }
    // $('.chkBox').on('change', function () {
        $(document).on("change", ".chkBox", function () {
        var IDArray = [];
        $("input:checkbox[name=chkBox]:checked").each(function () {
            IDArray.push($(this).val());
        });
        if (IDArray.length == 0) {
            $('.event').attr('disabled', 'disabled');
        } else {
            $('.event').removeAttr('disabled');
        }
    });
    $('.confirmAll').on('click', function (e) {
        e.preventDefault();
        var action = $(this).data('action');

        var url = "<?php echo e(url(getLocal().'/admin/changeStatus/'.Request::segment(3))); ?>";
        var csrf_token = '<?php echo e(csrf_token()); ?>';
        var IDsArray = [];
        $("input:checkbox[name=chkBox]:checked").each(function () {
            IDsArray.push($(this).val());
        });

        if (IDsArray.length > 0) {
            $.ajax({
                type: 'POST',
                headers: {'X-CSRF-TOKEN': csrf_token},
                url: url,
                data: {action: action, IDsArray: IDsArray, _token: csrf_token},
                success: function (response) {
                    if (response === 'active') {
                        //alert('fsvf');
                        $.each(IDsArray, function (index, value) {
                            $('#label-' + value).removeClass('badge-danger');
                            $('#label-' + value).addClass('badge-info');
                            $r = '<?php echo e(app()->getLocale()); ?>';
                            if($r == 'ar'){
                                $('#label-' + value).text('فعال ');
                            }else{
                                $('#label-' + value).text('Active');

                            }
                        });
                        $('#activation').modal('hide');
                    } else if (response === 'not_active') {
                        //alert('fg');
                        $.each(IDsArray, function (index, value) {
                            $('#label-' + value).removeClass('badge-info');
                            $('#label-' + value).addClass('badge-danger');
                            $r = '<?php echo e(app()->getLocale()); ?>';
                            if($r == 'ar'){
                                $('#label-' + value).text('غير فعال');
                            }else{
                                $('#label-' + value).text('Not Active');

                            }
                        });
                        $('#cancel_activation').modal('hide');
                    } else if (response === 'delete') {
                        $.each(IDsArray, function (index, value) {
                            $('#tr-' + value).hide(2000);
                        });
                        $('#deleteAll').modal('hide');
                    }

                    IDArray = [];
                    $("input:checkbox[name=chkBox]:checked").each(function () {
                        $(this).prop('checked', false);
                    });
                    $('.event').attr('disabled', 'disabled');

                },
                fail: function (e) {
                    alert(e);
                }
            });
        } else {
            alert('<?php echo e(__('cp.not_selected')); ?>');
        }
    });

        </script>
        
        
            <script type="text/javascript">
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            </script>



		<script>

function readURL(input, target) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function (e) {
                target.attr('src', e.target.result);
				// add inut val base 64 
            };
            reader.readAsDataURL(input.files[0]);
        }
    }

function readURLMultiple(input, target) {
        if (input.files) {
            var filesAmount = input.files.length;
            for (var i = 0; i < filesAmount; i++){
                var reader = new FileReader();
                reader.onload = function (event){
                    target.append('<div class="imageBox text-center" style="width:150px;height:190px;margin:5px"><img src="'+event.target.result+'" style="width:150px;height:150px;margin-bottom:5px"><button class="btn btn-danger deleteImage" type="button"><?php echo e(__("cp.remove")); ?></button><input class="attachedValues" type="hidden" name="filename[]" value="'+event.target.result+'"></div>');
                };
                reader.readAsDataURL(input.files[i]);
            }
        }
    }
    
    $(document).on("click", ".deleteImage", function () {
        $(this).parent().remove();
    });

    $(function() {
	    
	$('#kt_quick_user_toggle').click(function(e) {
			if ($('.offcanvas-right').hasClass('offcanvas-on')) {
				$('.offcanvas-right').removeClass('offcanvas-on');
			} else {
				$('.offcanvas-right').addClass('offcanvas-on');
			}
// 			event.stopPropagation();
			});
		});

        $(function() {
	    
        $('#kt_quick_user_close').click(function(e) {
            $('.offcanvas-right').removeClass('offcanvas-on');
            });
        });

$('.select2').select2({
    width: '100%'
});

 
	
 $(document).on('change','.governorates',function(e){
        var governorate_id = $(this).val();
        var url = "<?php echo e(url(app()->getLocale().'/admin/getAreas/')); ?>";
        if(governorate_id){
            $.ajax({
                type: "GET",
                url: url+'/'+governorate_id,
                success: function (response) {
                    if(response)
                    {
                        $(".area_id").empty();
                        $(".area_id").append('<option value=""><?php echo e(__('cp.select')); ?></option>');
                        $.each(response, function(index, value){
                        $(".area_id").append('<option value="'+value.id+'">'+ value.name +'</option>');
                    });
                }
              }
            });
        }
        else{
            $(".city").empty();
        }
    });
    
      $("[name=checkAll]").click(function(){
       $('.event').removeAttr('disabled');
    $('.checkboxes').not(this).prop('checked', this.checked);
});


$('.btn--filter').click(function () {
        $('.box-filter-collapse').slideToggle(500);
    });


	$(function(){
		$(document).on('keypress , cut , copy , paste','.number-only',function(e){
            	if(isNaN(this.value+""+String.fromCharCode(e.charCode))) return false;
              });
        });
        
		$("#mobile,#phone,#paginate,#whatsApp,#quantity").on("input", function(evt) {
            var self = $(this);
            self.val(self.val().replace(/[^0-9\.]/g, ''));
            if ((evt.which != 46 || self.val().indexOf('.') != -1) && (evt.which < 48 || evt.which > 57))
            {
                evt.preventDefault();
            }
        });
        
        
            $('#basicModal').on('hidden.bs.modal', function () {
                $(".create_form").find("input, textarea ,select").val("");
            });
	
	
	
	      $(document).on('click','input,select,textarea,.select2',function(){
        //   jQuery.noConflict();
        if ( $(this).is("#all_images")  || $(this).is("#edit_image") || $(this).is(".image_input")){
            return ;
        }
            $(this).attr('style',"").next('span.errorSpan').remove();//
        });
	
	function validatiomForCreate(e) {
              $('.create_form').find( 'select, textarea, input' ).each(function(){
                  if($(this).prop('required') && !$(this).val() && !$(this).is(":hidden")){
                      $(this).css("border", "#ff0000 solid 1px").next('span.errorSpan').remove(); //
                           $(this).css("border", "#bd1616 solid 1px").after('<span style="color:#bd1616" class="errorSpan"><?php echo e(__("website.requiredField")); ?></span>');
                      preventSubmit = true;
                      e.preventDefault();
                  }
              });
              if(preventSubmit){
                  preventSubmit = false;
                  return false;
                  
              }
    }

 
		
		
		  $(document).on('click', '#submitButton', function () {
            $('#submitForm').click();
        });
        
        
            $('.exportExcel').on('click',function(){
                var var_one=  $(this).data('var_one');
                var var_two=  $(this).data('var_two');
                $('.form-horizontal').attr('action', "<?php echo e(url(getLocal().'/admin/')); ?>"+'/'+var_one);
                $('.form-horizontal').submit();
                $('.form-horizontal').attr('action', "<?php echo e(url(getLocal().'/admin/')); ?>"+'/'+var_two);
            });
        
            $(".numeric_input").on("input", function(evt) {
                    var self = $(this);
                    self.val(self.val().replace(/[^0-9\.]/g, ''));
                    if ((evt.which != 46 || self.val().indexOf('.') != -1) && (evt.which < 48 || evt.which > 57))
                    {
                        evt.preventDefault();
                    }
                });
        </script>
	</body>
	<!--end::Body-->
</html><?php /**PATH C:\Users\ysef0\Desktop\101_toys\resources\views/layout/adminLayout.blade.php ENDPATH**/ ?>