<!DOCTYPE html>
<html lang="<?php echo e(app()->getLocale()); ?>" dir="<?php echo e((app()->getLocale() == 'ar')?'rtl':'ltr'); ?>">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <title><?php echo $__env->yieldContent('title','Omniya'); ?></title>
    <!-- Stylesheets -->
    <link rel="icon" href="<?php echo e(asset('shopWebsite/images/favicon.svg')); ?>">

    <link href="<?php echo e(asset('shopWebsite/css/style.css')); ?>" rel="stylesheet">

    <?php if(app()->getLocale() == 'ar'): ?>
        <link href="<?php echo e(url('shopWebsite/css/rtl.css')); ?>" rel="stylesheet">
    <?php endif; ?>

    <!-- Responsive -->
    <link href="<?php echo e(asset('shopWebsite/css/responsive.css')); ?>" rel="stylesheet">
    <script src="<?php echo e(asset('shopWebsite/js/jquery-3.2.1.min.js')); ?>"></script>
   
    <?php echo $__env->yieldContent('css'); ?>
    <?php echo $__env->yieldContent('socialMeta'); ?>
</head>

<body>

    <div class="main-wrapper">

        <header id="header">
            <div class="top-header">
                <div class="container">
                    <form class="form-search" method="get" action="<?php echo e(route('search')); ?>">
                        <div class="form-group">
                            <input type="text" class="form-control" value="<?php echo e(request('name')); ?>" name="name" placeholder="<?php echo app('translator')->get('website.Search Here'); ?>" />
                            <button><i class="fa-solid fa-magnifying-glass"></i></button>
                        </div>
                    </form>
                    <ul class="hd-right">
                        <li>
                           
                            <?php if(app()->getLocale() == 'en'): ?>
                                <?php
                                    $lang = LaravelLocalization::getSupportedLocales()['ar']
                                ?>
                                <a href="<?php echo e(LaravelLocalization::getLocalizedURL('ar', null, [], true)); ?>">
                                    <i class="icon-lang"></i> <?php echo e($lang['native']); ?>

                                </a>
                            <?php else: ?>
                                <?php
                                    $lang = LaravelLocalization::getSupportedLocales()['en']
                                ?>
                                <a href="<?php echo e(LaravelLocalization::getLocalizedURL('en', null, [], true)); ?>">
                                    <i class="icon-lang"></i> <?php echo e($lang['native']); ?>

                                </a>
                            <?php endif; ?>
                        </li>
                        <?php if(auth()->check()): ?>
                        <li><a href="<?php echo e(route('myOrders')); ?>"><i class="fa-regular fa-user"></i> <?php echo app('translator')->get('website.Account'); ?></a></li>
                        <?php else: ?>
                            <li><a href="<?php echo e(route('loginAndRegister')); ?>"><i class="fa-regular fa-user"></i> <?php echo app('translator')->get('website.Signup/Login'); ?></a></li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>
            <div class="bottom-header">
                <div class="container">
                    <div class="logo-site">
                        <a href="<?php echo e(route('ShopHome')); ?>">
                            <img src="<?php echo e(asset('shopWebsite/images/logo.svg')); ?>" alt="" />
                        </a>
                    </div>
                    <ul class="main_menu clearfix">
                        <li class="<?php if(Route::currentRouteName() =='ShopHome' ): ?> active <?php endif; ?>"><a class="page-scroll" href="<?php echo e(route('ShopHome')); ?>"><?php echo app('translator')->get('website.Home'); ?></a></li>
                        <li class="<?php if(Route::currentRouteName() =='categories' ): ?> active <?php endif; ?>"><a class="page-scroll" href="<?php echo e(route('categories')); ?>"><?php echo app('translator')->get('website.Categories'); ?></a></li>
                        <li class="<?php if(Route::currentRouteName() =='aboutUs' ): ?> active <?php endif; ?>"><a class="page-scroll" href="<?php echo e(route('aboutUs')); ?>"><?php echo app('translator')->get('website.About Us'); ?></a></li>
                        <li class="<?php if(Route::currentRouteName() =='contactUs' ): ?> active <?php endif; ?>"><a class="page-scroll" href="<?php echo e(route('contactUs')); ?>"><?php echo app('translator')->get('website.Contact Us'); ?></a></li>
                        <li class="<?php if(Route::currentRouteName() =='myCart' ): ?> active <?php endif; ?>" class="ls-cart"><a class="page-scroll" href="<?php echo e(route('myCart')); ?>"><i class="icon-cart"></i> <?php echo app('translator')->get('website.Cart'); ?></a></li>
                        <li class="show-mobile">
                            <form class="form-search" method="get" action="<?php echo e(route('search')); ?>">
                                <div class="form-group" >
                                    <input type="text" value="<?php echo e(request('name')); ?>" class="form-control" name="name" placeholder="<?php echo app('translator')->get('website.Search Here'); ?>" />
                                    <button><i class="fa-solid fa-magnifying-glass"></i></button>
                                </div>
                            </form>
                        </li>
                        <li class="show-mobile">
                                <?php if(app()->getLocale() == 'en'): ?>
                                    <?php
                                        $lang = LaravelLocalization::getSupportedLocales()['ar']
                                    ?>
                                    <a href="<?php echo e(LaravelLocalization::getLocalizedURL('ar', null, [], true)); ?>">
                                        <i class="icon-lang"></i> <?php echo e($lang['native']); ?>

                                    </a>
                                <?php else: ?>
                                    <?php
                                        $lang = LaravelLocalization::getSupportedLocales()['en']
                                    ?>
                                    <a href="<?php echo e(LaravelLocalization::getLocalizedURL('en', null, [], true)); ?>">
                                        <i class="icon-lang"></i> <?php echo e($lang['native']); ?>

                                    </a>
                                <?php endif; ?>
                        </li>
                        
                        <?php if(auth()->guard()->check()): ?>
                            <li class="show-mobile"><a href="<?php echo e(route('myOrders')); ?>"><i class="fa-regular fa-user"></i> <?php echo app('translator')->get('website.Account'); ?></a></li>
                        <?php else: ?>
                            <li class="show-mobile"><a href="<?php echo e(route('loginAndRegister')); ?>"><i class="fa-regular fa-user"></i> <?php echo app('translator')->get('website.Signup/Login'); ?></a></li>
                         <?php endif; ?>
                    </ul>
                    <div class="opt-mobail">
                        <div class="cart-mobile"><a class="page-scroll" href="<?php echo e(route('myCart')); ?>"><i class="icon-cart"></i> <?php echo app('translator')->get('website.Cart'); ?></a></div>
                        <button type="button" class="hamburger">
                            <span class="hamb-top"></span>
                            <span class="hamb-middle"></span>
                            <span class="hamb-bottom"></span>
                        </button>
                    </div>
                </div>
            </div>
        </header>
        <!--header-->

        <?php echo $__env->yieldContent('content'); ?>

        <footer id="footer">
            <div class="top-footer">
                <div class="container">
                    <div class="cont-ft wow fadeInUp">
                        <figure class="logo-ft wow fadeInUp">
                            <img src="<?php echo e(asset('shopWebsite/images/logo.svg')); ?>" alt="Logo" class="img-fluid">
                        </figure>
                        <ul class="social-media wow fadeInUp">
                            <li class="instagram"><a href="<?php echo e($setting->instagram); ?>"><i class="fa-brands fa-instagram"></i></a></li>
                            <li class="facebook"><a href="<?php echo e($setting->facebook); ?>"><i class="fa-brands fa-facebook-f"></i></a></li>
                            <li class="twitter"><a href="<?php echo e($setting->twitter); ?>"><i class="fa-brands fa-twitter"></i></a></li>
                            <li class="youtube"><a href="<?php echo e($setting->youtube); ?>"><i class="fa-brands fa-youtube"></i></a></li>
                            <li class="snapchat"><a href="<?php echo e($setting->snapchat); ?>"><i class="fa-brands fa-snapchat"></i></a></li>
                            <li class="tiktok"><a href="<?php echo e($setting->tiktok); ?>"><i class="fa-brands fa-tiktok"></i></a></li>
                        </ul>
                        <ul class="menu-ft wow fadeInUp">
                            <li><a href="<?php echo e(route('aboutUs')); ?>"><?php echo app('translator')->get('website.About Us'); ?></a></li>
                            <li><a href="<?php echo e(route('terms')); ?>"><?php echo app('translator')->get('website.Terms & Conditions'); ?></a></li>
                            <li><a href="<?php echo e(route('policy')); ?>"><?php echo app('translator')->get('website.Our Policies'); ?></a></li>
                        </ul>
                        <ul class="lst-payment wow fadeInUp">
                            <li><a href=""><img src="<?php echo e(asset('shopWebsite/images/visa.svg')); ?>" alt="Visa" /></a></li>
                            <li><a href=""><img src="<?php echo e(asset('shopWebsite/images/mastercard.svg')); ?>" alt="Master Card" /></a></li>
                            <li><a href=""><img src="<?php echo e(asset('shopWebsite/images/knet.svg')); ?>" alt="Knet" /></a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="bottom-ft">
                <div class="container">
                    <div class="cont-bt wow fadeInUp">
                        <p>Copyright © 2023. Omniya Collection System  All Rights Reserved | Powered By <a href="https://linekw.com/">Line</a></p>
                    </div>
                </div>
            </div>
        </footer>
        <!--footer-->
    
    </div>

    <div class="modal fade show" id="logoutModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-modal="true" role="dialog">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="cont-succ">
                        <h5><?php echo app('translator')->get('website.Logout'); ?></h5>
                        <p><?php echo app('translator')->get('website.Are you sure want to logout'); ?> ?</p>
                        <ul>
                            <li><a class="btn-cancel" onclick="$('#logoutModal').modal('hide');" data-dismiss="modal" aria-label="Close"><?php echo app('translator')->get('website.No'); ?></a></li>
                            <li><a href="<?php echo e(route('logout')); ?>" class="btn-site"><span><?php echo app('translator')->get('website.YES'); ?></span></a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="modal fade" id="addAddressModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-modal="true"
        role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-body cont-add-address">
                    <div class="hd-modal">
                        <h6><?php echo app('translator')->get('website.Add New Address'); ?></h6>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <form class="form-address create_address_form">
                        <?php echo csrf_field(); ?>
                        <div class="form-group">
                            <label><?php echo app('translator')->get('website.Address Name'); ?>*</label>
                            <input type="text" class="form-control" name="address_name" placeholder="<?php echo app('translator')->get('website.Please Enter'); ?>"
                                required>
                        </div>
                        <div class="form-group">
                            <label><?php echo app('translator')->get('website.Area'); ?>*</label>
                            <select class="form-control form-select" name="area_id" required>
                                <option value=""><?php echo app('translator')->get('website.Please Select'); ?></option>
                                <?php if(isset($areas)): ?>
                                    <?php $__currentLoopData = $areas; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $area): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($area->id); ?>"><?php echo e($area->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                               
                            </select>
                        </div>
                        <div class="form-group">
                            <label><?php echo app('translator')->get('website.Block'); ?>*</label>
                            <input type="text" class="form-control"name="block" placeholder="<?php echo app('translator')->get('website.Please Enter'); ?>"
                                required>
                        </div>
                        <div class="form-group">
                            <label><?php echo app('translator')->get('website.Street'); ?>*</label>
                            <input type="text" class="form-control" name="street" placeholder="<?php echo app('translator')->get('website.Please Enter'); ?>"
                                required>
                        </div>
                        <div class="form-group">
                            <label><?php echo app('translator')->get('website.Avenue'); ?> (<?php echo app('translator')->get('website.Optional'); ?>)</label>
                            <input type="text" class="form-control" name="avenue" placeholder="<?php echo app('translator')->get('website.Please Enter'); ?>">
                        </div>
                        <div class="form-group">
                            <label><?php echo app('translator')->get('website.Address Type'); ?>*</label>
                            <select class="form-control form-select address_type" name="type" required>
                                <option value=""><?php echo app('translator')->get('website.Please Select'); ?></option>
                                <option value="1"><?php echo app('translator')->get('website.Apartment'); ?></option>
                                <option value="2"><?php echo app('translator')->get('website.House'); ?></option>
                                <option value="3"><?php echo app('translator')->get('website.Office'); ?></option>
                            </select>
                        </div>


                        <div class="form-group apartment_office_type">
                            <label><?php echo app('translator')->get('website.Building Number'); ?>*</label>
                            <input type="text" class="form-control" name="building_number"
                                placeholder="<?php echo app('translator')->get('website.Please Enter'); ?>" required>
                        </div>

                        <div class="form-group apartment_office_type">
                            <label><?php echo app('translator')->get('website.Floor number'); ?>*</label>
                            <input type="text" class="form-control" name="floor_number" placeholder="<?php echo app('translator')->get('website.Please Enter'); ?>"
                                required>
                        </div>
                        <div class="form-group apartment_type">
                            <label><?php echo app('translator')->get('website.Apartment Number'); ?>*</label>
                            <input type="text" class="form-control" name="apartment_number"
                                placeholder="<?php echo app('translator')->get('website.Please Enter'); ?>">
                        </div>


                        <div class="form-group house_type">
                            <label><?php echo app('translator')->get('website.House Number'); ?>*</label>
                            <input type="text" class="form-control" name="house_number" placeholder="<?php echo app('translator')->get('website.Please Enter'); ?>"
                                required>
                        </div>

                        <div class="form-group office_type">
                            <label><?php echo app('translator')->get('website.Office Number'); ?>*</label>
                            <input type="text" class="form-control" name="office_number" placeholder="<?php echo app('translator')->get('website.Please Enter'); ?>"
                                required>
                        </div>


                        <div class="form-group">
                            <label><?php echo app('translator')->get('website.Extra Directions'); ?>*</label>
                            <textarea class="form-control" name="notes" placeholder="<?php echo app('translator')->get('website.Enter Here'); ?>"></textarea>
                        </div>
                        <div class="form-group">
                            <button class="btn-site create_address"><span><?php echo app('translator')->get('website.Add'); ?></span></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!--main-wrapper-->
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
    <script src="<?php echo e(asset('shopWebsite/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('shopWebsite/js/all.min.js')); ?>"></script>
    <script src="<?php echo e(asset('shopWebsite/js/owl.carousel.min.js')); ?>"></script>
    <script src="<?php echo e(asset('shopWebsite/js/wow.js')); ?>"></script>
    <script src="<?php echo e(asset('shopWebsite/js/jquery.easing.min.js')); ?>"></script>
    <script src="<?php echo e(asset('shopWebsite/js/script.js')); ?>"></script>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <?php echo $__env->yieldContent('script'); ?>
    <?php echo $__env->yieldContent('js'); ?>
    <script>
        new WOW().init();
    </script>

    <script>
            $(document).on('click','input,select,textarea,.select2',function(){
                $(this).attr('style',"").next('span.errorSpan').remove();//
            });


            $(document).on('click','.addToFavorite',function (e) {
              e.preventDefault();
                    <?php if(!auth()->check()): ?>
                       return;
                    <?php endif; ?>
               var ele = $(this);
               var id = $(this).data("id");
              $.ajax({
                    url: '<?php echo e(url(app()->getLocale().'/e-commerce/addToFavorite')); ?>'+'/'+id, 
            		headers: {
                          'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                      },
                    method: "get", 
                    data: {
                    },
                    success: function (response) {
                        if(response.code==200){
                             ele.removeClass('addToFavorite').addClass('removeFromFavorite')
                             ele.html('<i class="fa-solid fa-heart"></i>').fadeTo(500, 0.3, function() { $(this).fadeTo(800, 1.0); });
                            //  ele.find('i').removeClass('fa-solid').addClass('fa-regular').fadeTo(100, 0.3, function() { $(this).fadeTo(500, 1.0); });
                        }
                    }
              });
          });
          
        $(document).on('click','.removeFromFavorite',function (e) {
              e.preventDefault();
                <?php if(!auth()->check()): ?>
                    return;
                <?php endif; ?>
              var ele = $(this);
               var id = $(this).data("id");
              $.ajax({
                    url: '<?php echo e(url(app()->getLocale().'/e-commerce/removeFromFavorite')); ?>'+'/'+id, 
            		headers: {
                          'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                      },
                    method: "get", 
                    data: {
                    },
                    success: function (response) {
                        ele.removeClass('removeFromFavorite').addClass('addToFavorite')
                        ele.html('<i class="fa-regular fa-heart"></i>').fadeTo(500, 0.3, function() { $(this).fadeTo(800, 1.0); });
                        // ele.find('i').removeClass('fa-regular').addClass('fa-solid').fadeTo(100, 0.3, function() { $(this).fadeTo(500, 1.0); });
                    }
              });
          });



    $(document).on('click','.addToCart',function (e) {
       e.preventDefault();
       var ele = $(this);
	   var id = $(this).data("id");
	   
	    $(this).find('span').html('<?php echo e(__('website.Remove from cart')); ?>');
        $(this).removeClass('addToCart').addClass("removeFromCart");

        $.ajax({
    		headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            url: '<?php echo e(url(app()->getLocale().'/e-commerce/addProductTocart')); ?>'+'/'+id, 
            method: "get", 
            data: {      
                 quantity :$(".quantity_input").val(),
              },
            success: function (response) {
              
    		
            }
         });  
     });
     
     
      $(document).on('click','.removeFromCart',function (e) {
            e.preventDefault();
            var ele = $(this);
            var id = $(this).data("id");
                 $(this).find('span').html('<?php echo e(__('website.Add to cart')); ?>');
                $(this).removeClass('removeFromCart').addClass("addToCart");
                $.ajax({
                    url:  '<?php echo e(url(app()->getLocale().'/e-commerce/removeProductFromCart')); ?>'+'/'+id, 
                    headers: {
                          'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                         },
                    method: "get",
                    data: {

                    },
                    success: function (response) {
                         
                    }
                });
            
        });



                
        $(document).on('click','.jsQuantityIncrease',function (e) {
               e.preventDefault();
               var ele = $(this);
        	   var id = $(this).data("id");

        	    var quantity = $(this).parent().find('input[name="count-quat1"]').val();
             $('.productCartItem'+id).find('input[name="count-quat1"]').val(quantity);
            $.ajax({
        		headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
                url: '<?php echo e(url(app()->getLocale().'/e-commerce/changeQuantity')); ?>'+'/'+id, 
                method: "get", 
                data: {      
                       type:1,
                        code_name:$('#code_name').val(),
                  },
                success: function (response) {
                    if (response.total_cart !== undefined && response.total_cart !== null) {
                        $('.product_total').html(response.total_cart+' '+ '<?php echo app('translator')->get('website.KWD'); ?>');
                    }
                    $('.product_total'+id).html(response.product_total+' '+ '<?php echo app('translator')->get('website.KWD'); ?>');
                    $('.total_price').html(response.total+' '+ '<?php echo app('translator')->get('website.KWD'); ?>');
                    } 
             });  
         });



         $(document).on('click','.jsQuantityDecrease',function (e) {
              e.preventDefault();
              var ele = $(this);
        	   var id = $(this).data("id");
 
        	   var quantity = $(this).parent().find('input[name="count-quat1"]').val();
                var newQuantity = parseInt(quantity) - 1;
                if (quantity == 0 ) {
                    $.ajax({
                        url:  '<?php echo e(url(app()->getLocale().'/e-commerce/removeProductFromCartPage')); ?>'+'/'+id, 
                        headers: {
                              'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                             },
                        method: "get",
                        data: {
                            code_name:$('#code_name').val(),
    
                        },
                        success: function (response) {
                            if (response.total_cart !== undefined && response.total_cart !== null) {
                                $('.product_total').html(response.total_cart+' '+ '<?php echo app('translator')->get('website.KWD'); ?>');
                            }
                            $('.product_total'+id).html(response.product_total+' '+ '<?php echo app('translator')->get('website.KWD'); ?>');
                            $('.total_price').html(response.total+' '+ '<?php echo app('translator')->get('website.KWD'); ?>');
                         
                        }
                    });
               }else{
                   $('.product'+id).find('input[name="count-quat1"]').val(quantity);
                    $.ajax({
                		headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        url: '<?php echo e(url(app()->getLocale().'/e-commerce/changeQuantity')); ?>'+'/'+id, 
                        method: "get", 
                        data: {   
                             type:2,
                             code_name:$('#code_name').val(),
                          },
                        success: function (response) {
                            if (response.total_cart !== undefined && response.total_cart !== null) {
                                $('.product_total').html(response.total_cart+' '+ '<?php echo app('translator')->get('website.KWD'); ?>');
                            }
                            $('.product_total'+id).html(response.product_total+' '+ '<?php echo app('translator')->get('website.KWD'); ?>');
                            $('.total_price').html(response.total+' '+ '<?php echo app('translator')->get('website.KWD'); ?>');
                        }
                     }); 
               }
             });

       var create_address_preventSubmit = false;
       $(document).on('click', '.create_address', function(e) {
            e.preventDefault();
            $('.validation_msg').html('')
            var formData = new FormData($('.create_address_form')[0]);
            $('.create_address_form').find('select, textarea, input').each(function() {
                if ($(this).prop('required') && !$(this).val() && !$(this).is(":hidden")) {
                    $(this).css("border", "#ff0000 solid 1px").next('span.errorSpan').remove(); //
                    $(this).css("border", "#bd1616 solid 1px").after(
                        '<span style="color:#bd1616" class="errorSpan"><?php echo e(__('website.requiredField')); ?></span>'
                        );
                        create_address_preventSubmit = true;
                    e.preventDefault();
                }
            });
            if (create_address_preventSubmit) {
                create_address_preventSubmit = false;
                return false;
            }
            $('.create_address').html(
                '<span><i class="fa fa-spinner fa-spin" style="font-size: 20px;position: initial;color:black;"></i></span>'
                )
            $(".create_address").attr("disabled", true);
            var ele = $(this);
            var id = $(this).data("id");
            formData.append('page_type', '<?php echo e(Route::currentRouteName()); ?>');
            $.ajax({
                url: '<?php echo e(route('storeAddress')); ?>',
                type: "post",
                data: formData,
                processData: false,
                contentType: false,
                success: function(response) {
                    if (response.code == 200) {
                        $("#addAddressModal").modal('hide');
                        $("#AddAddressModal").modal('show');
                        $(".list_addresses").prepend(response.view);
                        $(".no_addresses").hide();

                        $('input[name="_token"]').val('<?php echo e(csrf_token()); ?>');
                        // return
                        // location.reload();
                    } else if (response.validator != null) {
                        $('.validation_msg').html(response.validator)
                    } else {
                        $('.validation_msg').html(response.message)
                    }

                    $('.create_address').html('<span><?php echo e(__('website.Add')); ?></span>')
                    $(".create_address").attr("disabled", false);
                }

            });
        });
        
   
        
          
         
    </script>


</body>

</html><?php /**PATH C:\Users\ysef0\Desktop\ocs\resources\views/website/layout.blade.php ENDPATH**/ ?>