<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <title><?php echo app('translator')->get('cp.order-details'); ?></title>
    <link rel="icon" href="<?php echo e(url('uploads/favicon.png')); ?>">

    <style>
        @import  url('https://fonts.cdnfonts.com/css/ultima-pro?styles=97367');


        body {
            margin: 0;
            padding: 0;
            font-family: 'Ultima Pro', sans-serif;
            background: #eee
        }

        p,
        span,
        strong,
        h1,
        h2,
        h3,
        h4,
        h5,
        h6 {
            margin: 0;
            padding: 0;
            line-height: 1.6
        }

        .wrapper {
            background: #fff;
            width: 900px;
            margin: auto;
        }

        .main-table {
            background: #fff;
            color: #231F20;
            border-radius: 10px;
            width: 100%;
            max-width: 900px;
            margin: 0 auto;
            border-spacing: 0;
            font-family: 'Ultima Pro', sans-serif;
        }
        

        .table-product th,
        .table-product td {
            width: 20%;
        }

        .table-product th:first-child,
        .table-product td:first-child {
            width: 40%
        }

        .table-product tbody td {
            padding: 15px 0;
        }

        .table-product th,
        .table-product td {
            color: #2A2B2C
        }

        .d--p h6,
        .d--p p {
            display: inline-block;
        }

        .d--p h6 {
            font-size: 15px;
            color: #000;
        }

        .d--p p {
            font-size: 17px;
            margin: 0 5px;
        }
        
        .to--pro {
            margin-bottom: 10px;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }
        .to--pro:last-child {
            margin-bottom: 0;
        }
        
        .to--pro p {
            display: inline-block;
            width: 49%;
            font-size: 15px;
            color: #fff;
        }
        .to--pro p span {
            display: inline-block;
            margin-right: 10px
        }
        .de-add p:last-child {
            margin-bottom: 15px;
        }
        
    </style>

</head>

<body>
    <center class="wrapper">
        <table class="main-table" width="100%" style="padding: 30px;">
            <tr>
                <td style="text-align: center;padding:0 10px;">
                    <table width="100%">
                        <tr>
                            <td style="border-radius: 15px;text-align: center;padding:30px 20px 50px;">
                                <a href=""><img src="<?php echo e(url('uploads/logo.png')); ?>" alt="" title="Logo" width="170px" /></a>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <!--Logo-->

            <tr>
                <td style="padding:0 10px;">
                    <table width="100%">
                        <tr>
                            <td style="border-radius:10px;background:#F2F6F8;padding:30px 20px;">
                                <h6 style="color:#093A5A;font-size:18px;margin-bottom:5px;"><?php echo app('translator')->get('cp.Delivery Address'); ?></h6>
                                <?php if(@$order->address->address_name): ?>
                                    <strong style="color:#505153;font-size:18px;display:block;margin-bottom:5px"><?php echo e(@$order->address->address_name); ?></strong>
                                <?php endif; ?>
                                
                                <p style="color:#505153;font-size:18px;display:block;"><b><?php echo e(@$order->address->area->name); ?>,</b><?php echo e($order->address->block); ?>, <?php echo e($order->address->street); ?>, <?php if($order->address->avenue !=''): ?> <?php echo e($order->address->avenue); ?>, <?php endif; ?></p>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            
            <tr>
                <td style="padding: 15px;">
                    <table width="100%">
                        <tr>
                            <td style=" background: #26847D;border-radius: 10px;padding:25px">
                                <div style="display: inline-block;width: 33%;margin-bottom: 20px">
                                    <p style="color: #fff;display: block;font-size:15px"><?php echo app('translator')->get('cp.Order Id'); ?></p>
                                    <strong style="color: #fff;font-size:16px">#<?php echo e($order->id); ?></strong>
                                </div>
                                <div style="display: inline-block;width: 33%;margin-bottom: 20px">
                                    <p style="color: #fff;display: block;font-size:15px"><?php echo app('translator')->get('cp.Order Date & time'); ?></p>
                                    <strong style="color: #fff;font-size:16px"><?php echo e(@$order->created_at->format('d/m/Y')); ?> | <?php echo e(@$order->created_at->format('H:i:s')); ?></strong>
                                </div>
                                <div style="display: inline-block;width: 32%;margin-bottom: 20px">
                                    <p style="color: #fff;display: block;font-size:15px"><?php echo app('translator')->get('cp.Amount'); ?></p>
                                    <strong style="color: #fff;font-size:16px"><?php echo e(number_format(@$order->total, 3, '.', ',')); ?> <?php echo app('translator')->get('cp.KWD'); ?></strong>
                                </div>
                                <div style="display: inline-block;width: 33%;">
                                    <p style="color: #fff;display: block;font-size:15px"><?php echo app('translator')->get('cp.Payment Method'); ?></p>
                                    <strong style="color: #fff;font-size:16px"> <?php if($order->payment_method == 1): ?><?php echo e(__('cp.KNET')); ?><?php elseif($order->payment_method == 2): ?> <?php echo e(__('cp.Credit')); ?><?php else: ?> <?php echo e(__('cp.Cod')); ?> <?php endif; ?></strong>
                                </div>
                                <?php if($order->payment_method !=3): ?>
                                    <div style="display: inline-block;width: 33%;">
                                        <p style="color: #fff;display: block;font-size:15px"><?php echo app('translator')->get('cp.Invoice Refernce'); ?></p>
                                        <strong style="color: #fff;font-size:16px"><?php echo e(@$order->transaction_id); ?></strong>
                                    </div>
                                <?php endif; ?>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <!--ph invoice-->

            <tr>
                <td style="padding-bottom: 50px;">
                    <table width="100%">
                        <tr style="">
                            <td style="width: 55%;padding: 15px;vertical-align: top;">
                                <table class="colom" style="width: 100%;">
                                    <tr width="100%">
                                        <td class="de-add" style="vertical-align: top;">
                                            <h4 style="color:#093A5A;margin-bottom:15px;font-size:20px;text-transform:uppercase">Product Details</h4>
                                            <?php $__currentLoopData = $order->products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $one): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="to--pro" style="margin-bottom: 20px">
                                                    <p style="color: #505153"><span><?php echo e(@$one->quantity); ?>X</span> <?php echo e(@$one->product->name); ?></p>
                                                    <strong style="text-align:end;color:#505153;display:inline-block"><?php echo e(number_format($one->price, 3, '.', ',')); ?> <?php echo app('translator')->get('cp.KWD'); ?></strong>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                          
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <td style="width: 45%;padding: 15px;vertical-align: top;">
                                <table class="colom" style="width: 100%;background:#093A5A;padding: 15px;border-radius: 15px;height: auto;">
                                    <tr width="100%">
                                        <td width="100%" style="vertical-align: top;">
                                            <h5 style="font-weight:700;color:#fff;margin-bottom:15px;font-size:17px"><?php echo app('translator')->get('cp.Payment Details'); ?></h5>
                                            <div class="to--pro">
                                                <p><?php echo e(__('cp.sub_total')); ?></p>
                                                <p style="text-align: end;"><?php echo e(number_format(@$order->sub_total, 3, '.', ',')); ?> <?php echo app('translator')->get('cp.KWD'); ?></p>
                                            </div>
                                            <div class="to--pro">
                                                <p><?php echo e(__('cp.discount')); ?></p>
                                                <p style="text-align: end;"><?php echo e(number_format(@$order->discount, 3, '.', ',')); ?> <?php echo app('translator')->get('cp.KWD'); ?></p>
                                            </div>
                                            <div class="to--pro">
                                                <p><?php echo e(__('cp.delivery_charges')); ?></p>
                                                <p style="text-align: end;"><?php echo e(number_format(@$order->delivery_cost, 3, '.', ',')); ?> <?php echo app('translator')->get('cp.KWD'); ?></p>
                                            </div>
                                            <div class="to--pro">
                                                <p><?php echo e(__('cp.total')); ?></p>
                                                <p style="text-align: end;"><?php echo e(number_format(@$order->total, 3, '.', ',')); ?> <?php echo app('translator')->get('cp.KWD'); ?></p>
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <!--ph-->

        </table>
        
        <table class="main-table" width="100%" style="">
            <tbody>
                <tr>
                    <td style="text-align: center; background:#F2F6F8;padding-top: 15px">
                        <table width="100%">
                            <tbody>
                                <tr>
                                    <td style="text-align: center;">
                                        <p style="font-size: 14px;font-weight: 500;margin: 0 0 10px;color:#093A5A"><?php echo e($setting->info_email); ?></p>
                                        <p style="font-size: 14px;font-weight: 500;margin: 0 0 10px;color:#093A5A"><?php echo app('translator')->get('cp.Copyright © 2023 Omniya All Rights Reserved.'); ?></p>
                                        <span style="font-size: 14px; color: #093A5A;font-weight: 500;">Unsubscribe</span>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <!--footer-->

            </tbody>
        </table>
    </center>
</body>

</html><?php /**PATH C:\Users\ysef0\Desktop\shopp_ocs\resources\views/emails/new_order.blade.php ENDPATH**/ ?>